Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.tools.script
Class ScriptOperations

    java.lang.Object
      oracle.ifs.core.tools.script.ScriptOperations

All Implemented Interfaces:
  Logger

Direct Known Subclasses:
  AclOperations, BaseTestOperations, ClusteringOperations, CommandProcessorOperations, CursorOperations, FolderIndexOperations, GroupOperations, LinkOperations, LockOperations, PropertyBundleOperations, QueueOperations, ResolvedAclOperations, SchemaCategoryOperations, SecuredByOperations, SystemCategoryOperations, ViewOperations

    public class ScriptOperations

extends java.lang.Object
implements Logger

A ScriptOperations defines the administration operations that can be executed by a test or schema creation component using the ScriptDriver class.

This makes use of the framework provided by ScriptDriver and related classes in its package.

(Published)

Nested Class Summary
`static class` | `ScriptOperations.ServerDefinition` Structure holds data require to construct a single server entry property within a node.
`static class` | `ScriptOperations.ServiceDefinition` Structure holds data require to construct a single service entry property within a node.

Field Summary
`static java.lang.String` | `INDENT` Amount to indent when displaying layered information

Constructor Summary
`ScriptOperations(ScriptDriver driver)` Construct a ScriptOperations

Method Summary
`void` | `abortTransaction(java.lang.String trantag)` Abort an outer transaction.
`void` | `acquireLock(java.lang.String poTag, java.lang.String sleTag)` Acquire the specified SystemLockEntry lock.
`void` | `acquireManualLock(java.lang.String leTag, java.lang.String poTag)` Acquire a manual lock.
`void` | `activateAuditSpecification(java.lang.String specName)` Sets an AuditSpecification to an active state.
`void` | `activateOperationActionSpecification(java.lang.String tagOrName)` Activate a OperationActionSpecification.
`void` | `activateSystemObject(java.lang.String objectTag)` Activate a SystemObject.
`void` | `addAttribute(AttributeValueTable avt)` Create a new Attribute for an existing ClassObject.
`void` | `addAuditEventProperty(java.lang.String propName, java.lang.String propValue)` Add an audit event property to an internal list, to be posted as part of the next postCustomAuditEvent operation.
`void` | `addAuditType(java.lang.String defTag, java.lang.String eventType, java.lang.String mode)` Adds an event type to an AuditTypeList definition.
`void` | `addAuditTypesForClass(java.lang.String defTag, java.lang.String className, java.lang.String mode)` Adds types to an AuditTypeList definition for a class.
`void` | `addBooleanHandlerProperty(java.lang.String defTag, java.lang.String propName, java.lang.String propValue)` Deprecated. 9.0.4.6: use `addDefinitionProperty`
`void` | `addDefinitionAuditEntryType(java.lang.String defTag, java.lang.String opTypeKey, java.lang.String opModeString)` Add an AuditEntryType to an AuditTypeList definition.
`void` | `addDefinitionAuditEntryTypesForClass(java.lang.String defTag, java.lang.String className, java.lang.String opMode)` Add AuditEntryTypes to an AuditTypeList definition for the events that are applicable to the class specified.
`void` | `addDefinitionAuditEntryTypesUnderClass(java.lang.String defTag, java.lang.String className, java.lang.String opMode)` Add AuditEntryTypes to an AuditTypeList definition for the events that are applicable to the class specified, and any classes that are considered descendents of that class.
`void` | `addDefinitionBooleanProperty(java.lang.String defTag, java.lang.String key, java.lang.String value)` Deprecated. 9.0.4.6: use `addDefinitionProperty`
`void` | `addDefinitionDoubleProperty(java.lang.String defTag, java.lang.String key, java.lang.String value)` Deprecated. 9.0.4.6: use `addDefinitionProperty`
`void` | `addDefinitionIntegerProperty(java.lang.String defTag, java.lang.String key, java.lang.String value)` Deprecated. 9.0.4.6: use `addDefinitionProperty`
`void` | `addDefinitionLongProperty(java.lang.String defTag, java.lang.String key, java.lang.String value)` Deprecated. 9.0.4.6: use `addDefinitionProperty`
`void` | `addDefinitionProperties(AttributeValueTable avt)` Add definition properties, using a reference object or definition as the source of the property settings.
`void` | `addDefinitionProperty(AttributeValueTable avt)` Adds a property to a definition.
`void` | `addDefinitionStringArrayProperty(java.lang.String defTag, java.lang.String key, java.lang.String value)` Deprecated. 9.0.4.6: use `addDefinitionProperty`
`void` | `addDefinitionStringProperty(java.lang.String defTag, java.lang.String key, java.lang.String value)` Deprecated. 9.0.4.6: use `addDefinitionProperty`
`void` | `addDocumentDefinitionCharacterSet(java.lang.String defTag, java.lang.String charSet)` Deprecated. 9.0.4.6: use `addToDocumentDefinition`
`void` | `addDocumentDefinitionContent(java.lang.String defTag, java.lang.String contentFileName)` Deprecated. 9.0.4.6: use `addToDocumentDefinition`
`void` | `addDocumentDefinitionContentBfileReference(java.lang.String defTag, java.lang.String osParentFolderPath, java.lang.String bfileName, java.lang.String lengthStr)` Deprecated. 9.0.4.6: use `addToDocumentDefinition`
`void` | `addDocumentDefinitionLanguage(java.lang.String defTag, java.lang.String lang)` Deprecated. 9.0.4.6: use `addToDocumentDefinition`
`void` | `addGroupMember(AttributeValueTable avt)` Adds a member to a DirectoryGroup.
`void` | `addIntegerHandlerProperty(java.lang.String defTag, java.lang.String propName, java.lang.String propValue)` Deprecated. 9.0.4.6: use `addDefinitionProperty`
`void` | `addLifecyclePolicyEntryDefinition(java.lang.String lpDefTag, java.lang.String lpeDefTag)` Add a LifecyclePolicyEntry definition to a LifecyclePolicy definition.
`void` | `addLifecyclePolicyEntryDefinition(java.lang.String defTag, java.lang.String lpeName, java.lang.String lpeDesc, java.lang.String actionTag, java.lang.String timePeriod, java.lang.String execPeriod, java.lang.String execBaseTime)` Add a LifecyclePolicyEntry definition to a LifecyclePolicy definition.
`void` | `addLongHandlerProperty(java.lang.String defTag, java.lang.String propName, java.lang.String propValue)` Deprecated. 9.0.4.6: use `addDefinitionProperty`
`void` | `addManagedServerDeclaration(AttributeValueTable avt)` Add a Server declaration to the list being prepared as the set of managed Servers, used in the next `createNodeConfiguration` operation.
`void` | `addManagedServerDeclaration(ScriptOperations.ServerDefinition serverDef)` Add a Server declaration to the list being prepared as the set of managed Servers, used in the next `createNodeConfiguration` operation.
`void` | `addManagedServerDeclaration(java.lang.String serverName, java.lang.String scName, java.lang.String serviceName, java.lang.String activeVal, java.lang.String startedVal, java.lang.String priorityVal)` Add a Server declaration to the list being prepared as the set of managed Servers, used in the next `createNodeConfiguration` operation.
`void` | `addManagedServiceDeclaration(ScriptOperations.ServiceDefinition serviceDef)` Add a Service declaration to the list being prepared as the set of managed Services, used in the next `createNodeConfiguration` operation.
`void` | `addManagedServiceDeclaration(java.lang.String serviceName, java.lang.String svcName, java.lang.String activeVal)` Add a Service declaration to the list being prepared as the set of managed Services, used in the next `createNodeConfiguration` operation.
`void` | `addPreparedSelectorBindValue(AttributeValueTable avt)` Add an bind value to an internal list, to be used as the bind values in the next executeRawPreparedSelect operation.
`void` | `addPreparedSelectorBooleanBindValue(java.lang.String bindValue)` Deprecated. 9.0.4.6: use `addPreparedSelectorBindValue`
`void` | `addPreparedSelectorIntegerBindValue(java.lang.String bindValue)` Deprecated. 9.0.4.6: use `addPreparedSelectorBindValue`
`void` | `addPreparedSelectorLibraryObjectBindValue(java.lang.String objTag)` Deprecated. 9.0.4.6: use `addPreparedSelectorBindValue`
`void` | `addPreparedSelectorLongBindValue(java.lang.String bindValue)` Deprecated. 9.0.4.6: use `addPreparedSelectorBindValue`
`void` | `addPreparedSelectorStringBindValue(java.lang.String bindValue)` Deprecated. 9.0.4.6: use `addPreparedSelectorBindValue`
`void` | `addPublicObjectDefinitionCategory(java.lang.String defTag, java.lang.String catdefTag)` Add a category definition to a PublicObject definition.
`void` | `addSchemaObjectDefinitionCategory(java.lang.String defTag, java.lang.String catdefTag)` Add a schema category definition to a SchemaObject definition.
`void` | `addStringArrayHandlerProperty(java.lang.String defTag, java.lang.String propName, java.lang.String propValue)` Deprecated. 9.0.4.6: use `addDefinitionProperty`
`void` | `addStringHandlerProperty(java.lang.String defTag, java.lang.String propName, java.lang.String propValue)` Deprecated. 9.0.4.6: use `addDefinitionProperty`
`void` | `addSystemObjectDefinitionBooleanProperty(java.lang.String defTag, java.lang.String key, java.lang.String value)` Deprecated. 9.0.4.6: use `addDefinitionProperty`
`void` | `addSystemObjectDefinitionCategory(java.lang.String defTag, java.lang.String catdefTag)` Add a system category definition to a SystemObject definition.
`void` | `addSystemObjectDefinitionIntegerProperty(java.lang.String defTag, java.lang.String key, java.lang.String value)` Deprecated. 9.0.4.6: use `addDefinitionProperty`
`void` | `addSystemObjectDefinitionLongProperty(java.lang.String defTag, java.lang.String key, java.lang.String value)` Deprecated. 9.0.4.6: use `addDefinitionProperty`
`void` | `addSystemObjectDefinitionStringArrayProperty(java.lang.String defTag, java.lang.String key, java.lang.String value)` Deprecated. 9.0.4.6: use `addDefinitionProperty`
`void` | `addSystemObjectDefinitionStringProperty(java.lang.String defTag, java.lang.String key, java.lang.String value)` Deprecated. 9.0.4.6: use `addDefinitionProperty`
`void` | `addToDocumentDefinition(AttributeValueTable avt)` Add options to a Document definition.
`void` | `addToPublicObjectDefinition(AttributeValueTable avt)` Add options to a PublicObject definition.
`void` | `applyLogLevelOverride(java.lang.String logEntry)` Apply a log level overrides.
`void` | `applyNamedFreezeLock(java.lang.String docTag, java.lang.String domainTag, java.lang.String lockName)` Apply a named freeze (also known as legal hold) lock to a document.
`void` | `assignClassDomain(AttributeValueTable avt)` Assigns a ClassDomain to an Attribute.
`void` | `assignLifecyclePolicyByCategory(java.lang.String lpTag, java.lang.String className)` Assign the specified LifecyclePolicy to all documents not yet assigned to a LifecyclePolicy and that have at least one instance of the category specified.
`void` | `assignValueDefault(AttributeValueTable avt)` Assigns a ValueDefault to an Attribute.
`void` | `assignValueDomain(AttributeValueTable avt)` Assigns a ValueDomain to an Attribute.
`void` | `beginTransaction(java.lang.String trantag)` Begin an outer transaction.
`protected boolean` | `businessObjectExists(java.lang.String tag)` Check whether a BusinessObject has been registered for the specified tag.
`void` | `clearImpersonateUser()` Clears impersonation for the current session.
`protected LibraryObjectDefinition` | `cloneDefinition(LibrarySession sess, java.lang.String sourceDefTag, java.lang.String cloneDefTag)` Clone a LibraryObjectDefinition by the specified source tag.
`void` | `cloneDefinition(java.lang.String cloneDefTag, java.lang.String sourceDefTag)` Clone a definition object, useful when the source is readonly and further mutations are necessary.
`void` | `comment()` Show a comment in the output.
`void` | `comment(java.lang.String message)` Show a comment in the output.
`void` | `compareObjects(java.lang.String obj1Tag, java.lang.String obj2Tag)` Compare two objects, reporting whether or not they are the same.
`void` | `completeTransaction(java.lang.String trantag)` Complete an outer transaction.
`void` | `concatenateStrings(java.lang.String varName, java.lang.String s1)` Concatenate strings, and store the result for use as a substitution variable
`void` | `concatenateStrings(java.lang.String varName, java.lang.String s1, java.lang.String s2)` Concatenate strings, and store the result for use as a substitution variable
`void` | `concatenateStrings(java.lang.String varName, java.lang.String s1, java.lang.String s2, java.lang.String s3)` Concatenate strings, and store the result for use as a substitution variable
`void` | `concatenateStrings(java.lang.String varName, java.lang.String s1, java.lang.String s2, java.lang.String s3, java.lang.String s4)` Concatenate strings, and store the result for use as a substitution variable
`void` | `concatenateStrings(java.lang.String varName, java.lang.String s1, java.lang.String s2, java.lang.String s3, java.lang.String s4, java.lang.String s5)` Concatenate strings, and store the result for use as a substitution variable
`void` | `concatenateStrings(java.lang.String varName, java.lang.String s1, java.lang.String s2, java.lang.String s3, java.lang.String s4, java.lang.String s5, java.lang.String s6)` Concatenate strings, and store the result for use as a substitution variable
`void` | `concatenateStrings(java.lang.String varName, java.lang.String s1, java.lang.String s2, java.lang.String s3, java.lang.String s4, java.lang.String s5, java.lang.String s6, java.lang.String s7)` Concatenate strings, and store the result for use as a substitution variable
`void` | `concatenateToLowerStrings(java.lang.String varName, java.lang.String s1)` Concatenate strings, forced to lower case, and store the result for use as a substitution variable
`void` | `concatenateToLowerStrings(java.lang.String varName, java.lang.String s1, java.lang.String s2)` Concatenate strings, forced to lower case, and store the result for use as a substitution variable
`void` | `concatenateToLowerStrings(java.lang.String varName, java.lang.String s1, java.lang.String s2, java.lang.String s3)` Concatenate strings, forced to lower case, and store the result for use as a substitution variable
`void` | `concatenateToUpperStrings(java.lang.String varName, java.lang.String s1)` Concatenate strings, forced to upper case, and store the result for use as a substitution variable
`void` | `concatenateToUpperStrings(java.lang.String varName, java.lang.String s1, java.lang.String s2)` Concatenate strings, forced to upper case, and store the result for use as a substitution variable
`void` | `concatenateToUpperStrings(java.lang.String varName, java.lang.String s1, java.lang.String s2, java.lang.String s3)` Concatenate strings, forced to upper case, and store the result for use as a substitution variable
`protected LibrarySession` | `connect(Credential credential, ConnectOptions options)` Create a LibrarySession.
`protected LibrarySession` | `connect(java.lang.String username, java.lang.String password, java.lang.String server)` Create a LibrarySession.
`protected AuditEvent` | `constructAuditEvent(LibraryObject target, java.lang.String opTypeKey, java.lang.String domainTag, java.lang.String auxString, java.lang.String auxNumber, java.lang.String auxObjsToken)` Construct an audit event, to be posted as either a Custom or System AuditEvent.
`protected PreparedSelectorGenerator` | `constructPreparedSelectorGenerator()` Return a newly constructed instance of a PreparedSelectorGenerator, of the desired subtype (if any).
`protected java.util.Hashtable` | `convertPropertyDefinitionsToHashtable(PropertyDefinition[] pbDefs)` Convert an array of PropertyDefinitions to a Hashtable, keyed by the property name, with the value being an AttributeValue representation of the property's value.
`protected java.lang.Boolean` | `convertToBoolean(LibrarySession sess, java.lang.String boolVal)` Convert a numeric String representation to a Boolean.
`protected boolean` | `convertToBoolean(LibrarySession sess, java.lang.String boolVal, boolean defVal)` Convert a numeric String representation to a boolean, using the specified default value if the string is null.
`protected java.lang.Double` | `convertToDouble(LibrarySession sess, java.lang.String doubleVal)` Convert a numeric String representation to a Double.
`protected double` | `convertToDouble(LibrarySession sess, java.lang.String doubleVal, double defVal)` Convert a numeric String representation to a double, using the specified default value if the string is null.
`protected java.lang.Integer` | `convertToInteger(LibrarySession sess, java.lang.String intVal)` Convert a numeric String representation to an integer.
`protected int` | `convertToInteger(LibrarySession sess, java.lang.String intVal, int defVal)` Convert a numeric String representation to an integer, using the specified default value if the string is null.
`protected java.lang.Long` | `convertToLong(LibrarySession sess, java.lang.String longVal)` Convert a numeric String representation to a long.
`protected long` | `convertToLong(LibrarySession sess, java.lang.String longVal, long defVal)` Convert a numeric String representation to a long, using the specified default value if the string is null.
`protected java.lang.String` | `convertToRelativePath(LibrarySession sess, java.lang.String absPath)` Convert an absolute path to a relative path, by stripping off the leading delimiter.
`void` | `create(java.lang.String objectTag, java.lang.String defTag)` Create a LibraryObject from the specified definition.
`void` | `createAndApplyAuditTypeList(java.lang.String specTag, java.lang.String atlDefTag)` Creates an audit type list.
`void` | `createApplicationToken(java.lang.String tokenTag, java.lang.String tokenDefTag)` Create a ApplicationToken.
`void` | `createAuditSpecification(AttributeValueTable avt)` Creates a new AuditSpecification.
`void` | `createAuditSpecification(java.lang.String objectTag, java.lang.String defTag)` Creates an AuditSpecification using the supplied definition.
`void` | `createAuditSpecification(java.lang.String specName, java.lang.String atlDefTag, java.lang.String atsDefTag, java.lang.String ahsDefTag, java.lang.String specDesc)` Creates a new AuditSpecification.
`void` | `createAuditSpecification(java.lang.String specName, java.lang.String atlDefTag, java.lang.String atsDefTag, java.lang.String ahsDefTag, java.lang.String specDesc, java.lang.String userSearch)` Creates a new AuditSpecification.
`void` | `createAuditTypeList(java.lang.String atlTag, java.lang.String atlDefTag)` Creates an audit type list.
`void` | `createAutoFolderingActionSpecification(java.lang.String specTag, java.lang.String defTag)` Create a AutoFolderingActionSpecification.
`void` | `createCategorizedDocument(java.lang.String docTag, java.lang.String parentTag, java.lang.String docName, java.lang.String contentFileName, java.lang.String catDefTag)` Create a document with a category, as specified by a category defintiion tag.
`void` | `createClassDomain(AttributeValueTable avt)` Creates a ClassDomain.
`void` | `createClassObject(AttributeValueTable avt)` Creates a ClassObject.
`void` | `createCustomMediaDriverSpecification(java.lang.String cmdsTag, java.lang.String defTag)` Creates a CustomMediaDriverSpecification.
`LibraryObjectDefinition` | `createDefinition(java.lang.String defTag, java.lang.String className)` Create a definition object, and identify it for subsequent use.
`void` | `createDefinitionFromDefinitionObject(java.lang.String defTag, java.lang.String defobjTag)` Create a LibraryObjectDefinition from a DefinitionObject.
`void` | `createDefinitionObject(java.lang.String defobjTag, java.lang.String defTag)` Create a DefinitionObject.
`void` | `createDocument(AttributeValueTable avt)` Creates a Document.
`void` | `createDocument(java.lang.String docTag, java.lang.String parentTag, java.lang.String docDefTag)` Create a document, using a DocumentDefintion.
`void` | `createDocument(java.lang.String docTag, java.lang.String parentTag, java.lang.String docName, java.lang.String defTag)` Create a document.
`void` | `createExtendedPermission(AttributeValueTable avt)` Creates an ExtendedPermission.
`void` | `createFolder(AttributeValueTable avt)` Creates a Folder.
`void` | `createFolder(java.lang.String folderTag, java.lang.String parentTag, java.lang.String folderName)` Create a new folder.
`void` | `createFolder(java.lang.String folderTag, java.lang.String parentTag, java.lang.String folderName, java.lang.String defTag)` Create a new folder.
`void` | `createFormat(AttributeValueTable avt)` Creates a Format.
`void` | `createGroup(AttributeValueTable avt)` Creates a DirectoryGroup.
`void` | `createGuestSession(java.lang.String sesstag)` Create a new session for the "guest" user.
`void` | `createLifecycleDateRuleSpecification(java.lang.String specTag, java.lang.String defTag)` Create a LifecycleDateRuleSpecification.
`void` | `createLifecyclePolicy(java.lang.String lpTag, java.lang.String defTag)` Create a LifecyclePolicy.
`void` | `createLifecyclePolicyActionSpecification(java.lang.String specTag, java.lang.String defTag)` Create a LifecyclePolicyActionSpecification.
`void` | `createLifecyclePolicyEntryDefinition(java.lang.String defTag, java.lang.String lpeName, java.lang.String lpeDesc, java.lang.String actionTag, java.lang.String timePeriod, java.lang.String execPeriod, java.lang.String execBaseTime)` Create and register a LifecyclePolicyEntry definition.
`void` | `createLink(java.lang.String linkTag, java.lang.String parentTag, java.lang.String defTag)` Creates a link using a LinkDefinition.
`void` | `createLink(java.lang.String linkTag, java.lang.String parentTag, java.lang.String name, java.lang.String assocTag)` Creates a link.
`void` | `createLockTypeLookupTables()` Creates the lock type lookup tables in the instance-wide Domain PropertyBundle.
`void` | `createMedia(AttributeValueTable avt)` Creates a Media.
`void` | `createMedia(java.lang.String mediaTag, java.lang.String defTag)` Creates a Media.
`void` | `createNamedFreezeLock(java.lang.String domainTag, java.lang.String lockName)` Create a named freeze (also known as legal hold) lock.
`void` | `createNamedPropertyBundle(AttributeValueTable avt)` Creates a Named PropertyBundle.
`void` | `createNodeConfiguration(AttributeValueTable avt)` Creates a NodeConfiguration.
`void` | `createNodeConfiguration(java.lang.String tag, java.lang.String name, java.lang.String ncSuperTag, java.lang.String active, java.lang.String defTag)` Create a NodeConfiguration.
`void` | `createOperationActionSpecification(java.lang.String specTag, java.lang.String defTag)` Create a OperationActionSpecification.
`void` | `createPermissionBundle(AttributeValueTable avt)` Creates a PermissionBundle.
`void` | `createPolicy(AttributeValueTable avt)` Creates a Policy.
`void` | `createPropertyBundle(AttributeValueTable avt)` Creates a regular PropertyBundle.
`void` | `createQueue(AttributeValueTable avt)` Creates a Queue.
`void` | `createRetentionPolicy(java.lang.String rpTag, java.lang.String defTag)` Create a RetentionPolicy.
`void` | `createServerConfiguration(AttributeValueTable avt)` Create a ServerConfiguration.
`void` | `createServerConfiguration(java.lang.String tag, java.lang.String name, java.lang.String likeTag, java.lang.String defTag)` Create a ServerConfiguration.
`void` | `createServiceConfiguration(AttributeValueTable avt)` Create a ServiceConfiguration.
`void` | `createServiceConfiguration(java.lang.String tag, java.lang.String name, java.lang.String likeTag, java.lang.String defTag)` Create a ServiceConfiguration.
`void` | `createSession(java.lang.String sesstag, java.lang.String username)` Register a session.
`void` | `createSession(java.lang.String sesstag, java.lang.String username, java.lang.String password)` Register a session.
`void` | `createStorageGroup(AttributeValueTable avt)` Creates a StorageGroup.
`void` | `createStorageGroup(java.lang.String sgTag, java.lang.String defTag)` Creates a StorageGroup.
`void` | `createSystemLockObject(AttributeValueTable avt)` Creates a SystemLockObject.
`void` | `createUser(AttributeValueTable avt)` Creates a User.
`void` | `createUserSession(java.lang.String sesstag, java.lang.String userName)` Create a new session for a user, from the current adin-mode session.
`void` | `createValueDefault(AttributeValueTable avt)` Creates a ValueDefault.
`void` | `createValueDomain(AttributeValueTable avt)` Creates a ValueDomain.
`void` | `deactivateAuditSpecification(java.lang.String specName)` Sets an AuditSpecification to an inactive state.
`void` | `deactivateOperationActionSpecification(java.lang.String tagOrName)` Deactivate a OperationActionSpecification.
`void` | `deactivateSystemObject(java.lang.String objectTag)` Deactivate a SystemObject.
`void` | `defineAuditHandlerSpecificationDefinition(java.lang.String defTag, java.lang.String handlerClass, java.lang.String timerPeriod, java.lang.String timerBaseTime, java.lang.String notifiedOnEvent)` Defines an AuditHandlerSpecification definition.
`void` | `defineAuditHandlerSpecificationDefinition(java.lang.String defTag, java.lang.String handlerClass, java.lang.String timerPeriod, java.lang.String timerBaseTime, java.lang.String notifiedOnEvent, java.lang.String handlerType, java.lang.String agentIdentifier)` Defines an AuditHandlerSpecification definition.
`void` | `defineAuditTargetSpecificationDefinition(java.lang.String defTag, java.lang.String target, java.lang.String descendOpt)` Defines an AuditTargetSpecification definition.
`void` | `defineAuditTypeListDefinition(java.lang.String defTag)` Creates an unnamed AuditTypeList definition.
`void` | `defineAuditTypeListDefinition(java.lang.String defTag, java.lang.String name)` Creates an AuditTypeList definition, with an optional name.
`protected boolean` | `definitionExists(java.lang.String tag)` Check whether a definition has been registered for the specified tag.
`void` | `deleteAllCategories(java.lang.String className)` Deletes all Category instances for the specified Category.
`void` | `deleteAuditSpecification(java.lang.String specName)` Deletes an AuditSpecification.
`void` | `deleteNamedFreezeLock(java.lang.String domainTag, java.lang.String lockName)` Delete a named freeze (also known as legal hold) lock.
`void` | `deleteRepositoryParameter(AttributeValueTable avt)` Deletes a repository parameter.
`void` | `deleteUser(AttributeValueTable avt)` Deletes a User.
`protected void` | `deregisterBusinessObject(java.lang.String tag)` De-register a BusinessObject by name.
`void` | `deregisterDefinition(java.lang.String tag)` De-register a LibraryObjectDefinition by name.
`protected void` | `deregisterObject(java.lang.String tag)` De-register a LibraryObject by name.
`protected void` | `deregisterSession(java.lang.String tag, LibrarySession sess)` De-register a session.
`protected Transaction` | `deregisterTransaction(java.lang.String trantag)` De-register a transaction.
`protected void` | `ensureFreed(LibraryObject obj)` Ensure that the specified object is freed.
`void` | `executePreparedSelect(AttributeValueTable avt)` Execute a PreparedSelector, using a search condition that may leverage convenience functions used to generate the correct SQL.
`void` | `executePreparedSelect(java.lang.String priTargetTag, java.lang.String auxTargetsTag, java.lang.String condition, java.lang.String sortCondition, java.lang.String maxCountValue)` Execute a PreparedSelector, using a search condition that may leverage convenience functions used to generate the correct SQL.
`void` | `executePreparedSelect(java.lang.String priTargetTag, java.lang.String auxTargetsTag, java.lang.String condition, java.lang.String sortCondition, java.lang.String maxCountValue, java.lang.String startAtValue, java.lang.String distinctValue, java.lang.String stmtKey)` Execute a PreparedSelector, using a search condition that may leverage convenience functions used to generate the correct SQL.
`void` | `executePreparedSelect(java.lang.String priTargetTag, java.lang.String auxTargetsTag, java.lang.String condition, java.lang.String sortCondition, java.lang.String maxCountValue, java.lang.String startAtValue, java.lang.String distinctValue, java.lang.String stmtKey, java.lang.String verbose)` Execute a PreparedSelector, using a search condition that may leverage convenience functions used to generate the correct SQL.
`void` | `executePreparedSelectCount(AttributeValueTable avt)` Execute a PreparedSelector to get a search count, using a search condition that may leverage convenience functions used to generate the correct SQL.
`void` | `executePreparedSelectCount(java.lang.String priTargetTag, java.lang.String auxTargetsTag, java.lang.String condition)` Execute a PreparedSelector to get a search count, using a search condition that may leverage convenience functions used to generate the correct SQL.
`void` | `executePreparedSelectCount(java.lang.String priTargetTag, java.lang.String auxTargetsTag, java.lang.String condition, java.lang.String distinctValue, java.lang.String stmtKey)` Execute a PreparedSelector to get a search count, using a search condition that may leverage convenience functions used to generate the correct SQL.
`void` | `exists(java.lang.String path)` Shows whether or not an absolute path refers to an object.
`void` | `existsRelative(java.lang.String folderTag, java.lang.String path)` Shows whether or not a relative path refers to an object.
`void` | `freeClassDomain(AttributeValueTable avt)` Frees a ClassDomain.
`void` | `freeClassObject(AttributeValueTable avt)` Frees a ClassObject.
`void` | `freeExtendedPermission(AttributeValueTable avt)` Frees a ExtendedPermission.
`void` | `freeFolder(AttributeValueTable avt)` Frees a Folder.
`void` | `freeFormat(AttributeValueTable avt)` Frees a Format.
`void` | `freeNamedPropertyBundle(AttributeValueTable avt)` Frees a Named PropertyBundle.
`void` | `freeNamedPropertyBundle(java.lang.String name)` Frees a Named PropertyBundle.
`void` | `freeNodeConfiguration(AttributeValueTable avt)` Free a NodeConfiguration.
`void` | `freeNodeConfiguration(java.lang.String ncTag)` Free a NodeConfiguration.
`void` | `freeObject(java.lang.String objectTag)` Free an object.
`void` | `freePermissionBundle(AttributeValueTable avt)` Frees a PermissionBundle.
`void` | `freePolicy(AttributeValueTable avt)` Frees a Policy.
`void` | `freeServerConfiguration(AttributeValueTable avt)` Free a ServerConfiguration.
`void` | `freeServerConfiguration(java.lang.String scTag)` Free a ServerConfiguration.
`void` | `freeServiceConfiguration(AttributeValueTable avt)` Free a ServiceConfiguration.
`void` | `freeServiceConfiguration(java.lang.String svcTag)` Free a ServiceConfiguration.
`void` | `freeUnreferencedContent(java.lang.String batchValue)` Free unreferenced ContentObjects.
`void` | `freeValueDefault(AttributeValueTable avt)` Frees a ValueDefault.
`void` | `freeValueDomain(AttributeValueTable avt)` Frees a ValueDomain.
`java.lang.String` | `getAbsolutePath(java.lang.String paramName, java.lang.String relativePath)` Get the absolute path for the specified subpath relative to the directory mapped by the specified parameter name.
`protected AttributeValue` | `getAclValueForConfigurationObjects(LibrarySession sess)` Get the ACL value to use for Configuration object creation.
`AttributeValue` | `getAttributeValue(AttributeValueTable avt, java.lang.String keyArgName)` Derives an AttributeValue from entries in the specified AttributeValueTable.
`AttributeValue` | `getAttributeValue(AttributeValueTable avt, java.lang.String[] keyArgNames)` Derives an AttributeValue from entries in the specified AttributeValueTable.
`AuditDriverHelper` | `getAuditDriverHelper()` Return the AuditDriverHelper in use.
`protected AuditEventDispatcher` | `getAuditEventDispatcher(LibrarySession sess)` Get the AuditEventDispatcher.
`protected long` | `getAuditingStartingId()` Get the value previously set as the starting point for Audit searches.
`java.lang.String` | `getConsoleInputBoolean(java.lang.String varName, java.lang.String prompt, java.lang.String defValue, java.lang.String skipIfSet, java.lang.String required)` Get a boolean input string from the console, and store the result back into the ParameterTable.
`java.lang.String` | `getConsoleInputString(AttributeValueTable avt)` Get input string from the console, and store the result back into the ParameterTable.
`java.lang.String` | `getConsoleInputString(java.lang.String varName, java.lang.String prompt, java.lang.String defValue, java.lang.String skipIfSetVal, java.lang.String requiredVal)` Get input string from the console, and store the result back into the ParameterTable.
`java.lang.String` | `getConsoleInputString(java.lang.String varName, java.lang.String prompt, java.lang.String defValue, java.lang.String skipIfSet, java.lang.String required, java.lang.String entrySecure)` Get input string from the console, and store the result back into the ParameterTable.
`java.lang.String` | `getConsoleSecureInputString(java.lang.String varName, java.lang.String prompt, java.lang.String defValue, java.lang.String skipIfSetVal, java.lang.String requiredVal)` Get input string from the console, and store the result back into the ParameterTable.
`java.lang.String` | `getContentPath(java.lang.String path)` Get the absolute path for the specified path that is relative to IFSROOT.
`protected LibrarySession` | `getCurrentSession()` Get the current session.
`ScriptDriver` | `getDriver()` Return the script driver used to construct this instance.
`void` | `getIncludedFileSettings(java.lang.String inclFileName)` Include settings in the specified file into the current ParameterTable.
`java.io.PrintWriter` | `getLogWriter()` Return the log writer in use.
`ScriptOperations.ServerDefinition[]` | `getManagedServerDeclarations()` Gets the managed Server declarations previously added via `addManagedServerDeclaration`.
`ScriptOperations.ServiceDefinition[]` | `getManagedServiceDeclarations()` Gets the managed Service declarations previously added via `addManagedServiceDeclaration`.
`ParameterTable` | `getParameterTable()` Returns the ParameterTable used by this instance.
`boolean` | `getShowDates()` Return indication as to whether dates should be shown in the output.
`protected java.lang.String[]` | `getStringsFromArrayToken(java.lang.String token)` Get String array from a value of the form "{value1, value2, value3}".
`boolean` | `getStripNumbersFromAuditEventProperties()` Return indication as to whether numbers should be replaced in audit event properties in `ShowUtils.showAuditEvents`.
`void` | `handleEventPostedForCustomAuditHistory(java.lang.String specTag)` Initialize and post a "event posted" notification for a custom AuditSpecification.
`void` | `handleTimerExpiredForCustomAuditHistory(java.lang.String specTag)` Initialize and post a "timer expired" notification for a custom AuditSpecification.
`void` | `identifyAcl(java.lang.String aclTag, java.lang.String objectTag)` Identify an ACL using another PublicObject.
`void` | `identifyApplicationToken(java.lang.String tokenTag, java.lang.String tokenValue)` Lookup and identify a ApplicationToken by the object's token value.
`void` | `identifyAttribute(java.lang.String tag, java.lang.String className, java.lang.String attrName)` Identify an Attribute of a ClassObject.
`void` | `identifyAttributePropertyBundle(java.lang.String tag, java.lang.String className, java.lang.String attrName)` Identify an Attribute' Property Bundle.
`void` | `identifyAuditHandlerSpecification(java.lang.String tag, java.lang.String specName)` Identify an audit handler specification by the AuditSpecification name.
`void` | `identifyAuditSpecification(java.lang.String tag, java.lang.String asName)` Identify an audit specification by name.
`void` | `identifyAuditTargetSpecification(java.lang.String tag, java.lang.String specName)` Identify an audit target specification by the AuditSpecification name.
`void` | `identifyAuditTypeList(java.lang.String tag, java.lang.String atlName)` Identify an audit type list by name.
`void` | `identifyAutoFolderingActionSpecification(java.lang.String specTag, java.lang.String specName)` Identify a AutoFolderingActionSpecification by its unique name.
`void` | `identifyByAttribute(java.lang.String identifiedTag, java.lang.String objectTag, java.lang.String attrName)` Identify an object as an attribute of another object.
`void` | `identifyByPath(java.lang.String objectTag, java.lang.String path)` Lookup an object by the specified path, and allow it to be subsequently identified by the specified object tag.
`void` | `identifyByRelativePath(java.lang.String objectTag, java.lang.String parentTag, java.lang.String relativePath)` Lookup an object found under the specified parent folder and relative path, and allow it to be subsequently identified by the specified object tag.
`void` | `identifyCategory(java.lang.String catTag, java.lang.String poTag, java.lang.String catClass, java.lang.String catName)` Identify a Category for a specified PublicObject.
`void` | `identifyClassAcl(java.lang.String aclTag, java.lang.String aclName)` Identify a Class ACL by name.
`void` | `identifyClassDomain(java.lang.String tag, java.lang.String name)` Identify a ClassDomain.
`void` | `identifyClassObject(java.lang.String tag, java.lang.String name)` Identify a ClassObject.
`void` | `identifyClassPolicyBundle(java.lang.String tag, java.lang.String className)` Identify a ClassObject's Policy bundle.
`void` | `identifyClassPropertyBundle(java.lang.String tag, java.lang.String className)` Identify a ClassObject's property bundle.
`void` | `identifyCustomMediaDriverSpecification(java.lang.String cmdsTag, java.lang.String cmdsName)` Identifies a CustomMediaDriverSpecification by its unique name.
`void` | `identifyExtendedPermission(java.lang.String tag, java.lang.String name)` Identify a ExtendedPermission.
`void` | `identifyFormat(java.lang.String formatTag, java.lang.String formatName)` Identifies a Format by its unique name.
`void` | `identifyGlobalAuditSpecification(java.lang.String tag)` Identify the Global Audit History audit specification.
`void` | `identifyGlobalAuditTypeList(java.lang.String atlTag)` Identifies the AuditTypeList used for global audit history.
`void` | `identifyGuestUser(java.lang.String guestTag)` Lookup the GUEST user and register it.
`void` | `identifyInstancePropertyBundle(java.lang.String pbTag)` Identify the "Instance PropertyBundle", also known as the Domain PropertyBundle.
`void` | `identifyLifecycleDateRuleSpecification(java.lang.String specTag, java.lang.String specName)` Identify a LifecycleDateRuleSpecification by its unique name.
`void` | `identifyLifecyclePolicy(java.lang.String lpTag, java.lang.String lpName)` Identify a LifecyclePolicy by its unique name.
`void` | `identifyLifecyclePolicyActionSpecification(java.lang.String specTag, java.lang.String specName)` Identify a LifecyclePolicyActionSpecification by its unique name.
`void` | `identifyLifecyclePolicyEntry(java.lang.String lpeTag, java.lang.String lpTag, java.lang.String lpeSeq)` Identify a LifecyclePolicyEntry by its parent LifecyclePolicy and its sequence within that LifecyclePolicy.
`void` | `identifyMedia(java.lang.String mediaTag, java.lang.String mediaName)` Identifies a Media by its unique name.
`void` | `identifyNamedFreezeLock(java.lang.String sleTag, java.lang.String domainTag, java.lang.String lockName)` Identify a named freeze (also known as legal hold) lock from its name.
`void` | `identifyNamedPropertyBundle(java.lang.String tag, java.lang.String name)` Identify a Named PropertyBundle.
`void` | `identifyNodeConfiguration(java.lang.String ncTag, java.lang.String ncName)` Identify a NodeConfiguration by its unique name.
`void` | `identifyObjectAuditSpecification(java.lang.String tag)` Identify the Object Audit History audit specification.
`void` | `identifyObjectProperty(AttributeValueTable avt)` Identifies an object Property on an identified PropertyBundle.
`void` | `identifyOperationActionSpecification(java.lang.String specTag, java.lang.String specName)` Identify a OperationActionSpecification by its unique name.
`void` | `identifyPermissionBundle(java.lang.String tag, java.lang.String name)` Identify a PermissionBundle.
`void` | `identifyPolicy(java.lang.String tag, java.lang.String name)` Identify a Policy.
`void` | `identifyPrimaryUserProfile(java.lang.String pupTag, java.lang.String userName)` Identify the PrimaryUserProfile for a user.
`void` | `identifyQueue(java.lang.String quTag, java.lang.String quName)` Identify a Queue by name.
`void` | `identifyQueueTypeMapBundle(java.lang.String pbTag, java.lang.String quName)` Identify the PropertyBundle used by a Queue to map message types.
`void` | `identifyRetentionPolicy(java.lang.String rpTag, java.lang.String rpName)` Identify a RetentionPolicy by its unique name.
`void` | `identifyServerConfiguration(java.lang.String scTag, java.lang.String scName)` Identify a ServerConfiguration by its unique name.
`void` | `identifyServiceConfiguration(java.lang.String scTag, java.lang.String scName)` Identify a ServiceConfiguration by its unique name.
`void` | `identifyStorageGroup(java.lang.String sgTag, java.lang.String sgName)` Identifies a StorageGroup by its unique name.
`void` | `identifySystemAcl(java.lang.String aclTag, java.lang.String aclName)` Identify a System ACL by name.
`void` | `identifySystemLockObject(java.lang.String sloTag, java.lang.String sloName)` Identify a SystemLockObject by name.
`void` | `identifySystemUser(java.lang.String sysTag)` Lookup the SYSTEM user and register it.
`void` | `identifyUser(java.lang.String userTag, java.lang.String userName)` Lookup a user by name and register it.
`void` | `identifyValueDefault(java.lang.String tag, java.lang.String name)` Identify a ValueDefault.
`void` | `identifyValueDomain(java.lang.String tag, java.lang.String name)` Identify a ValueDomain.
`void` | `identifyWorldGroup(java.lang.String worldTag)` Lookup the "WORLD" group and register it.
`void` | `impersonateUser()` Clears impersonation for the current session.
`void` | `impersonateUser(java.lang.String userName)` Impersonates another user for the current session.
`protected boolean` | `isDomainScopeImpliedForSearch()` Returns indication as to whether a Domain ID scoping is implied for Audit searches.
`protected boolean` | `isInArray(LibraryObject obj, LibraryObject[] objs)` Check if the spcified object is in the specified array.
`void` | `log()` Writes an empty line to the log.
`void` | `log(java.lang.String message)` Writes a message to the log file.
`protected AccessControlList` | `lookupAcl(LibrarySession sess, java.lang.String tagOrName)` Lookup an ACL by the specified tag or name.
`protected ApplicationToken` | `lookupApplicationToken(LibrarySession sess, java.lang.String tkValue)` Lookup a ApplicationToken by the specified token value.
`protected Folder` | `lookupAuditDomainContext(LibrarySession sess, java.lang.String tag)` Lookup the Audit Domain context by Tag.
`protected AutoFolderingActionSpecification` | `lookupAutoFolderingActionSpecification(java.lang.String tagOrName)` Lookup an AutoFolderingActionSpecification by tag or name.
`protected java.lang.Object` | `lookupBusinessObject(LibrarySession session, java.lang.String tag)` Lookup a BusinessObject by the specified tag.
`protected java.util.Hashtable` | `lookupBusinessObjectHashtable(java.lang.String key)` Find or add a Hashtable as a business object.
`protected java.util.List` | `lookupBusinessObjectList(java.lang.String key)` Find or add a List as a business object.
`protected ClassAccessControlList` | `lookupClassAcl(LibrarySession sess, java.lang.String aclName)` Lookup a Class ACL by name.
`protected int` | `lookupDatatype(java.lang.String stype)` Convert a data type string to an integer data type, as defined in `oracle.ifs.beans.Attribute`.
`protected LibraryObjectDefinition` | `lookupDefinition(LibrarySession sess, java.lang.String tag)` Lookup a LibraryObjectDefinition by the specified tag.
`protected LibraryObjectDefinition` | `lookupDefinition(LibrarySession sess, java.lang.String tag, java.lang.String className)` Lookup a LibraryObjectDefinition by the specified tag and that is the appropriate instance for the specified classobject name.
`protected DirectoryObject` | `lookupDirectoryObject(LibrarySession sess, java.lang.String tagOrName)` Lookup a DirectoryObject (user or group) by the specified name.
`protected Document` | `lookupDocument(LibrarySession sess, java.lang.String tag)` Lookup a Document by the specified tag.
`protected Folder` | `lookupFolder(LibrarySession sess, java.lang.String tag)` Lookup a Folder by the specified tag.
`protected Format` | `lookupFormat(LibrarySession sess, java.lang.String tagOrName)` Lookup a Format by the specified name.
`protected Format` | `lookupFormatFromCollection(LibrarySession sess, java.lang.String name)` Lookup a Format by the specified name, using the Format Collection.
`protected DirectoryGroup` | `lookupGroup(LibrarySession sess, java.lang.String tag)` Lookup a DirectoryGroup by the specified tag.
`protected Media` | `lookupMedia(LibrarySession sess, java.lang.String tagOrName)` Lookup a Media by the specified tag or Media name.
`protected LibraryObject` | `lookupObject(LibrarySession sess, java.lang.String tag)` Lookup a LibraryObject by the specified tag.
`protected LibraryObject` | `lookupObject(LibrarySession sess, java.lang.String tag, java.lang.String className)` Lookup a LibraryObject by the specified tag and that is an instance of the specified class.
`protected java.lang.Long` | `lookupObjectId(LibrarySession sess, java.lang.String tag)` Lookup a LibraryObject's ID by the specified tag.
`protected OperationActionSpecification` | `lookupOperationActionSpecification(java.lang.String tagOrName)` Lookup an OperationActionSpecification by tag or name.
`protected Queue` | `lookupQueue(LibrarySession sess, java.lang.String quName)` Lookup a Queue by name.
`protected LibrarySession` | `lookupSessionByTag(java.lang.String tag)` Lookup a session by the session tag that was used to register it.
`protected SystemAccessControlList` | `lookupSystemAcl(LibrarySession sess, java.lang.String aclName)` Lookup a System ACL by name.
`protected SystemLockObject` | `lookupSystemLockObject(LibrarySession sess, java.lang.String sloName)` Lookup a SystemLockObject by name.
`protected java.lang.String` | `lookupTagBySessionId(java.lang.Long sessid)` Lookup a session tag by the session ID.
`protected DirectoryUser` | `lookupUser(LibrarySession sess, java.lang.String tagOrName)` Lookup a DirectoryUser by the specified name or tag.
`protected DirectoryUser` | `lookupUserFromCollection(LibrarySession sess, java.lang.String userName)` Lookup a user by the specified name.
`void` | `makeDefinitionReadOnly(java.lang.String defTag)` Make a definition readonly, so that it can be used in multiple operations.
`void` | `markCurrentAuditingId()` Mark the starting point for subsequent audit event searches.
`protected java.lang.String` | `normalizeBooleanString(java.lang.String rawValue)` Convert the specified string to "true", "false", or null.
`void` | `notifyCustomAuditHistoryHandler(java.lang.String specTag, java.lang.String notifyType)` Initialize and post a notification for a custom AuditSpecification.
`protected boolean` | `objectExists(java.lang.String tag)` Check whether an object has been registered for the specified tag.
`void` | `postCustomAuditEvent(AttributeValueTable avt)` Post a custom audit event.
`void` | `postCustomAuditEvent(java.lang.String opTypeKey, java.lang.String targetTag, java.lang.String domainTag)` Post a custom audit event.
`void` | `postCustomAuditEvent(java.lang.String opTypeKey, java.lang.String targetTag, java.lang.String domainTag, java.lang.String auxString, java.lang.String auxNumber, java.lang.String auxObjsToken)` Post a custom audit event.
`void` | `postSystemAuditEvent(java.lang.String opTypeKey, java.lang.String domainTag)` Post a System audit event.
`void` | `postSystemAuditEvent(java.lang.String opTypeKey, java.lang.String domainTag, java.lang.String auxString, java.lang.String auxNumber, java.lang.String auxObjsToken)` Post a System audit event.
`void` | `printStackTrace(java.lang.Throwable e)` Prints an exception stack trace to the log.
`void` | `processRawAuditEvents()` Force processing of raw audit events.
`void` | `purgeGlobalAuditHistory(java.lang.String domainTag)` Force a purge of the global audit events.
`void` | `readDocumentContent(java.lang.String docTag)` Read a Document content.
`void` | `registerAllNonCustomAuditTypes()` Registers all non-Custom audit event types.
`void` | `registerAuditEventType(java.lang.String opTypeKey, java.lang.String targetCodeVal, java.lang.String targetClass, java.lang.String opCodeVal)` Registers an audit event type.
`void` | `registerAuditEventType(java.lang.String opTypeKey, java.lang.String targetCodeVal, java.lang.String targetClass, java.lang.String opCodeVal, java.lang.String createOrFreeVal)` Registers an audit event type.
`protected void` | `registerBusinessObject(java.lang.String tag, java.lang.Object obj)` Register a BusinessObject by name.
`void` | `registerCustomAuditType(java.lang.String opCodeKey, java.lang.String targetClass)` Registers a custom audit event type.
`protected void` | `registerDefinition(java.lang.String tag, LibraryObjectDefinition def)` Register a LibraryObjectDefinition by name.
`protected void` | `registerNewSession(java.lang.String sesstag, LibrarySession sess)` Register a session.
`protected boolean` | `registerNonCustomAuditEventType(java.lang.Object[] eventReg)` Registers a non-Custom audit event type.
`protected void` | `registerObject(java.lang.String tag, LibraryObject obj)` Register a LibraryObject by name.
`protected void` | `registerTransaction(java.lang.String trantag, Transaction tran)` Register a transaction.
`void` | `releaseLock(java.lang.String poTag, java.lang.String leTag)` Release a specified lock.
`void` | `releaseManualLock(java.lang.String poTag)` Release a manual lock.
`void` | `removeAcesForFreedGrantees(java.lang.String batchValue)` Cleanup ACLs that have ACEs for grantees that have been freed.
`void` | `removeNamedFreezeLock(java.lang.String docTag, java.lang.String domainTag, java.lang.String lockName)` Remove a named freeze (also known as legal hold) lock from a document.
`void` | `removeProperties(AttributeValueTable avt)` Removes a Property or a set of Properties from a PropertyBundle.
`void` | `removeServerFromNodeConfiguration(java.lang.String ncTag, java.lang.String sName)` Remove a Server registration from a NodeConfiguration.
`void` | `removeServiceFromNodeConfiguration(java.lang.String ncTag, java.lang.String svName)` Remove a Service registration from a NodeConfiguration.
`void` | `removeSession(java.lang.String sesstag)` Disconnect and de-register a session.
`void` | `removeSessionState(java.lang.String stateKey)` Remove session state for the specified session state key.
`void` | `rename(java.lang.String objectTag, java.lang.String newName)` Rename a LibraryObject.
`void` | `replaceMediaLookupsByFormat(java.lang.String currMediaTag, java.lang.String newMediaTag)` Replaces the Format/Media mappings so that a new Media instance is mapped.
`protected LibrarySession` | `replaceSession(java.lang.String tag, LibrarySession newSess)` Replace a previously registered session with a different session.
`void` | `resetFolderCountInfo(java.lang.String folderTag)` Forces an invalidation of count information about a folder.
`void` | `runSchemaCreator(java.lang.String xmlFile)` Run a SchemaCreator for the specified XML file.
`void` | `searchAuditHistory(java.lang.String specTag, java.lang.String filterSpec)` Show the Audit events that result from a search against a specified AuditSpecification.
`void` | `searchAuditHistory(java.lang.String specTag, java.lang.String filterSpec, java.lang.String sortClause, java.lang.String verbose)` Show the Audit events that result from a search against a specified AuditSpecification.
`void` | `searchAuditHistory(java.lang.String specTag, java.lang.String targetsToken, java.lang.String filterSpec, java.lang.String sortClause, java.lang.String maxCountValue, java.lang.String verbose)` Show the Audit events that result from a search against a specified AuditSpecification.
`protected boolean` | `sessionExists(java.lang.String tag)` Check whether a session has been registered for the specified tag.
`void` | `setAdminMode()` Enable admin mode for the current session.
`void` | `setAdminMode(java.lang.String boolValue)` Sets Admin mode setting to the value indicated for the current session.
`protected void` | `setAuditingStartingId(long auditId)` Set the starting point for Audit searches.
`void` | `setAuditSpecificationAuditHandlerSpecificationDefinition(java.lang.String defTag, java.lang.String ahsDefTag)` Sets an AuditHandlerSpecification definition on an AuditSpecification definition.
`void` | `setAuditSpecificationAuditTargetSpecificationDefinition(java.lang.String defTag, java.lang.String atsDefTag)` Sets an AuditTargetSpecification definition on an AuditSpecification definition.
`void` | `setAuditSpecificationAuditTypeListDefinition(java.lang.String defTag, java.lang.String atlDefTag)` Sets an AuditTypeList definition on an AuditSpecification definition.
`void` | `setAuditTargetSpecificationDefinitionTarget(java.lang.String defTag, java.lang.String targetTag)` Sets a target on a AuditTargetSpecificationDefinition.
`void` | `setBooleanInstanceProperty(java.lang.String key, java.lang.String value)` Deprecated. 9.0.4.6: use `setInstanceProperty`
`void` | `setClassProperty(AttributeValueTable avt)` Sets a class-level Property on the specified ClassObject PropertyBundle.
`void` | `setCreateCategoriesServerSideOption(java.lang.String defTag, java.lang.String attrValue)` Sets the create categories server side option on the public object definition.
`protected void` | `setCurrentSession(LibrarySession session)` Make the specified session the default.
`void` | `setCurrentSession(java.lang.String sesstag)` Make a different session the current session.
`void` | `setDateFormat(java.lang.String dateFormat)` Change the date formatter used by the current session's Localizer.
`void` | `setDefaultAuditEventSortClause(java.lang.String sort)` Set the default manner in which audit event searches are sorted.
`void` | `setDefaultMedia(java.lang.String mediaTag)` Sets the default Media.
`void` | `setDefaultScriptOperationsClass(java.lang.String className)` Sets the class name of the instance to use as the default script operations class.
`void` | `setDefaultStorageGroup(java.lang.String sgTag)` Sets the default StorageGroup.
`void` | `setDefinitionAttribute(AttributeValueTable avt)` Add an attribute setting to a definition.
`protected void` | `setDefinitionAttribute(LibraryObjectDefinition def, java.lang.String attrName, AttributeValue value)` Sets an attribute on the specified definition.
`void` | `setDefinitionBooleanAttribute(java.lang.String defTag, java.lang.String attrName, java.lang.String attrValue)` Deprecated. 9.0.4.6: use `setDefinitionAttribute`
`void` | `setDefinitionClassObjectAttribute(java.lang.String defTag, java.lang.String attrName, java.lang.String classTag)` Deprecated. 9.0.4.6: use `setDefinitionAttribute` and the LIBRARYOBJECTVALUE option
`void` | `setDefinitionDateAttribute(java.lang.String defTag, java.lang.String attrName, java.lang.String dateString)` Deprecated. 9.0.4.6: use `setDefinitionAttribute`
`void` | `setDefinitionDirectoryObjectArrayAttribute(java.lang.String defTag, java.lang.String attrName, java.lang.String doTagNames)` Deprecated. 9.0.4.6: use `setDefinitionAttribute`
`void` | `setDefinitionDirectoryObjectAttribute(java.lang.String defTag, java.lang.String attrName, java.lang.String objTag)` Deprecated. 9.0.4.6: use `setDefinitionAttribute`
`void` | `setDefinitionDoubleAttribute(java.lang.String defTag, java.lang.String attrName, java.lang.String attrValue)` Deprecated. 9.0.4.6: use `setDefinitionAttribute`
`void` | `setDefinitionIntegerAttribute(java.lang.String defTag, java.lang.String attrName, java.lang.String attrValue)` Deprecated. 9.0.4.6: use `setDefinitionAttribute`
`void` | `setDefinitionLongAttribute(java.lang.String defTag, java.lang.String attrName, java.lang.String attrValue)` Deprecated. 9.0.4.6: use `setDefinitionAttribute`
`void` | `setDefinitionNullStringAttribute(java.lang.String defTag, java.lang.String attrName)` Deprecated. 9.0.4.6: use `setDefinitionAttribute`, value = ""
`void` | `setDefinitionObjectAttribute(java.lang.String defTag, java.lang.String attrName, java.lang.String objTag)` Deprecated. 9.0.4.6: use `setDefinitionAttribute`
`void` | `setDefinitionSchemaObjectArrayAttribute(java.lang.String defTag, java.lang.String attrName, java.lang.String koTagNames)` Deprecated. 9.0.4.6: use `setDefinitionAttribute`
`void` | `setDefinitionSchemaObjectAttribute(java.lang.String defTag, java.lang.String attrName, java.lang.String objTag)` Deprecated. 9.0.4.6: use `setDefinitionAttribute`
`void` | `setDefinitionStringArrayAttribute(java.lang.String defTag, java.lang.String attrName, java.lang.String attrValue)` Deprecated. 9.0.4.6: use `setDefinitionAttribute`
`void` | `setDefinitionStringAttribute(java.lang.String defTag, java.lang.String attrName, java.lang.String attrValue)` Deprecated. 9.0.4.6: use `setDefinitionAttribute`
`void` | `setDefinitionSystemObjectAttribute(java.lang.String defTag, java.lang.String attrName, java.lang.String objTag)` Deprecated. 9.0.4.6: use `setDefinitionAttribute`
`void` | `setDocumentDefinitionContentObjectDefinition(java.lang.String defTag, java.lang.String coDefTag)` Deprecated. 9.0.4.6: use `addToDocumentDefinition`
`void` | `setGlobalAuditTypeList(java.lang.String atlTag)` Change the AuditTypeList used for global audit history.
`void` | `setGlobalOperationActionSpecifications(java.lang.String oasArrayToken)` Sets the list of global OperationActionSpecifications as a domain property.
`void` | `setInstallationMode()` Enable installation mode for the current session.
`void` | `setInstallationMode(java.lang.String boolValue)` Sets installation mode setting to the value indicated for the current session.
`void` | `setInstanceProperty(AttributeValueTable avt)` Sets an "instance" property, i.e.
`void` | `setIntegerInstanceProperty(java.lang.String key, java.lang.String value)` Deprecated. 9.0.4.6: use `setInstanceProperty`
`void` | `setLifecyclePolicyDefinitionDeleteEntriesOption(java.lang.String defTag, java.lang.String boolVal)` Sets the "DeleteAllLifecyclePolicyEntries" option on a LifecyclePolicyDefinition.
`void` | `setLongInstanceProperty(java.lang.String key, java.lang.String value)` Deprecated. 9.0.4.6: use `setInstanceProperty`
`void` | `setLongSessionState(java.lang.String stateKey, java.lang.String value)` Set Long session state for the specified session state key.
`void` | `setMainSessionAsCurrentSession()` Sets the main session in the script driver as the current session.
`void` | `setMediaLookupByFormat(java.lang.String formatName, java.lang.String mediaTag)` Adds a mapping to the MediaLookUpByFormat property bundle, which holds the mappings of Format to Media.
`void` | `setPreventSessionTimeouts()` Prevent session timeouts from occuring for the current session.
`void` | `setPreventSessionTimeouts(java.lang.String boolValue)` Sets indication as to whether session timeouts are prevented for the current session.
`void` | `setProperty(AttributeValueTable avt)` Sets a Property on an identified PropertyBundle.
`void` | `setPublicObjectInstanceProperty(java.lang.String key, java.lang.String tag)` Deprecated. 9.0.4.6: use `setInstanceProperty`
`void` | `setRepositoryParameter(AttributeValueTable avt)` Sets a repository parameter.
`void` | `setStringInstanceProperty(java.lang.String key, java.lang.String value)` Deprecated. 9.0.4.6: use `setInstanceProperty`
`void` | `setStringSessionState(java.lang.String stateKey, java.lang.String value)` Set String session state for the specified session state key.
`void` | `setSystemAdminMode()` Enable system admin mode for the current session.
`void` | `setSystemAdminMode(java.lang.String boolValue)` Sets System Admin mode setting to the value indicated for the current session.
`void` | `setSystemObjectInstanceProperty(java.lang.String key, java.lang.String tag)` Deprecated. 9.0.4.6: use `setInstanceProperty`
`void` | `setTimeoutPeriodOption(java.lang.String defTag, java.lang.String attrValue)` Sets the "timeout period" option onto a ApplicationTokenDefinition.
`void` | `setTimeZone(java.lang.String tzString)` Change the time zone used by the current session's Localizer.
`protected void` | `setUserCreateOptions(AttributeValueTable avt, java.util.Hashtable ht)` Sets options for user creation on the specified options Hashtable.
`protected void` | `setUserDeleteOptions(AttributeValueTable avt, java.util.Hashtable ht)` Sets options for user delete on the specified options Hashtable.
`void` | `showAcl(java.lang.String aclTag)` Show details about an ACL.
`void` | `showAggregateAuditEventColumns(java.lang.String specTag, java.lang.String aggFunction, java.lang.String columnNamesTag, java.lang.String innerColNamesTag, java.lang.String filterSpec, java.lang.String sortClause, java.lang.String verbose)` Shows the list of distinct values of the specified AuditEvent columns, along with an optional aggregate function.
`void` | `showAllAutoFolderingActionSpecifications()` Shows all of the AutoFolderingActionSpecifications.
`void` | `showAllClassDomains()` Shows all of the ClassDomains.
`void` | `showAllClassObjects()` Shows all of the ClassObjects.
`void` | `showAllCustomAuditSpecifications()` Shows all of the custom audit specifications.
`void` | `showAllCustomMediaDriverSpecifications()` Shows all of the CustomMediaDriverSpecification instances.
`void` | `showAllExtendedPermissions()` Shows all of the ExtendedPermissions.
`void` | `showAllExternalRetentionPolicies()` Shows all of the ExternalRetentionPolicy instances.
`void` | `showAllFormats()` Shows all of the Formats.
`void` | `showAllLifecycleDateRuleSpecifications()` Shows all of the LifecycleDateRuleSpecifications.
`void` | `showAllLifecyclePolicies()` Shows all of the LifecyclePolicy instances.
`void` | `showAllLifecyclePolicyActionSpecifications()` Shows all of the LifecyclePolicyActionSpecifications.
`void` | `showAllMedias()` Shows all of the Media instances.
`void` | `showAllNodeConfigurations()` Shows all of the NodeConfiguration instances.
`void` | `showAllNodeConfigurations(java.lang.String verboseVal)` Shows all of the NodeConfiguration instances.
`void` | `showAllOperationActionSpecifications()` Shows all of the OperationActionSpecifications.
`void` | `showAllPermissionBundles()` Shows all of the PermissionBundles.
`void` | `showAllPolicies()` Shows all of the Policies.
`void` | `showAllRepositoryParameters()` Shows all repository parameters.
`void` | `showAllRetentionPolicies()` Shows all of the RetentionPolicy instances.
`void` | `showAllServerConfigurations()` Shows all of the ServerConfiguration instances.
`void` | `showAllServerConfigurations(java.lang.String verboseVal)` Shows all of the ServerConfiguration instances.
`void` | `showAllServiceConfigurations()` Shows all of the ServiceConfiguration instances.
`void` | `showAllServiceConfigurations(java.lang.String verboseVal)` Shows all of the ServiceConfiguration instances.
`void` | `showAllStorageGroups()` Shows all of the StorageGroups.
`void` | `showAllValueDefaults()` Shows all of the ValueDefaults.
`void` | `showAllValueDomains()` Shows all of the ValueDomains.
`void` | `showApplicationToken(java.lang.String tkTag)` Show details about a ApplicationToken.
`void` | `showApplicationTokens()` Show details about all ApplicationTokens in an Instance.
`void` | `showAttribute(java.lang.String tag)` Show details about an Attribute.
`void` | `showAttribute(java.lang.String objectTag, java.lang.String attrName)` Show the attribute value of an object.
`void` | `showAuditCertificates(java.lang.String objTags, java.lang.String verbose)` Shows audit certificates for the array of object tags specified.
`void` | `showAuditEventOperationTypes(java.lang.String opTypeKeys)` Converts a set of audit operation code keys to their numeric equivalents, and shows them.
`void` | `showAuditSpecification(java.lang.String objectTag)` Shows the audit specification corresponding to the supplied tag.
`void` | `showAuditTypeList(java.lang.String objectTag)` Shows the audit type list corresponding to the supplied tag.
`void` | `showAuditTypesForClass(java.lang.String className)` Shows the set of audit operation types that are applicable to the class specified.
`void` | `showAuditTypesForCreateOperations()` Shows the set of audit operation types that represent "created" operations.
`void` | `showAuditTypesForFreeOperations()` Shows the set of audit operation types that represent "free" operations.
`void` | `showAuditTypesUnderClass(java.lang.String className)` Shows the set of audit operation types that are applicable to the specified class, or any of the classes considered to descend from the specified class.
`void` | `showAutoFolderingActionSpecification(java.lang.String specTag)` Show details about a AutoFolderingActionSpecification.
`void` | `showCapabilities(java.lang.String objTag)` Show Capabilities for a PublicObject.
`void` | `showClassDomain(AttributeValueTable avt)` Shows a ClassDomain.
`void` | `showClassDomain(java.lang.String name)` Show details about a ClassDomain.
`void` | `showClassObject(AttributeValueTable avt)` Show a ClassObject.
`void` | `showCurrentUser()` Shows information about the currently connected user.
`void` | `showCustomAuditHistory(java.lang.String specTag, java.lang.String verbose)` Show the Audit events for a custom AuditSpecification.
`void` | `showCustomAuditHistory(java.lang.String specTag, java.lang.String verbose, java.lang.String sortClause)` Show the Audit events for a custom AuditSpecification.
`void` | `showCustomAuditTypes()` Shows the set of custom audit operation types.
`void` | `showCustomMediaDriverSpecification(java.lang.String cmdsTag)` Shows details about a CustomMediaDriverSpecification.
`void` | `showDefaultMedia()` Shows the default Media.
`void` | `showDefaultStorageGroup()` Shows the default StorageGroup.
`void` | `showDefinition(java.lang.String defTag)` Show details about a definition.
`void` | `showDefinitionObject(java.lang.String defobjTag)` Show details about a DefinitionObject.
`void` | `showDocument(java.lang.String docTag)` Show details about a document.
`void` | `showDocumentCharacterSet(java.lang.String docTag)` Deprecated. 9.0.4.6: use `showDocumentContentInfo`
`void` | `showDocumentContentInfo(java.lang.String docTag)` Show details about a document's content.
`void` | `showDocumentLanguage(java.lang.String docTag)` Deprecated. 9.0.4.6: use `showDocumentContentInfo`
`void` | `showDocumentsWithLifecyclePolicy(java.lang.String lpTag, java.lang.String batchValue)` Show documents that are referencing the specified LifecyclePolicy.
`void` | `showExpandedAuditTypeList(java.lang.String objectTag, java.lang.String className)` Shows the expanded audit type list corresponding to the supplied tag, and the specified class.
`void` | `showExtendedPermission(java.lang.String name)` Show details about a ExtendedPermission.
`void` | `showFolder(java.lang.String folderTag)` Show details about a folder.
`void` | `showFolderCountInfo(java.lang.String folderTag)` Show count information about a folder.
`void` | `showFormat(java.lang.String formatName)` Show details about a Format.
`void` | `showGlobalAuditHistory(java.lang.String verbose)` Show the Global Audit History.
`void` | `showGlobalAuditHistory(java.lang.String verbose, java.lang.String sortClause)` Show the Global Audit History.
`void` | `showGlobalAuditSpecification()` Shows the Global audit spec.
`void` | `showGlobalAuditTypeList()` Show the AuditTypeList used for global audit history.
`void` | `showGroup(java.lang.String groupTag)` Show details about a group.
`void` | `showInstanceProperty(java.lang.String key)` Show an instance property.
`void` | `showInstancePropertyBundle()` Show the instance PropertyBundle.
`protected void` | `showLibraryObject(Logger logger, LibraryObject obj, boolean showDates, java.lang.String prefix)` Show details about a LibraryObject.
`void` | `showLifecycleDateRuleSpecification(java.lang.String specTag)` Show details about a LifecycleDateRuleSpecification.
`void` | `showLifecyclePolicy(java.lang.String lpTag)` Show details about a LifecyclePolicy.
`void` | `showLifecyclePolicyActionSpecification(java.lang.String specTag)` Show details about a LifecyclePolicyActionSpecification.
`void` | `showLifecyclePolicyEntry(java.lang.String lpeTag)` Show details about a LifecyclePolicyEntry.
`void` | `showLink(java.lang.String linkTag)` Show details about a link.
`void` | `showLocalizer()` Change the date formatter used by the current session's Localizer.
`void` | `showLockEntry(java.lang.String leTag)` Show a lock entry.
`void` | `showLockEntryInfo(java.lang.String poTag)` Show the lock entry info for a specified PublicObject
`void` | `showLockTypeLookupTables()` Shows the lock type lookup tables in the instance-wide Domain PropertyBundle.
`void` | `showMedia(java.lang.String mediaTag)` Shows details about a Media.
`void` | `showMediaLookupByFormatMappings()` Shows the MediaLookUpByFormat property bundle, which holds the mappings of Format to Media.
`void` | `showNamedPropertyBundle(java.lang.String name)` Show details about a Named PropertyBundle.
`void` | `showNodeConfiguration(java.lang.String ncTag)` Show details about a NodeConfiguration.
`void` | `showNodeConfiguration(java.lang.String ncTag, java.lang.String verboseVal)` Show details about a NodeConfiguration.
`void` | `showObject(java.lang.String objTag)` Show details about a LibraryObject.
`void` | `showObjectAuditHistory(java.lang.String objTag, java.lang.String verbose)` Show the Object Audit History for an object.
`void` | `showObjectAuditHistory(java.lang.String objTag, java.lang.String verbose, java.lang.String sortClause)` Show the Object Audit History for an object.
`void` | `showObjectAuditSpecification()` Shows the Global audit spec.
`void` | `showOperationActionSpecification(java.lang.String tagOrName)` Show details about a OperationActionSpecification.
`void` | `showPermissionBundle(java.lang.String name)` Show details about a PermissionBundle.
`void` | `showPolicy(java.lang.String name)` Show details about a Policy.
`void` | `showProperty(java.lang.String pbTag, java.lang.String key)` Shows a property of a PropertyBundle.
`void` | `showPropertyBundle(java.lang.String pbTag)` Shows the properties of a PropertyBundle.
`void` | `showRepositoryParameter(AttributeValueTable avt)` Shows a repository parameter.
`void` | `showRetentionPolicy(java.lang.String rpTag)` Show details about a RetentionPolicy.
`void` | `showServerConfiguration(java.lang.String scTag)` Show details about a ServerConfiguration.
`void` | `showServerConfiguration(java.lang.String scTag, java.lang.String verboseVal)` Show details about a ServerConfiguration.
`void` | `showServiceConfiguration(java.lang.String scTag)` Show details about a ServiceConfiguration.
`void` | `showServiceConfiguration(java.lang.String scTag, java.lang.String verboseVal)` Show details about a ServiceConfiguration.
`void` | `showServiceStatistics()` Show the current service statistics.
`void` | `showSessionCacheStatistics()` Show session cache statistics for the current session.
`void` | `showSessionState(java.lang.String stateKey)` Show the session state value in the current session for the specified session state key.
`void` | `showStorageGroup(java.lang.String sgTag)` Shows details about a StorageGroup.
`void` | `showUser(java.lang.String userName)` Shows information about a user.
`void` | `showValueDefault(AttributeValueTable avt)` Shows a ValueDefault.
`void` | `showValueDefault(java.lang.String name)` Show details about a ValueDefault.
`void` | `showValueDomain(AttributeValueTable avt)` Shows a ValueDomain.
`void` | `showValueDomain(java.lang.String name)` Show details about a ValueDomain.
`void` | `sleep(java.lang.String sleepLength)` Sleep for the specified number of milliseconds.
`void` | `syncContentIndex()` Trigger a sync of the content index.
`protected DirectoryObject[]` | `tokenToDirectoryObjectArray(LibrarySession sess, java.lang.String doTagNames)` Convert a token representing an array of DirectoryObjects into the array of DirectoryObjects.
`protected DirectoryUser[]` | `tokenToDirectoryUserArray(LibrarySession sess, java.lang.String userTagNames)` Convert a token representing an array of DirectoryUsers into the array of DirectoryUsers.
`protected boolean` | `transactionExists(java.lang.String tag)` Check whether a Transaction has been registered for the specified tag.
`protected void` | `transferContent(java.io.InputStream iss, java.io.OutputStream os)` Transfer content from an InputStream to an OutputStream.
`void` | `unregisterAuditEventType(java.lang.String opTypeKey)` Unregisters an audit event type.
`void` | `unregisterCustomAuditType(java.lang.String opCodeKey, java.lang.String targetClass)` Unregisters a custom audit event type.
`void` | `update(java.lang.String objectTag, java.lang.String defTag)` Update a LibraryObject, using `update`.
`void` | `updateClassDomain(AttributeValueTable avt)` Updates a ClassDomain.
`void` | `updateDefinitionObject(java.lang.String defobjTag, java.lang.String defTag)` Update a DefinitionObject.
`void` | `updateHandlerAgentIdentifier(java.lang.String specName, java.lang.String agentId)` Updates the agent identifier for the handler associated with the specified AuditSpecification.
`void` | `updateNodeConfiguration(AttributeValueTable avt)` Update a NodeConfiguration.
`void` | `updateNodeConfiguration(java.lang.String ncTag, java.lang.String defTag)` Update a NodeConfiguration.
`void` | `updateServerConfiguration(AttributeValueTable avt)` Update a ServerConfiguration.
`void` | `updateServerConfiguration(java.lang.String scTag, java.lang.String defTag)` Update a ServerConfiguration.
`void` | `updateServiceConfiguration(AttributeValueTable avt)` Update a ServiceConfiguration.
`void` | `updateServiceConfiguration(java.lang.String svcTag, java.lang.String defTag)` Update a ServiceConfiguration.
`void` | `updateUserPassword(AttributeValueTable avt)` Updates the password for a User.
`void` | `updateValueDefault(AttributeValueTable avt)` Updates a ValueDefault.
`void` | `updateValueDomain(AttributeValueTable avt)` Updates a ValueDomain.
`protected void` | `verifyBusinessObjectTagNotExists(java.lang.String defTag)` Verify that the specified BusinessObject tag does not already exist.
`protected void` | `verifyDefinitionTagNotExists(java.lang.String defTag)` Verify that the specified definition tag does not already exist.
`protected void` | `verifyDefinitionWriteable(LibrarySession sess, java.lang.String tag)` Verify that a LibraryObjectDefinition identified by the specified tag is writeable.
`protected void` | `verifyObjectTagNotExists(java.lang.String objTag)` Verify that the specified object tag does not already exist.
`void` | `writeConsoleOutputString()` Force newline write to the console.
`void` | `writeConsoleOutputString(java.lang.String prompt)` Write string to the console.
`void` | `writeDocumentContentToFile(java.lang.String docTag, java.lang.String fileName)` Write a Document's content to a local file
`protected java.lang.String` | `zeroPad(java.lang.String str, int padLength)` Pre-pad a string with 0's.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INDENT

    public static final java.lang.String INDENT

  Description copied from class: `ScriptOperations`
  Amount to indent when displaying layered information

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### ScriptOperations

    public ScriptOperations(ScriptDriver driver)

  Construct a ScriptOperations

  Parameters:
    `driver` - the main script driver instance
  (Published)

Method Detail

### getDriver

    public ScriptDriver getDriver()

  Description copied from class: `ScriptOperations`
  Return the script driver used to construct this instance.

  Returns:
    the driver
  (Published)

### getLogWriter

    public java.io.PrintWriter getLogWriter()

  Description copied from class: `ScriptOperations`
  Return the log writer in use.

  Returns:
    the writer used for logging the output
  (Published)

### getAuditDriverHelper

    public AuditDriverHelper getAuditDriverHelper()

  Description copied from class: `ScriptOperations`
  Return the AuditDriverHelper in use.

  Returns:
    the AuditDriverHelper used for auditing management
  (Published)

### getShowDates

    public boolean getShowDates()

  Description copied from class: `ScriptOperations`
  Return indication as to whether dates should be shown in the output.

  Returns:
    true if date values should be shown in the output; false otherwise
  (Published)

### getStripNumbersFromAuditEventProperties

    public boolean getStripNumbersFromAuditEventProperties()

  Description copied from class: `ScriptOperations`
  Return indication as to whether numbers should be replaced in audit event properties in `ShowUtils.showAuditEvents`.

  Returns:
    true if numbers should be replaced in the output; false otherwise
  (Published)

### constructPreparedSelectorGenerator

    protected PreparedSelectorGenerator constructPreparedSelectorGenerator()

  Description copied from class: `ScriptOperations`
  Return a newly constructed instance of a PreparedSelectorGenerator, of the desired subtype (if any).

  (Published)

### isDomainScopeImpliedForSearch

    protected boolean isDomainScopeImpliedForSearch()

  Description copied from class: `ScriptOperations`
  Returns indication as to whether a Domain ID scoping is implied for Audit searches.

  Returns:
    true if Domain scoping is implied; false otherwise
  (Published)

### showLibraryObject

    protected void showLibraryObject(Logger logger,
                                     LibraryObject obj,
                                     boolean showDates,
                                     java.lang.String prefix)
                              throws IfsException

  Description copied from class: `ScriptOperations`
  Show details about a LibraryObject.

  Delegates to various more specific methods based on the type of object.

  Parameters:
    `logger` - the log context
    `obj` - the LibraryObject to show
    `showDates` - whether to show date info
    `prefix` - the indentation prefix
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setDefaultScriptOperationsClass

    public void setDefaultScriptOperationsClass(java.lang.String className)

  Description copied from class: `ScriptOperations`
  Sets the class name of the instance to use as the default script operations class.

  Parameters:
    `className` - the name of the default ops class to use
  (Published)

### createSession

    public void createSession(java.lang.String sesstag,
                              java.lang.String username)
                       throws IfsException

  Description copied from class: `ScriptOperations`
  Register a session.

  This registers a two-way lookup, enabling finding the session by the specified session tag, and the ability to determine the session tag from the LibrarySession.

  Parameters:
    `sesstag` - the session tag
    `username` - the user name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createSession

    public void createSession(java.lang.String sesstag,
                              java.lang.String username,
                              java.lang.String password)
                       throws IfsException

  Description copied from class: `ScriptOperations`
  Register a session.

  This registers a two-way lookup, enabling finding the session by the specified session tag, and the ability to determine the session tag from the LibrarySession.

  Parameters:
    `sesstag` - the session tag
    `username` - the user name
    `password` - the user's password
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setCurrentSession

    public void setCurrentSession(java.lang.String sesstag)
                           throws IfsException

  Description copied from class: `ScriptOperations`
  Make a different session the current session.

  Parameters:
    `sesstag` - the session tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### removeSession

    public void removeSession(java.lang.String sesstag)
                       throws IfsException

  Description copied from class: `ScriptOperations`
  Disconnect and de-register a session.

  This disconnects the session (identied by tag) and then removes it from the session lookup tables.

  Parameters:
    `sesstag` - session tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setDateFormat

    public void setDateFormat(java.lang.String dateFormat)
                       throws IfsException

  Description copied from class: `ScriptOperations`
  Change the date formatter used by the current session's Localizer.

  Parameters:
    `dateFormat` - String to pass to a SimpleDateFormat constructor
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setTimeZone

    public void setTimeZone(java.lang.String tzString)
                     throws IfsException

  Description copied from class: `ScriptOperations`
  Change the time zone used by the current session's Localizer.

  Parameters:
    `tzString` - Time zone ID (e.g. "America/Los_Angeles")
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showLocalizer

    public void showLocalizer()
                       throws IfsException

  Description copied from class: `ScriptOperations`
  Change the date formatter used by the current session's Localizer.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### createGuestSession

    public void createGuestSession(java.lang.String sesstag)
                            throws IfsException

  Description copied from class: `ScriptOperations`
  Create a new session for the "guest" user.

  The current session remains intact. If able to create a guest session, that session becomes the current session.

  Parameters:
    `sesstag` - session tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createUserSession

    public void createUserSession(java.lang.String sesstag,
                                  java.lang.String userName)
                           throws IfsException

  Description copied from class: `ScriptOperations`
  Create a new session for a user, from the current adin-mode session.

  Parameters:
    `sesstag` - session tag for the newly created session
    `userName` - the user name to use for the new session
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showUser

    public void showUser(java.lang.String userName)
                  throws IfsException

  Description copied from class: `ScriptOperations`
  Shows information about a user.

  Parameters:
    `userName` - user name or tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showCurrentUser

    public void showCurrentUser()
                         throws IfsException

  Description copied from class: `ScriptOperations`
  Shows information about the currently connected user.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### beginTransaction

    public void beginTransaction(java.lang.String trantag)
                          throws IfsException

  Description copied from class: `ScriptOperations`
  Begin an outer transaction.

  This transaction needs to be explicitly completed or aborted.

  Parameters:
    `trantag` - the transaction tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### abortTransaction

    public void abortTransaction(java.lang.String trantag)
                          throws IfsException

  Description copied from class: `ScriptOperations`
  Abort an outer transaction.

  Parameters:
    `trantag` - the transaction tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### completeTransaction

    public void completeTransaction(java.lang.String trantag)
                             throws IfsException

  Description copied from class: `ScriptOperations`
  Complete an outer transaction.

  Parameters:
    `trantag` - the transaction tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### markCurrentAuditingId

    public void markCurrentAuditingId()
                               throws IfsException

  Description copied from class: `ScriptOperations`
  Mark the starting point for subsequent audit event searches.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### setDefaultAuditEventSortClause

    public void setDefaultAuditEventSortClause(java.lang.String sort)
                                        throws IfsException

  Description copied from class: `ScriptOperations`
  Set the default manner in which audit event searches are sorted.

  Parameters:
    `sort` - sort specification
  Throws:
    `IfsException` - if the operation fails
  (Published)

### processRawAuditEvents

    public void processRawAuditEvents()
                               throws IfsException

  Description copied from class: `ScriptOperations`
  Force processing of raw audit events.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### handleEventPostedForCustomAuditHistory

    public void handleEventPostedForCustomAuditHistory(java.lang.String specTag)
                                                throws IfsException

  Description copied from class: `ScriptOperations`
  Initialize and post a "event posted" notification for a custom AuditSpecification.

  This mimics what the EventHandlerAgent does when a new event is posted for a custom AuditSpecification. Only works for INTERNAL handlers.

  Parameters:
    `specTag` - the AuditSpecification tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### handleTimerExpiredForCustomAuditHistory

    public void handleTimerExpiredForCustomAuditHistory(java.lang.String specTag)
                                                 throws IfsException

  Description copied from class: `ScriptOperations`
  Initialize and post a "timer expired" notification for a custom AuditSpecification.

  This mimics what the EventHandlerAgent does when a timer expired notification is posted for a custom AuditSpecification. Only works for INTERNAL handlers.

  Parameters:
    `specTag` - the AuditSpecification tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### notifyCustomAuditHistoryHandler

    public void notifyCustomAuditHistoryHandler(java.lang.String specTag,
                                                java.lang.String notifyType)
                                         throws IfsException

  Description copied from class: `ScriptOperations`
  Initialize and post a notification for a custom AuditSpecification.

  Notification can be for either a "event posted", "timer expired", or both. This mimics what the EventHandlerAgent does for processing a custom AuditSpecification. Only works for INTERNAL handlers.

  Parameters:
    `specTag` - the AuditSpecification tag
    `notifyType` - type of notification; must be "EVENT_POSTED", "TIMER_EXPIRED", or "BOTH"
  Throws:
    `IfsException` - if the operation fails
  (Published)

### postCustomAuditEvent

    public void postCustomAuditEvent(java.lang.String opTypeKey,
                                     java.lang.String targetTag,
                                     java.lang.String domainTag)
                              throws IfsException

  Description copied from class: `ScriptOperations`
  Post a custom audit event.

  Parameters:
    `opTypeKey` - operation type key
    `targetTag` - target object
    `domainTag` - domain context
  Throws:
    `IfsException` - if the operation fails
  (Published)

### postCustomAuditEvent

    public void postCustomAuditEvent(java.lang.String opTypeKey,
                                     java.lang.String targetTag,
                                     java.lang.String domainTag,
                                     java.lang.String auxString,
                                     java.lang.String auxNumber,
                                     java.lang.String auxObjsToken)
                              throws IfsException

  Description copied from class: `ScriptOperations`
  Post a custom audit event.

  Parameters:
    `opTypeKey` - operation type key
    `targetTag` - target object
    `domainTag` - domain context
    `auxString` - auxiliary string
    `auxNumber` - auxiliary number
    `auxObjsToken` - auxiliary objects token
  Throws:
    `IfsException` - if the operation fails
  (Published)

### postCustomAuditEvent

    public void postCustomAuditEvent(AttributeValueTable avt)
                              throws IfsException

  Description copied from class: `ScriptOperations`
  Post a custom audit event.

  The keys supported by this operation:

  - OPERATIONTYPEKEY: the Operation type key
  - TARGETTAG: the tag that identifies the object receiving the event
  - DOMAINTAG: the tag that identifies the Domain
  - AUXILIARYSTRING: the auxiliary String value to post with the event
  - AUXILIARYNUMBER: the auxiliary Number value to post with the event
  - AUXILIARYOBJECTS: the auxiliary object values to post with the event

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### postSystemAuditEvent

    public void postSystemAuditEvent(java.lang.String opTypeKey,
                                     java.lang.String domainTag)
                              throws IfsException

  Description copied from class: `ScriptOperations`
  Post a System audit event.

  Parameters:
    `opTypeKey` - operation type key
    `domainTag` - domain context
  Throws:
    `IfsException` - if the operation fails
  (Published)

### postSystemAuditEvent

    public void postSystemAuditEvent(java.lang.String opTypeKey,
                                     java.lang.String domainTag,
                                     java.lang.String auxString,
                                     java.lang.String auxNumber,
                                     java.lang.String auxObjsToken)
                              throws IfsException

  Description copied from class: `ScriptOperations`
  Post a System audit event.

  Parameters:
    `opTypeKey` - operation type key
    `domainTag` - domain context
    `auxString` - auxiliary string
    `auxNumber` - auxiliary number
    `auxObjsToken` - auxiliary objects token
  Throws:
    `IfsException` - if the operation fails
  (Published)

### constructAuditEvent

    protected AuditEvent constructAuditEvent(LibraryObject target,
                                             java.lang.String opTypeKey,
                                             java.lang.String domainTag,
                                             java.lang.String auxString,
                                             java.lang.String auxNumber,
                                             java.lang.String auxObjsToken)
                                      throws IfsException

  Description copied from class: `ScriptOperations`
  Construct an audit event, to be posted as either a Custom or System AuditEvent.

  Parameters:
    `target` - target object
    `opTypeKey` - operation type key
    `domainTag` - domain context
    `auxString` - auxiliary string
    `auxNumber` - auxiliary number
    `auxObjsToken` - auxiliary objects token
  Returns:
    the AuditEvent, ready for posting
  Throws:
    `IfsException` - if the operation fails
  (Published)

### addAuditEventProperty

    public void addAuditEventProperty(java.lang.String propName,
                                      java.lang.String propValue)
                               throws IfsException

  Description copied from class: `ScriptOperations`
  Add an audit event property to an internal list, to be posted as part of the next postCustomAuditEvent operation.

  Parameters:
    `propName` - property key
    `propValue` - property value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showGlobalAuditHistory

    public void showGlobalAuditHistory(java.lang.String verbose)
                                throws IfsException

  Description copied from class: `ScriptOperations`
  Show the Global Audit History.

  This shows all audit events in the global audit history that were created after the ID established via a call to `markCurrentAuditingId`.

  Parameters:
    `verbose` - should output be verbose?
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showGlobalAuditHistory

    public void showGlobalAuditHistory(java.lang.String verbose,
                                       java.lang.String sortClause)
                                throws IfsException

  Description copied from class: `ScriptOperations`
  Show the Global Audit History.

  This shows all audit events in the global audit history that were created after the ID established via a call to `markCurrentAuditingId`.

  Parameters:
    `verbose` - should output be verbose?
    `sortClause` - how the events should be sorted
  Throws:
    `IfsException` - if the operation fails
  (Published)

### purgeGlobalAuditHistory

    public void purgeGlobalAuditHistory(java.lang.String domainTag)
                                 throws IfsException

  Description copied from class: `ScriptOperations`
  Force a purge of the global audit events.

  Parameters:
    `domainTag` - the auditing domain context (typically root folder)
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setGlobalAuditTypeList

    public void setGlobalAuditTypeList(java.lang.String atlTag)
                                throws IfsException

  Description copied from class: `ScriptOperations`
  Change the AuditTypeList used for global audit history.

  Parameters:
    `atlTag` - the AuditTypeList tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyGlobalAuditTypeList

    public void identifyGlobalAuditTypeList(java.lang.String atlTag)
                                     throws IfsException

  Description copied from class: `ScriptOperations`
  Identifies the AuditTypeList used for global audit history.

  Parameters:
    `atlTag` - the AuditTypeList tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showGlobalAuditTypeList

    public void showGlobalAuditTypeList()
                                 throws IfsException

  Description copied from class: `ScriptOperations`
  Show the AuditTypeList used for global audit history.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### showObjectAuditHistory

    public void showObjectAuditHistory(java.lang.String objTag,
                                       java.lang.String verbose)
                                throws IfsException

  Description copied from class: `ScriptOperations`
  Show the Object Audit History for an object.

  This shows all audit events in the object audit history for the specified object.

  Parameters:
    `objTag` - the object tag
    `verbose` - should output be verbose?
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showObjectAuditHistory

    public void showObjectAuditHistory(java.lang.String objTag,
                                       java.lang.String verbose,
                                       java.lang.String sortClause)
                                throws IfsException

  Description copied from class: `ScriptOperations`
  Show the Object Audit History for an object.

  This shows all audit events in the object audit history for the specified object.

  Parameters:
    `objTag` - the object tag
    `verbose` - should output be verbose?
    `sortClause` - how the events should be sorted
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showCustomAuditHistory

    public void showCustomAuditHistory(java.lang.String specTag,
                                       java.lang.String verbose)
                                throws IfsException

  Description copied from class: `ScriptOperations`
  Show the Audit events for a custom AuditSpecification.

  This shows all audit events in the AuditSpecification specified that were created after the ID established via a call to `markCurrentAuditingId`.

  Parameters:
    `specTag` - the AuditSpecification tag
    `verbose` - should output be verbose?
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showCustomAuditHistory

    public void showCustomAuditHistory(java.lang.String specTag,
                                       java.lang.String verbose,
                                       java.lang.String sortClause)
                                throws IfsException

  Description copied from class: `ScriptOperations`
  Show the Audit events for a custom AuditSpecification.

  This shows all audit events in the AuditSpecification specified that were created after the ID established via a call to `markCurrentAuditingId`.

  Parameters:
    `specTag` - the AuditSpecification tag
    `verbose` - should output be verbose?
    `sortClause` - how the events should be sorted
  Throws:
    `IfsException` - if the operation fails
  (Published)

### searchAuditHistory

    public void searchAuditHistory(java.lang.String specTag,
                                   java.lang.String filterSpec)
                            throws IfsException

  Description copied from class: `ScriptOperations`
  Show the Audit events that result from a search against a specified AuditSpecification.

  Automatically includes a search condition to only include audit events that were created after the ID established via a call to `markCurrentAuditingId`.

  Parameters:
    `specTag` - the AuditSpecification tag
    `filterSpec` - search condition
  Throws:
    `IfsException` - if the operation fails
  (Published)

### searchAuditHistory

    public void searchAuditHistory(java.lang.String specTag,
                                   java.lang.String filterSpec,
                                   java.lang.String sortClause,
                                   java.lang.String verbose)
                            throws IfsException

  Description copied from class: `ScriptOperations`
  Show the Audit events that result from a search against a specified AuditSpecification.

  Automatically includes a search condition to only include audit events that were created after the ID established via a call to `markCurrentAuditingId`.

  Parameters:
    `specTag` - the AuditSpecification tag
    `filterSpec` - search condition
    `sortClause` - how the events should be sorted
    `verbose` - should output be verbose?
  Throws:
    `IfsException` - if the operation fails
  (Published)

### searchAuditHistory

    public void searchAuditHistory(java.lang.String specTag,
                                   java.lang.String targetsToken,
                                   java.lang.String filterSpec,
                                   java.lang.String sortClause,
                                   java.lang.String maxCountValue,
                                   java.lang.String verbose)
                            throws IfsException

  Description copied from class: `ScriptOperations`
  Show the Audit events that result from a search against a specified AuditSpecification.

  Automatically includes a search condition to only include audit events that were created after the ID established via a call to `markCurrentAuditingId`.

  Uses AuditSearchGenerator to check authorization if targets are specified.

  Parameters:
    `specTag` - the AuditSpecification tag
    `targetsToken` - the event targets if any
    `filterSpec` - search condition
    `sortClause` - how the events should be sorted
    `maxCountValue` - the maximum number of items to show
    `verbose` - should output be verbose?
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAggregateAuditEventColumns

    public void showAggregateAuditEventColumns(java.lang.String specTag,
                                               java.lang.String aggFunction,
                                               java.lang.String columnNamesTag,
                                               java.lang.String innerColNamesTag,
                                               java.lang.String filterSpec,
                                               java.lang.String sortClause,
                                               java.lang.String verbose)
                                        throws IfsException

  Description copied from class: `ScriptOperations`
  Shows the list of distinct values of the specified AuditEvent columns, along with an optional aggregate function.

  Automatically includes a search condition to only include audit events that were created after the ID established via a call to `markCurrentAuditingId`.

  Parameters:
    `specTag` - the AuditSpecification tag
    `aggFunction` - the SQL aggregate function (can be null)
    `columnNamesTag` - the audit table column names to select
    `innerColNamesTag` - the audit table column names to use in the inner select; if null, no inner select is used
    `filterSpec` - search condition
    `sortClause` - how the events should be sorted
    `verbose` - should output be verbose?
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAuditCertificates

    public void showAuditCertificates(java.lang.String objTags,
                                      java.lang.String verbose)
                               throws IfsException

  Description copied from class: `ScriptOperations`
  Shows audit certificates for the array of object tags specified.

  Parameters:
    `objTags` - set of object tags
    `verbose` - should output be verbose?
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAuditEventOperationTypes

    public void showAuditEventOperationTypes(java.lang.String opTypeKeys)
                                      throws IfsException

  Description copied from class: `ScriptOperations`
  Converts a set of audit operation code keys to their numeric equivalents, and shows them.

  Parameters:
    `opTypeKeys` - set of operation type keys
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAuditTypesForClass

    public void showAuditTypesForClass(java.lang.String className)
                                throws IfsException

  Description copied from class: `ScriptOperations`
  Shows the set of audit operation types that are applicable to the class specified.

  Parameters:
    `className` - class name for which to show audit type
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAuditTypesUnderClass

    public void showAuditTypesUnderClass(java.lang.String className)
                                  throws IfsException

  Description copied from class: `ScriptOperations`
  Shows the set of audit operation types that are applicable to the specified class, or any of the classes considered to descend from the specified class.

  Parameters:
    `className` - class name for which to show audit type
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAuditTypesForCreateOperations

    public void showAuditTypesForCreateOperations()
                                           throws IfsException

  Description copied from class: `ScriptOperations`
  Shows the set of audit operation types that represent "created" operations.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAuditTypesForFreeOperations

    public void showAuditTypesForFreeOperations()
                                         throws IfsException

  Description copied from class: `ScriptOperations`
  Shows the set of audit operation types that represent "free" operations.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### unregisterAuditEventType

    public void unregisterAuditEventType(java.lang.String opTypeKey)
                                  throws IfsException

  Description copied from class: `ScriptOperations`
  Unregisters an audit event type.

  Parameters:
    `opTypeKey` - the audit event key to unregister
  Throws:
    `IfsException` - if the operation fails
  (Published)

### registerAuditEventType

    public void registerAuditEventType(java.lang.String opTypeKey,
                                       java.lang.String targetCodeVal,
                                       java.lang.String targetClass,
                                       java.lang.String opCodeVal)
                                throws IfsException

  Description copied from class: `ScriptOperations`
  Registers an audit event type.

  Parameters:
    `opTypeKey` - the audit event key to register (e.g. "DOCUMENT_ACL_ASSIGNED")
    `targetCodeVal` - the event target code value (integer); caller must ensure that it matches of the values defined in AuditEventTypeRegistrations
    `targetClass` - the target class name (e.g. "DOCUMENT")
    `opCodeVal` - the operation code value (integer); caller must ensure that it matches of the values defined in AuditEventTypeRegistrations
  Throws:
    `IfsException` - if the operation fails
  (Published)

### registerAuditEventType

    public void registerAuditEventType(java.lang.String opTypeKey,
                                       java.lang.String targetCodeVal,
                                       java.lang.String targetClass,
                                       java.lang.String opCodeVal,
                                       java.lang.String createOrFreeVal)
                                throws IfsException

  Description copied from class: `ScriptOperations`
  Registers an audit event type.

  Parameters:
    `opTypeKey` - the audit event key to register (e.g. "DOCUMENT_ACL_ASSIGNED")
    `targetCodeVal` - the event target code value (integer); caller must ensure that it matches of the values defined in AuditEventTypeRegistrations
    `targetClass` - the target class name (e.g. "DOCUMENT")
    `opCodeVal` - the operation code value (integer); caller must ensure that it matches of the values defined in AuditEventTypeRegistrations
    `createOrFreeVal` - the value of whether the event is a create or free event, neither indicated by null (boolean)
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showCustomAuditTypes

    public void showCustomAuditTypes()
                              throws IfsException

  Description copied from class: `ScriptOperations`
  Shows the set of custom audit operation types.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### registerCustomAuditType

    public void registerCustomAuditType(java.lang.String opCodeKey,
                                        java.lang.String targetClass)
                                 throws IfsException

  Description copied from class: `ScriptOperations`
  Registers a custom audit event type.

  This will generate a operation type key from the arguments specified. For example, if opCodeKey is specified as "FAXED" and targetClass is specified as "DOCUMENT", the new operation type "DOCUMENT__FAXED" will get registered. The double underscores is intentional, and is used to distinguish between custom and non-custom event types.

  If the audit event type is already registered, the call has no effect, but will not result in an exception.

  Parameters:
    `opCodeKey` - the operation code key; the suffix for the new type
    `targetClass` - the target class
  Throws:
    `IfsException` - if the operation fails
  (Published)

### unregisterCustomAuditType

    public void unregisterCustomAuditType(java.lang.String opCodeKey,
                                          java.lang.String targetClass)
                                   throws IfsException

  Description copied from class: `ScriptOperations`
  Unregisters a custom audit event type.

  If the specified audit event type is not registered, the call has no effect, but will not result in an exception.

  Parameters:
    `opCodeKey` - the operation code key; the suffix for the new type
    `targetClass` - the target class
  Throws:
    `IfsException` - if the operation fails
  (Published)

### registerAllNonCustomAuditTypes

    public void registerAllNonCustomAuditTypes()
                                        throws IfsException

  Description copied from class: `ScriptOperations`
  Registers all non-Custom audit event types.

  Subclasses (e.g. EcmScriptOperations) may override to register application-specific non-custom audit event types.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### registerNonCustomAuditEventType

    protected boolean registerNonCustomAuditEventType(java.lang.Object[] eventReg)
                                               throws IfsException

  Description copied from class: `ScriptOperations`
  Registers a non-Custom audit event type.

  Parameters:
    `eventReg` - an Event definition, obtained from AuditEventTypeRegistrations or a subclass of it
  Returns:
    true if a new event type was actually added
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createAuditTypeList

    public void createAuditTypeList(java.lang.String atlTag,
                                    java.lang.String atlDefTag)
                             throws IfsException

  Description copied from class: `ScriptOperations`
  Creates an audit type list.

  Parameters:
    `atlTag` - tag for the newly created AuditTypeList
    `atlDefTag` - definition tag to be used for new AuditTypeList
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createAndApplyAuditTypeList

    public void createAndApplyAuditTypeList(java.lang.String specTag,
                                            java.lang.String atlDefTag)
                                     throws IfsException

  Description copied from class: `ScriptOperations`
  Creates an audit type list.

  NOTE: this should not be used for the GlobalAuditSpecification.

  Parameters:
    `specTag` - tag for the AuditSpecification to update
    `atlDefTag` - definition tag to be used for new AuditTypeList
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyAuditTypeList

    public void identifyAuditTypeList(java.lang.String tag,
                                      java.lang.String atlName)
                               throws IfsException

  Description copied from class: `ScriptOperations`
  Identify an audit type list by name.

  Parameters:
    `tag` - tag tag to use to identify the object
    `atlName` - name of the AuditTypeList to find
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAuditTypeList

    public void showAuditTypeList(java.lang.String objectTag)
                           throws IfsException

  Description copied from class: `ScriptOperations`
  Shows the audit type list corresponding to the supplied tag.

  Parameters:
    `objectTag` - tag for the audit list to be shown
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showExpandedAuditTypeList

    public void showExpandedAuditTypeList(java.lang.String objectTag,
                                          java.lang.String className)
                                   throws IfsException

  Description copied from class: `ScriptOperations`
  Shows the expanded audit type list corresponding to the supplied tag, and the specified class.

  The list is expanded to include placeholder entries for all event type that are applicable to the specified class, but do not appear in the list of AuditTypeEntries for the AuditTypeList.

  Parameters:
    `objectTag` - tag for the audit list to be shown
    `className` - class name for which to include placeholder entries
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createAuditSpecification

    public void createAuditSpecification(java.lang.String objectTag,
                                         java.lang.String defTag)
                                  throws IfsException

  Description copied from class: `ScriptOperations`
  Creates an AuditSpecification using the supplied definition.

  Parameters:
    `objectTag` - tag for the object
    `defTag` - definition tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyAuditSpecification

    public void identifyAuditSpecification(java.lang.String tag,
                                           java.lang.String asName)
                                    throws IfsException

  Description copied from class: `ScriptOperations`
  Identify an audit specification by name.

  Parameters:
    `tag` - tag to use to identify the object
    `asName` - name of the AuditSpecification to find
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyAuditHandlerSpecification

    public void identifyAuditHandlerSpecification(java.lang.String tag,
                                                  java.lang.String specName)
                                           throws IfsException

  Description copied from class: `ScriptOperations`
  Identify an audit handler specification by the AuditSpecification name.

  Parameters:
    `tag` - tag to use to identify the object
    `specName` - name of the AuditSpecification
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyAuditTargetSpecification

    public void identifyAuditTargetSpecification(java.lang.String tag,
                                                 java.lang.String specName)
                                          throws IfsException

  Description copied from class: `ScriptOperations`
  Identify an audit target specification by the AuditSpecification name.

  Parameters:
    `tag` - tag to use to identify the object
    `specName` - name of the AuditSpecification
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyGlobalAuditSpecification

    public void identifyGlobalAuditSpecification(java.lang.String tag)
                                          throws IfsException

  Description copied from class: `ScriptOperations`
  Identify the Global Audit History audit specification.

  Parameters:
    `tag` - tag to use to identify the object
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyObjectAuditSpecification

    public void identifyObjectAuditSpecification(java.lang.String tag)
                                          throws IfsException

  Description copied from class: `ScriptOperations`
  Identify the Object Audit History audit specification.

  Parameters:
    `tag` - tag to use to identify the object
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAuditSpecification

    public void showAuditSpecification(java.lang.String objectTag)
                                throws IfsException

  Description copied from class: `ScriptOperations`
  Shows the audit specification corresponding to the supplied tag.

  Parameters:
    `objectTag` - tag for the audit specification
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAllCustomAuditSpecifications

    public void showAllCustomAuditSpecifications()
                                          throws IfsException

  Description copied from class: `ScriptOperations`
  Shows all of the custom audit specifications.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### showGlobalAuditSpecification

    public void showGlobalAuditSpecification()
                                      throws IfsException

  Description copied from class: `ScriptOperations`
  Shows the Global audit spec.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### showObjectAuditSpecification

    public void showObjectAuditSpecification()
                                      throws IfsException

  Description copied from class: `ScriptOperations`
  Shows the Global audit spec.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### defineAuditTypeListDefinition

    public void defineAuditTypeListDefinition(java.lang.String defTag)
                                       throws IfsException

  Description copied from class: `ScriptOperations`
  Creates an unnamed AuditTypeList definition.

  Parameters:
    `defTag` - the tag to use to identify the definition
  Throws:
    `IfsException` - if the operation fails
  (Published)

### defineAuditTypeListDefinition

    public void defineAuditTypeListDefinition(java.lang.String defTag,
                                              java.lang.String name)
                                       throws IfsException

  Description copied from class: `ScriptOperations`
  Creates an AuditTypeList definition, with an optional name.

  Parameters:
    `defTag` - the tag to use to identify the definition
    `name` - the name to use for the new AuditTypeList
  Throws:
    `IfsException` - if the operation fails
  (Published)

### addAuditTypesForClass

    public void addAuditTypesForClass(java.lang.String defTag,
                                      java.lang.String className,
                                      java.lang.String mode)
                               throws IfsException

  Description copied from class: `ScriptOperations`
  Adds types to an AuditTypeList definition for a class.

  Parameters:
    `defTag` - the tag to use to identify the definition
    `className` - class name whose event types are to be added
    `mode` - success mode value to be added for each type
  Throws:
    `IfsException` - if the operation fails
  (Published)

### addAuditType

    public void addAuditType(java.lang.String defTag,
                             java.lang.String eventType,
                             java.lang.String mode)
                      throws IfsException

  Description copied from class: `ScriptOperations`
  Adds an event type to an AuditTypeList definition.

  Parameters:
    `defTag` - the tag to use to identify the definition
    `eventType` - the event type to be added
    `mode` - success mode value to be added for each type
  Throws:
    `IfsException` - if the operation fails
  (Published)

### defineAuditTargetSpecificationDefinition

    public void defineAuditTargetSpecificationDefinition(java.lang.String defTag,
                                                         java.lang.String target,
                                                         java.lang.String descendOpt)
                                                  throws IfsException

  Description copied from class: `ScriptOperations`
  Defines an AuditTargetSpecification definition.

  Parameters:
    `defTag` - the tag to use to identify the definition
    `target` - the target object
    `descendOpt` - the descendents option
  Throws:
    `IfsException` - if the operation fails
  (Published)

### defineAuditHandlerSpecificationDefinition

    public void defineAuditHandlerSpecificationDefinition(java.lang.String defTag,
                                                          java.lang.String handlerClass,
                                                          java.lang.String timerPeriod,
                                                          java.lang.String timerBaseTime,
                                                          java.lang.String notifiedOnEvent)
                                                   throws IfsException

  Description copied from class: `ScriptOperations`
  Defines an AuditHandlerSpecification definition.

  Defaults the handler type and does not use a specific Agent identifier.

  Parameters:
    `defTag` - the tag to use to identify the definition
    `handlerClass` - the fully qualified handler class
    `timerPeriod` - the timer period (can be null)
    `timerBaseTime` - the base time of day (can be null)
    `notifiedOnEvent` - whether the handler is to be notified upon a new event
  Throws:
    `IfsException` - if the operation fails
  (Published)

### defineAuditHandlerSpecificationDefinition

    public void defineAuditHandlerSpecificationDefinition(java.lang.String defTag,
                                                          java.lang.String handlerClass,
                                                          java.lang.String timerPeriod,
                                                          java.lang.String timerBaseTime,
                                                          java.lang.String notifiedOnEvent,
                                                          java.lang.String handlerType,
                                                          java.lang.String agentIdentifier)
                                                   throws IfsException

  Description copied from class: `ScriptOperations`
  Defines an AuditHandlerSpecification definition.

  Parameters:
    `defTag` - the tag to use to identify the definition
    `handlerClass` - the fully qualified handler class
    `timerPeriod` - the timer period (can be null)
    `timerBaseTime` - the base time of day (can be null)
    `notifiedOnEvent` - whether the handler is to be notified upon a new event
    `handlerType` - the handler type (can be null)
    `agentIdentifier` - the agent identifer (can be null)
  Throws:
    `IfsException` - if the operation fails
  (Published)

### addStringHandlerProperty

    public void addStringHandlerProperty(java.lang.String defTag,
                                         java.lang.String propName,
                                         java.lang.String propValue)
                                  throws IfsException

  Deprecated. 9.0.4.6: use `addDefinitionProperty`

  Description copied from class: `ScriptOperations`
  Adds a String type handler property to the specified handler definition.

  Parameters:
    `defTag` - the tag to use to identify the definition
    `propName` - the property name
    `propValue` - the property value
  Throws:
    `IfsException` - if the operation fails

### addBooleanHandlerProperty

    public void addBooleanHandlerProperty(java.lang.String defTag,
                                          java.lang.String propName,
                                          java.lang.String propValue)
                                   throws IfsException

  Deprecated. 9.0.4.6: use `addDefinitionProperty`

  Description copied from class: `ScriptOperations`
  Adds a Boolean type handler property to the specified handler definition.

  Parameters:
    `defTag` - the tag to use to identify the definition
    `propName` - the property name
    `propValue` - the property value
  Throws:
    `IfsException` - if the operation fails

### addIntegerHandlerProperty

    public void addIntegerHandlerProperty(java.lang.String defTag,
                                          java.lang.String propName,
                                          java.lang.String propValue)
                                   throws IfsException

  Deprecated. 9.0.4.6: use `addDefinitionProperty`

  Description copied from class: `ScriptOperations`
  Adds a Integer type handler property to the specified handler definition.

  Parameters:
    `defTag` - the tag to use to identify the definition
    `propName` - the property name
    `propValue` - the property value
  Throws:
    `IfsException` - if the operation fails

### addLongHandlerProperty

    public void addLongHandlerProperty(java.lang.String defTag,
                                       java.lang.String propName,
                                       java.lang.String propValue)
                                throws IfsException

  Deprecated. 9.0.4.6: use `addDefinitionProperty`

  Description copied from class: `ScriptOperations`
  Adds a Long type handler property to the specified handler definition.

  Parameters:
    `defTag` - the tag to use to identify the definition
    `propName` - the property name
    `propValue` - the property value
  Throws:
    `IfsException` - if the operation fails

### addStringArrayHandlerProperty

    public void addStringArrayHandlerProperty(java.lang.String defTag,
                                              java.lang.String propName,
                                              java.lang.String propValue)
                                       throws IfsException

  Deprecated. 9.0.4.6: use `addDefinitionProperty`

  Description copied from class: `ScriptOperations`
  Adds a String arrray type handler property to the specified handler definition.

  Parameters:
    `defTag` - the tag to use to identify the definition
    `propName` - the property name
    `propValue` - the property value
  Throws:
    `IfsException` - if the operation fails

### updateHandlerAgentIdentifier

    public void updateHandlerAgentIdentifier(java.lang.String specName,
                                             java.lang.String agentId)
                                      throws IfsException

  Description copied from class: `ScriptOperations`
  Updates the agent identifier for the handler associated with the specified AuditSpecification.

  Parameters:
    `specName` - name of the audit specification
    `agentId` - new agent ID for the handler
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createAuditSpecification

    public void createAuditSpecification(java.lang.String specName,
                                         java.lang.String atlDefTag,
                                         java.lang.String atsDefTag,
                                         java.lang.String ahsDefTag,
                                         java.lang.String specDesc)
                                  throws IfsException

  Description copied from class: `ScriptOperations`
  Creates a new AuditSpecification.

  Parameters:
    `specName` - the AuditSpecification name
    `atlDefTag` - the AuditTypeList definition tag
    `atsDefTag` - the AuditTargetSpecification definition tag
    `ahsDefTag` - the AuditHandlerSpecification definition tag
    `specDesc` - the AuditSpecification description
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createAuditSpecification

    public void createAuditSpecification(java.lang.String specName,
                                         java.lang.String atlDefTag,
                                         java.lang.String atsDefTag,
                                         java.lang.String ahsDefTag,
                                         java.lang.String specDesc,
                                         java.lang.String userSearch)
                                  throws IfsException

  Description copied from class: `ScriptOperations`
  Creates a new AuditSpecification.

  Parameters:
    `specName` - the AuditSpecification name
    `atlDefTag` - the AuditTypeList definition tag
    `atsDefTag` - the AuditTargetSpecification definition tag
    `ahsDefTag` - the AuditHandlerSpecification definition tag
    `specDesc` - the AuditSpecification description
    `userSearch` - whether the AuditSpecification history should be searchable by regular users
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createAuditSpecification

    public void createAuditSpecification(AttributeValueTable avt)
                                  throws IfsException

  Description copied from class: `ScriptOperations`
  Creates a new AuditSpecification.

  The keys supported by this operation:

  - TAG: the tag that identifies the newly created Format
  - NAME: the AuditSpecification name
  - DESCRIPTION: the AuditSpecification description
  - AUDITTYPELISTDEFINITIONTAG: the tag that identifies the AuditTypeList definition
  - AUDITTARGETSPECIFICATIONDEFINITIONTAG: the tag that identifies the AuditTargetSpecification definition
  - AUDITHANDLERSPECIFICATIONDEFINITIONTAG: the tag that identifies the AuditHandlerSpecification definition
  - USERSEARCHABLE: whether the audit history will be searchable by users
  - TABLENAMESUFFIX: the table name suffix to use for the audit event table
  - PRIVATEPROPERTYTABLEUSED: whether a private property table should be used
  - ACTIVE: whether the newly created AuditSpecification should be Active

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### activateAuditSpecification

    public void activateAuditSpecification(java.lang.String specName)
                                    throws IfsException

  Description copied from class: `ScriptOperations`
  Sets an AuditSpecification to an active state.

  Parameters:
    `specName` - the AuditSpecification name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### deactivateAuditSpecification

    public void deactivateAuditSpecification(java.lang.String specName)
                                      throws IfsException

  Description copied from class: `ScriptOperations`
  Sets an AuditSpecification to an inactive state.

  Parameters:
    `specName` - the AuditSpecification name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### deleteAuditSpecification

    public void deleteAuditSpecification(java.lang.String specName)
                                  throws IfsException

  Description copied from class: `ScriptOperations`
  Deletes an AuditSpecification.

  If no AuditSpecification is found with the specified name, displays a log message indicating this without throwing an exception.

  Parameters:
    `specName` - the AuditSpecification name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### lookupAuditDomainContext

    protected Folder lookupAuditDomainContext(LibrarySession sess,
                                              java.lang.String tag)
                                       throws IfsException

  Description copied from class: `ScriptOperations`
  Lookup the Audit Domain context by Tag.

  Simply return the root folder, regardless of the tag value specified. This behavior may change in the future, if multiple domain concepts are possible in CORE.

  Parameters:
    `sess` - the session context
    `tag` - the tag that identified the Domain object
  Throws:
    `IfsException` - if the operation fails

### setAuditingStartingId

    protected void setAuditingStartingId(long auditId)

  Description copied from class: `ScriptOperations`
  Set the starting point for Audit searches.

  Parameters:
    `auditId` - the highest Audit ID that currently exists.
  (Published)

### getAuditingStartingId

    protected long getAuditingStartingId()

  Description copied from class: `ScriptOperations`
  Get the value previously set as the starting point for Audit searches.

  Returns:
    the Audit ID to use as the base for audit searches
  (Published)

### getAuditEventDispatcher

    protected AuditEventDispatcher getAuditEventDispatcher(LibrarySession sess)
                                                    throws IfsException

  Description copied from class: `ScriptOperations`
  Get the AuditEventDispatcher.

  Parameters:
    `sess` - the session
  Returns:
    the AuditEventDispatcher
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createServiceConfiguration

    public void createServiceConfiguration(java.lang.String tag,
                                           java.lang.String name,
                                           java.lang.String likeTag,
                                           java.lang.String defTag)
                                    throws IfsException

  Description copied from class: `ScriptOperations`
  Create a ServiceConfiguration.

  Parameters:
    `tag` - the ServiceConfiguration tag to use for the new object
    `name` - the ServiceConfiguration name
    `likeTag` - a ServiceConfiguration tag identifying the SC that the new object will be "like"
    `defTag` - tag identifying the Definition holding the properties
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createServiceConfiguration

    public void createServiceConfiguration(AttributeValueTable avt)
                                    throws IfsException

  Description copied from class: `ScriptOperations`
  Create a ServiceConfiguration.

  The keys supported by this operation:

  - TAG: the tag that identifies the newly created ServiceConfiguration
  - DEFTAG: the definition tag that holds property settings
  - NAME: the ServiceConfiguration name
  - LIKESERVICECONFIGURATIONTAG: the tag that identifies the ServiceConfiguration that the new instance is based on
  - SKIPIFEXISTS: whether to skip creation if an object with a matching name already exists (boolean)

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyServiceConfiguration

    public void identifyServiceConfiguration(java.lang.String scTag,
                                             java.lang.String scName)
                                      throws IfsException

  Description copied from class: `ScriptOperations`
  Identify a ServiceConfiguration by its unique name.

  Parameters:
    `scTag` - the ServiceConfiguration tag
    `scName` - the ServiceConfiguration name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showServiceConfiguration

    public void showServiceConfiguration(java.lang.String scTag)
                                  throws IfsException

  Description copied from class: `ScriptOperations`
  Show details about a ServiceConfiguration.

  Parameters:
    `scTag` - the ServiceConfiguration tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showServiceConfiguration

    public void showServiceConfiguration(java.lang.String scTag,
                                         java.lang.String verboseVal)
                                  throws IfsException

  Description copied from class: `ScriptOperations`
  Show details about a ServiceConfiguration.

  Parameters:
    `scTag` - the ServiceConfiguration tag
    `verboseVal` - boolean value that indcicates verbosity of output
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAllServiceConfigurations

    public void showAllServiceConfigurations()
                                      throws IfsException

  Description copied from class: `ScriptOperations`
  Shows all of the ServiceConfiguration instances.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAllServiceConfigurations

    public void showAllServiceConfigurations(java.lang.String verboseVal)
                                      throws IfsException

  Description copied from class: `ScriptOperations`
  Shows all of the ServiceConfiguration instances.

  Parameters:
    `verboseVal` - boolean value that indcicates verbosity of output
  Throws:
    `IfsException` - if the operation fails
  (Published)

### updateServiceConfiguration

    public void updateServiceConfiguration(java.lang.String svcTag,
                                           java.lang.String defTag)
                                    throws IfsException

  Description copied from class: `ScriptOperations`
  Update a ServiceConfiguration.

  Parameters:
    `svcTag` - the tag that identifies the ServiceConfiguration
    `defTag` - tag identifying the Definition holding the properties
  Throws:
    `IfsException` - if the operation fails
  (Published)

### updateServiceConfiguration

    public void updateServiceConfiguration(AttributeValueTable avt)
                                    throws IfsException

  Description copied from class: `ScriptOperations`
  Update a ServiceConfiguration.

  The keys supported by this operation:

  - TAG: tag that identifies the target ServiceConfiguration to update
  - DEFTAG: definition tag that holds property settings (optional)
  - SOURCETAG: tag that identifies a ServiceConfiguration whose properties should be copied to the target (optional)
  - SOURCENAME: Name of the ServiceConfiguration whose properties should be copied to the target (optional)

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### freeServiceConfiguration

    public void freeServiceConfiguration(java.lang.String svcTag)
                                  throws IfsException

  Description copied from class: `ScriptOperations`
  Free a ServiceConfiguration.

  Parameters:
    `svcTag` - the ServiceConfiguration tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### freeServiceConfiguration

    public void freeServiceConfiguration(AttributeValueTable avt)
                                  throws IfsException

  Description copied from class: `ScriptOperations`
  Free a ServiceConfiguration.

  The keys supported by this operation:

  - TAG: tag that identifies the ServiceConfiguration to free
  - NAME: name of the ServiceConfiguration to free
  - SKIPIFNOTEXISTS: whether to skip free if an object with a matching name does not exist (boolean)

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createNodeConfiguration

    public void createNodeConfiguration(java.lang.String tag,
                                        java.lang.String name,
                                        java.lang.String ncSuperTag,
                                        java.lang.String active,
                                        java.lang.String defTag)
                                 throws IfsException

  Description copied from class: `ScriptOperations`
  Create a NodeConfiguration.

  Parameters:
    `tag` - the NodeConfiguration tag to use for the new object
    `name` - the NodeConfiguration name
    `ncSuperTag` - a NodeConfiguration tag identifying the NC that the new object will extend
    `active` - is the new Node active? (boolean)
    `defTag` - tag identifying the Definition holding the properties
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createNodeConfiguration

    public void createNodeConfiguration(AttributeValueTable avt)
                                 throws IfsException

  Description copied from class: `ScriptOperations`
  Creates a NodeConfiguration.

  The keys supported by this operation:

  - TAG: the tag that identifies the newly created NodeConfiguration
  - DEFTAG: the definition tag that holds property settings
  - NAME: the NodeConfiguration name
  - ACTIVE: whether the NodeConfiguration is initially active (boolean)
  - SUPERNODECONFIGURATIONTAG: the tag that identifies the NodeConfiguration that the new instance extends
  - SKIPIFEXISTS: whether to skip creation if an object with a matching name already exists (boolean)

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### addManagedServiceDeclaration

    public void addManagedServiceDeclaration(java.lang.String serviceName,
                                             java.lang.String svcName,
                                             java.lang.String activeVal)
                                      throws IfsException

  Description copied from class: `ScriptOperations`
  Add a Service declaration to the list being prepared as the set of managed Services, used in the next `createNodeConfiguration` operation.

  The Service declaration specified in this operation is saved into a list which is used in the next createNodeConfiguration operation. The list is then implicitly cleared.

  Parameters:
    `serviceName` - the Service name
    `svcName` - the ServiceConfiguration name
    `activeVal` - boolean value which indicates whether the service is active
  Throws:
    `IfsException` - if the operation fails
  (Published)

### addManagedServiceDeclaration

    public void addManagedServiceDeclaration(ScriptOperations.ServiceDefinition serviceDef)
                                      throws IfsException

  Description copied from class: `ScriptOperations`
  Add a Service declaration to the list being prepared as the set of managed Services, used in the next `createNodeConfiguration` operation.

  The Service declaration specified in this operation is saved into a list which is used in the next createNodeConfiguration operation. The list is then implicitly cleared.

  Parameters:
    `serviceDef` - the Service Declaration
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getManagedServiceDeclarations

    public ScriptOperations.ServiceDefinition[] getManagedServiceDeclarations()
                                                                       throws IfsException

  Description copied from class: `ScriptOperations`
  Gets the managed Service declarations previously added via `addManagedServiceDeclaration`.

  The list is implicitly cleared by this call.

  Returns:
    the Service declarations
  Throws:
    `IfsException` - if the operation fails
  (Published)

### addManagedServerDeclaration

    public void addManagedServerDeclaration(java.lang.String serverName,
                                            java.lang.String scName,
                                            java.lang.String serviceName,
                                            java.lang.String activeVal,
                                            java.lang.String startedVal,
                                            java.lang.String priorityVal)
                                     throws IfsException

  Description copied from class: `ScriptOperations`
  Add a Server declaration to the list being prepared as the set of managed Servers, used in the next `createNodeConfiguration` operation.

  The Server declaration specified in this operation is saved into a list which is used in the next createNodeConfiguration operation. The list is then implicitly cleared.

  Parameters:
    `serverName` - the Server name, e.g. QuotaAgent
    `scName` - the ServerConfiguration name, e.g. QuotaAgentConfiguration
    `serviceName` - the service name; must match the service name of one of the managed Services
    `activeVal` - boolean value which indicates whether the server is active
    `startedVal` - boolean value which indicates whether the server should be initially started
    `priorityVal` - the initial Thread priority for the Server
  Throws:
    `IfsException` - if the operation fails
  (Published)

### addManagedServerDeclaration

    public void addManagedServerDeclaration(AttributeValueTable avt)
                                     throws IfsException

  Description copied from class: `ScriptOperations`
  Add a Server declaration to the list being prepared as the set of managed Servers, used in the next `createNodeConfiguration` operation.

  The Server declaration specified in this operation is saved into a list which is used in the next createNodeConfiguration operation. The list is then implicitly cleared.

  The keys supported by this operation:

  - SERVERNAME: the Server name
  - SERVERCONFIGURATIONNAME: the ServerConfiguration name
  - SERVICENAME: the Service name
  - OVERRIDESTAG: the tag of the definition that holds the ServerConfiguration overrides
  - ACTIVE: whether the Server is active (boolean)
  - STARTED: whether the Server should be initially started (boolean)
  - PRIORITY: the initial Thread priority for the Server
  - REPLACEPREVIOUSOVERRIDES: whether all previously specified Server overrides should be replace during an update operation (boolean)

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### addManagedServerDeclaration

    public void addManagedServerDeclaration(ScriptOperations.ServerDefinition serverDef)
                                     throws IfsException

  Description copied from class: `ScriptOperations`
  Add a Server declaration to the list being prepared as the set of managed Servers, used in the next `createNodeConfiguration` operation.

  The Server declaration specified in this operation is saved into a list which is used in the next createNodeConfiguration operation. The list is then implicitly cleared.

  Parameters:
    `serverDef` - the Server Declaration
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getManagedServerDeclarations

    public ScriptOperations.ServerDefinition[] getManagedServerDeclarations()
                                                                     throws IfsException

  Description copied from class: `ScriptOperations`
  Gets the managed Server declarations previously added via `addManagedServerDeclaration`.

  The list is implicitly cleared by this call.

  Returns:
    the Server declarations
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyNodeConfiguration

    public void identifyNodeConfiguration(java.lang.String ncTag,
                                          java.lang.String ncName)
                                   throws IfsException

  Description copied from class: `ScriptOperations`
  Identify a NodeConfiguration by its unique name.

  Parameters:
    `ncTag` - the NodeConfiguration tag
    `ncName` - the NodeConfiguration name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showNodeConfiguration

    public void showNodeConfiguration(java.lang.String ncTag)
                               throws IfsException

  Description copied from class: `ScriptOperations`
  Show details about a NodeConfiguration.

  Parameters:
    `ncTag` - the NodeConfiguration tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showNodeConfiguration

    public void showNodeConfiguration(java.lang.String ncTag,
                                      java.lang.String verboseVal)
                               throws IfsException

  Description copied from class: `ScriptOperations`
  Show details about a NodeConfiguration.

  Parameters:
    `ncTag` - the NodeConfiguration tag
    `verboseVal` - boolean value that indcicates verbosity of output
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAllNodeConfigurations

    public void showAllNodeConfigurations()
                                   throws IfsException

  Description copied from class: `ScriptOperations`
  Shows all of the NodeConfiguration instances.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAllNodeConfigurations

    public void showAllNodeConfigurations(java.lang.String verboseVal)
                                   throws IfsException

  Description copied from class: `ScriptOperations`
  Shows all of the NodeConfiguration instances.

  Parameters:
    `verboseVal` - boolean value that indcicates verbosity of output
  Throws:
    `IfsException` - if the operation fails
  (Published)

### updateNodeConfiguration

    public void updateNodeConfiguration(java.lang.String ncTag,
                                        java.lang.String defTag)
                                 throws IfsException

  Description copied from class: `ScriptOperations`
  Update a NodeConfiguration.

  Parameters:
    `ncTag` - the tag that identifies the NodeConfiguration
    `defTag` - tag identifying the Definition holding the properties
  Throws:
    `IfsException` - if the operation fails
  (Published)

### updateNodeConfiguration

    public void updateNodeConfiguration(AttributeValueTable avt)
                                 throws IfsException

  Description copied from class: `ScriptOperations`
  Update a NodeConfiguration.

  The keys supported by this operation:

  - TAG: tag that identifies the target NodeConfiguration to update
  - DEFTAG: definition tag that holds property settings (optional)

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### removeServiceFromNodeConfiguration

    public void removeServiceFromNodeConfiguration(java.lang.String ncTag,
                                                   java.lang.String svName)
                                            throws IfsException

  Description copied from class: `ScriptOperations`
  Remove a Service registration from a NodeConfiguration.

  Parameters:
    `ncTag` - the tag that identifies the NodeConfiguration
    `svName` - the service name to remove
  Throws:
    `IfsException` - if the operation fails
  (Published)

### removeServerFromNodeConfiguration

    public void removeServerFromNodeConfiguration(java.lang.String ncTag,
                                                  java.lang.String sName)
                                           throws IfsException

  Description copied from class: `ScriptOperations`
  Remove a Server registration from a NodeConfiguration.

  Parameters:
    `ncTag` - the tag that identifies the NodeConfiguration
    `sName` - the server name to remove
  Throws:
    `IfsException` - if the operation fails
  (Published)

### freeNodeConfiguration

    public void freeNodeConfiguration(java.lang.String ncTag)
                               throws IfsException

  Description copied from class: `ScriptOperations`
  Free a NodeConfiguration.

  Parameters:
    `ncTag` - the NodeConfiguration tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### freeNodeConfiguration

    public void freeNodeConfiguration(AttributeValueTable avt)
                               throws IfsException

  Description copied from class: `ScriptOperations`
  Free a NodeConfiguration.

  The keys supported by this operation:

  - TAG: tag that identifies the NodeConfiguration to free
  - NAME: name of the NodeConfiguration to free
  - SKIPIFNOTEXISTS: whether to skip free if an object with a matching name does not exist (boolean)

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createServerConfiguration

    public void createServerConfiguration(java.lang.String tag,
                                          java.lang.String name,
                                          java.lang.String likeTag,
                                          java.lang.String defTag)
                                   throws IfsException

  Description copied from class: `ScriptOperations`
  Create a ServerConfiguration.

  Parameters:
    `tag` - the ServerConfiguration tag to use for the new object
    `name` - the ServerConfiguration name
    `likeTag` - a ServerConfiguration tag identifying the SC that the new object will be "like"
    `defTag` - tag identifying the Definition holding the properties
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createServerConfiguration

    public void createServerConfiguration(AttributeValueTable avt)
                                   throws IfsException

  Description copied from class: `ScriptOperations`
  Create a ServerConfiguration.

  The keys supported by this operation:

  - TAG: the tag that identifies the newly created ServerConfiguration
  - DEFTAG: the definition tag that holds property settings
  - NAME: the ServerConfiguration name
  - LIKESERVERCONFIGURATIONTAG: the tag that identifies the ServerConfiguration that the new instance is based on
  - SKIPIFEXISTS: whether to skip creation if an object with a matching name already exists (boolean)

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyServerConfiguration

    public void identifyServerConfiguration(java.lang.String scTag,
                                            java.lang.String scName)
                                     throws IfsException

  Description copied from class: `ScriptOperations`
  Identify a ServerConfiguration by its unique name.

  Parameters:
    `scTag` - the ServerConfiguration tag
    `scName` - the ServerConfiguration name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showServerConfiguration

    public void showServerConfiguration(java.lang.String scTag)
                                 throws IfsException

  Description copied from class: `ScriptOperations`
  Show details about a ServerConfiguration.

  Parameters:
    `scTag` - the ServerConfiguration tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showServerConfiguration

    public void showServerConfiguration(java.lang.String scTag,
                                        java.lang.String verboseVal)
                                 throws IfsException

  Description copied from class: `ScriptOperations`
  Show details about a ServerConfiguration.

  Parameters:
    `scTag` - the ServerConfiguration tag
    `verboseVal` - boolean value that indcicates verbosity of output
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAllServerConfigurations

    public void showAllServerConfigurations()
                                     throws IfsException

  Description copied from class: `ScriptOperations`
  Shows all of the ServerConfiguration instances.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAllServerConfigurations

    public void showAllServerConfigurations(java.lang.String verboseVal)
                                     throws IfsException

  Description copied from class: `ScriptOperations`
  Shows all of the ServerConfiguration instances.

  Parameters:
    `verboseVal` - boolean value that indcicates verbosity of output
  Throws:
    `IfsException` - if the operation fails
  (Published)

### updateServerConfiguration

    public void updateServerConfiguration(java.lang.String scTag,
                                          java.lang.String defTag)
                                   throws IfsException

  Description copied from class: `ScriptOperations`
  Update a ServerConfiguration.

  Parameters:
    `scTag` - the tag that identifies the ServerConfiguration
    `defTag` - tag identifying the Definition holding the properties
  Throws:
    `IfsException` - if the operation fails
  (Published)

### updateServerConfiguration

    public void updateServerConfiguration(AttributeValueTable avt)
                                   throws IfsException

  Description copied from class: `ScriptOperations`
  Update a ServerConfiguration.

  The keys supported by this operation:

  - TAG: tag that identifies the target ServerConfiguration to update
  - DEFTAG: definition tag that holds property settings (optional)
  - SOURCETAG: tag that identifies a ServerConfiguration whose properties should be copied to the target (optional)
  - SOURCENAME: Name of the ServerConfiguration whose properties should be copied to the target (optional)

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### freeServerConfiguration

    public void freeServerConfiguration(java.lang.String scTag)
                                 throws IfsException

  Description copied from class: `ScriptOperations`
  Free a ServerConfiguration.

  Parameters:
    `scTag` - the ServerConfiguration tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### freeServerConfiguration

    public void freeServerConfiguration(AttributeValueTable avt)
                                 throws IfsException

  Description copied from class: `ScriptOperations`
  Free a ServerConfiguration.

  The keys supported by this operation:

  - TAG: tag that identifies the ServerConfiguration to free
  - NAME: name of the ServerConfiguration to free
  - SKIPIFNOTEXISTS: whether to skip free if an object with a matching name does not exist (boolean)

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getAclValueForConfigurationObjects

    protected AttributeValue getAclValueForConfigurationObjects(LibrarySession sess)
                                                         throws IfsException

  Description copied from class: `ScriptOperations`
  Get the ACL value to use for Configuration object creation.

  Parameters:
    `sess` - the session context
  Returns:
    the AttributeValue reflecting the desired ACL
  Throws:
    `IfsException` - if the operation fails
  (Published)

### convertPropertyDefinitionsToHashtable

    protected java.util.Hashtable convertPropertyDefinitionsToHashtable(PropertyDefinition[] pbDefs)
                                                                 throws IfsException

  Description copied from class: `ScriptOperations`
  Convert an array of PropertyDefinitions to a Hashtable, keyed by the property name, with the value being an AttributeValue representation of the property's value.

  Parameters:
    `pbDefs` - the PropertyDefinitions
  Returns:
    a Hashtable equivalent
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyByAttribute

    public void identifyByAttribute(java.lang.String identifiedTag,
                                    java.lang.String objectTag,
                                    java.lang.String attrName)
                             throws IfsException

  Description copied from class: `ScriptOperations`
  Identify an object as an attribute of another object.

  Parameters:
    `identifiedTag` - the tag that will identify the object referenced by the attribute of the specified object
    `objectTag` - the specified object tag
    `attrName` - the name of the attribute
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAttribute

    public void showAttribute(java.lang.String objectTag,
                              java.lang.String attrName)
                       throws IfsException

  Description copied from class: `ScriptOperations`
  Show the attribute value of an object.

  Parameters:
    `objectTag` - the specified object tag
    `attrName` - the name of the attribute
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createUser

    public void createUser(AttributeValueTable avt)
                    throws IfsException

  Description copied from class: `ScriptOperations`
  Creates a User.

  The keys supported by this operation:

  - TAG: the tag that identifies the newly created DirectoryUser
  - SKIPIFEXISTS: whether to skip creation if an object with a matching name already exists (boolean)
  - NAME: the User name
  - PASSWORD: the User password
  - CREDENTIALMANAGER: the Credential Manager (e.g. "Ifs")
  - DISTINGUISHEDNAME: the Distinguished name for the user
  - CREATECREDENTIALMANAGERUSER: whether the Credential Manager user is to be created
  - PASSWORDCHANGEABLE: whether the User password is changeable
  - ADMINENABLED: whether the User can enter admin mode
  - SYSTEMADMINENABLED: whether the User can enter system admin mode
  - CREATEPRIMARYUSERPROFILE: whether the PrimaryUserProfile is created
  - CREATEHOMEFOLDER: whether the Home folder is created
  - CREATECONTENTQUOTA: whether the ContentQuota is created
  - CONTENTQUOTAENABLED: whether the ContentQuota is enabled
  - CONTENTQUOTAALLOCATEDSTORAGE: the quota allocation (Long)
  - HOMEFOLDERROOT: the abolute path to the folder which will be the Home folder's parent (e.g. "/home")
  - HOMEFOLDERNAME: the name of the Home folder

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setUserCreateOptions

    protected void setUserCreateOptions(AttributeValueTable avt,
                                        java.util.Hashtable ht)
                                 throws IfsException

  Description copied from class: `ScriptOperations`
  Sets options for user creation on the specified options Hashtable. The keys supported by this operation:
  - CREDENTIALMANAGER: the Credential Manager (e.g. "Ifs")
  - DISTINGUISHEDNAME: the Distinguished name for the user
  - CREATECREDENTIALMANAGERUSER: whether the Credential Manager user is to be created
  - PASSWORDCHANGEABLE: whether the User password is changeable
  - ADMINENABLED: whether the User can enter admin mode
  - SYSTEMADMINENABLED: whether the User can enter system admin mode
  - CREATEPRIMARYUSERPROFILE: whether the PrimaryUserProfile is created
  - CREATEHOMEFOLDER: whether the Home folder is created
  - CREATECONTENTQUOTA: whether the ContentQuota is created
  - CONTENTQUOTAENABLED: whether the ContentQuota is enabled
  - CONTENTQUOTAALLOCATEDSTORAGE: the quota allocation (Long)
  - HOMEFOLDERROOT: the abolute path to the folder which will be the Home folder's parent (e.g. "/home")
  - HOMEFOLDERNAME: the name of the Home folder
  - TIMEZONE: the Timezone preferred by the user
  - LANGUAGE: the language preferred by the user
  - CHARACTERSET: the character set preferred by the user
  - LOCALE: the Locale preferred by the user
  - DISPLAYNAME: the display name for the user

  Parameters:
    `avt` - the named arguments specified in createUser
    `ht` - the options Hashtable
  Throws:
    `IfsException` - if the operation fails
  (Published)

### updateUserPassword

    public void updateUserPassword(AttributeValueTable avt)
                            throws IfsException

  Description copied from class: `ScriptOperations`
  Updates the password for a User.

  The keys supported by this operation:

  - USERNAME: the name of the DirectoryUser to update
  - TAG: the tag that identifies the DirectoryUser to update
  - PASSWORD: the new User password

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### deleteUser

    public void deleteUser(AttributeValueTable avt)
                    throws IfsException

  Description copied from class: `ScriptOperations`
  Deletes a User.

  The keys supported by this operation:

  - TAG: the tag that identifies the DirectoryUser to update
  - DELETECREDENTIALMANAGERUSER: whether the Credential Manager user should be deleted
  - DELETEHOMEFOLDER: whether the Home folder should be deleted
  - REASSIGNOWNERSHIP: whether objects owned by the deleted user should have a new Owner assigned
  - NEWOWNERNAME: the name of the new Owner, if REASSIGNOWNERSHIP is true

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setUserDeleteOptions

    protected void setUserDeleteOptions(AttributeValueTable avt,
                                        java.util.Hashtable ht)
                                 throws IfsException

  Description copied from class: `ScriptOperations`
  Sets options for user delete on the specified options Hashtable.

  The keys supported by this operation:

  - TAG: the tag that identifies the DirectoryUser to update
  - DELETECREDENTIALMANAGERUSER: whether the Credential Manager user should be deleted
  - DELETEHOMEFOLDER: whether the Home folder should be deleted
  - REASSIGNOWNERSHIP: whether objects owned by the deleted user should have a new Owner assigned
  - NEWOWNERNAME: the name of the new Owner, if REASSIGNOWNERSHIP is true

  Parameters:
    `avt` - the named arguments specified in deleteUser
    `ht` - the options Hashtable
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyUser

    public void identifyUser(java.lang.String userTag,
                             java.lang.String userName)
                      throws IfsException

  Description copied from class: `ScriptOperations`
  Lookup a user by name and register it.

  Parameters:
    `userTag` - the tag to be used for the user
    `userName` - the user name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifySystemUser

    public void identifySystemUser(java.lang.String sysTag)
                            throws IfsException

  Description copied from class: `ScriptOperations`
  Lookup the SYSTEM user and register it.

  Parameters:
    `sysTag` - the tag to be used for the SYSTEM user
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyGuestUser

    public void identifyGuestUser(java.lang.String guestTag)
                           throws IfsException

  Description copied from class: `ScriptOperations`
  Lookup the GUEST user and register it.

  Parameters:
    `guestTag` - the tag to be used for the GUEST user
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyPrimaryUserProfile

    public void identifyPrimaryUserProfile(java.lang.String pupTag,
                                           java.lang.String userName)
                                    throws IfsException

  Description copied from class: `ScriptOperations`
  Identify the PrimaryUserProfile for a user.

  Parameters:
    `pupTag` - the tag to be used for the PrimaryUserProfile
    `userName` - the user name or tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createGroup

    public void createGroup(AttributeValueTable avt)
                     throws IfsException

  Description copied from class: `ScriptOperations`
  Creates a DirectoryGroup.

  The keys supported by this operation:

  - TAG: the tag that will identify the new object
  - NAME: the group name
  - DESCRIPTION: the group description
  - ACL: the ACL to use for the new group
  - DEFTAG: a DirectoryGroupDefinition containing additional options

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### addGroupMember

    public void addGroupMember(AttributeValueTable avt)
                        throws IfsException

  Description copied from class: `ScriptOperations`
  Adds a member to a DirectoryGroup.

  The keys supported by this operation:

  - TAG: the tag that identifies the group to be modified
  - USERMEMBER: the name or tag of the user to add as a member
  - GROUPMEMBERTAG: the tag of the group to be added as a member

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyWorldGroup

    public void identifyWorldGroup(java.lang.String worldTag)
                            throws IfsException

  Description copied from class: `ScriptOperations`
  Lookup the "WORLD" group and register it.

  Parameters:
    `worldTag` - the tag to be used for the WORLD group
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showGroup

    public void showGroup(java.lang.String groupTag)
                   throws IfsException

  Description copied from class: `ScriptOperations`
  Show details about a group. Can be used for internal groups (e.g. the "all users" group)

  Parameters:
    `groupTag` - the target group tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showServiceStatistics

    public void showServiceStatistics()
                               throws IfsException

  Description copied from class: `ScriptOperations`
  Show the current service statistics.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### showSessionCacheStatistics

    public void showSessionCacheStatistics()
                                    throws IfsException

  Description copied from class: `ScriptOperations`
  Show session cache statistics for the current session.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### setRepositoryParameter

    public void setRepositoryParameter(AttributeValueTable avt)
                                throws IfsException

  Description copied from class: `ScriptOperations`
  Sets a repository parameter.

  The keys supported by this operation:

  - ParameterName: the repository parameter name
  - Value: the repository parameter value (always a String)
  - Encrypted: whether the value should be stored encypted (boolean)

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### deleteRepositoryParameter

    public void deleteRepositoryParameter(AttributeValueTable avt)
                                   throws IfsException

  Description copied from class: `ScriptOperations`
  Deletes a repository parameter.

  The keys supported by this operation:

  - ParameterName: the repository parameter name

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showRepositoryParameter

    public void showRepositoryParameter(AttributeValueTable avt)
                                 throws IfsException

  Description copied from class: `ScriptOperations`
  Shows a repository parameter.

  The keys supported by this operation:

  - ParameterName: the repository parameter name
  - Encrypted: whether the value is stored encypted (boolean)

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAllRepositoryParameters

    public void showAllRepositoryParameters()
                                     throws IfsException

  Description copied from class: `ScriptOperations`
  Shows all repository parameters.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyInstancePropertyBundle

    public void identifyInstancePropertyBundle(java.lang.String pbTag)
                                        throws IfsException

  Description copied from class: `ScriptOperations`
  Identify the "Instance PropertyBundle", also known as the Domain PropertyBundle.

  Parameters:
    `pbTag` - the tag to use
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showInstancePropertyBundle

    public void showInstancePropertyBundle()
                                    throws IfsException

  Description copied from class: `ScriptOperations`
  Show the instance PropertyBundle.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### showInstanceProperty

    public void showInstanceProperty(java.lang.String key)
                              throws IfsException

  Description copied from class: `ScriptOperations`
  Show an instance property.

  Parameters:
    `key` - the instance property key
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setInstanceProperty

    public void setInstanceProperty(AttributeValueTable avt)
                             throws IfsException

  Description copied from class: `ScriptOperations`
  Sets an "instance" property, i.e. a property in the Domain PropertyBundle.

  The keys supported by this operation:

  - PROPERTYNAME (or KEY or NAME): the domain property name
  The property value is specified using one of the keys listed in `getAttributeValue`.

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  See Also:
    `ScriptOperations.getAttributeValue(AttributeValueTable, String[])`
  (Published)

### setStringInstanceProperty

    public void setStringInstanceProperty(java.lang.String key,
                                          java.lang.String value)
                                   throws IfsException

  Deprecated. 9.0.4.6: use `setInstanceProperty`

  Description copied from class: `ScriptOperations`
  Set an instance property that is a String

  Parameters:
    `key` - the instance property key
    `value` - the instance property value (representing a String)
  Throws:
    `IfsException` - if the operation fails

### setBooleanInstanceProperty

    public void setBooleanInstanceProperty(java.lang.String key,
                                           java.lang.String value)
                                    throws IfsException

  Deprecated. 9.0.4.6: use `setInstanceProperty`

  Description copied from class: `ScriptOperations`
  Set an instance property that is a boolean

  Parameters:
    `key` - the instance property key
    `value` - the instance property value (representing a boolean)
  Throws:
    `IfsException` - if the operation fails

### setIntegerInstanceProperty

    public void setIntegerInstanceProperty(java.lang.String key,
                                           java.lang.String value)
                                    throws IfsException

  Deprecated. 9.0.4.6: use `setInstanceProperty`

  Description copied from class: `ScriptOperations`
  Set an instance property that is an integer

  Parameters:
    `key` - the instance property key
    `value` - the instance property value (representing an integer)
  Throws:
    `IfsException` - if the operation fails

### setLongInstanceProperty

    public void setLongInstanceProperty(java.lang.String key,
                                        java.lang.String value)
                                 throws IfsException

  Deprecated. 9.0.4.6: use `setInstanceProperty`

  Description copied from class: `ScriptOperations`
  Set an instance property that is a long integer

  Parameters:
    `key` - the instance property key
    `value` - the instance property value (representing a long)
  Throws:
    `IfsException` - if the operation fails

### setPublicObjectInstanceProperty

    public void setPublicObjectInstanceProperty(java.lang.String key,
                                                java.lang.String tag)
                                         throws IfsException

  Deprecated. 9.0.4.6: use `setInstanceProperty`

  Description copied from class: `ScriptOperations`
  Set an instance property that is a PublicObject, identified by tag.

  Parameters:
    `key` - the instance property key
    `tag` - the tag that identifies the PublicObject
  Throws:
    `IfsException` - if the operation fails

### setSystemObjectInstanceProperty

    public void setSystemObjectInstanceProperty(java.lang.String key,
                                                java.lang.String tag)
                                         throws IfsException

  Deprecated. 9.0.4.6: use `setInstanceProperty`

  Description copied from class: `ScriptOperations`
  Set an instance property that is a SystemObject, identified by tag.

  Parameters:
    `key` - the instance property key
    `tag` - the tag that identifies the SystemObject
  Throws:
    `IfsException` - if the operation fails

### createNamedPropertyBundle

    public void createNamedPropertyBundle(AttributeValueTable avt)
                                   throws IfsException

  Description copied from class: `ScriptOperations`
  Creates a Named PropertyBundle.

  A named PropertyBundle is a PropertyBundle that is also the value of a ValueDefault. The name chosen for the named PropertyBundle will also be the name of the ValueDefault, which must be unique across the entire instance. This is an older way of accomplishing this unique naming and identification; in later years, the "Domain PropertyBundle" was used to hold the items, using that PropertyBundle's namespace to ensure easy lookup. The keys supported by this operation:

  - TAG: the tag that identifies the newly created PropertyBundle
  - NAME: the PropertyBundle (and encapsulating ValueDefault) name
  - DESCRIPTION: the description
  - ACL: the ACL to use for the PropertyBundle
  - SKIPIFEXISTS: whether to skip creation if an object with a matching name already exists (boolean)

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyNamedPropertyBundle

    public void identifyNamedPropertyBundle(java.lang.String tag,
                                            java.lang.String name)
                                     throws IfsException

  Description copied from class: `ScriptOperations`
  Identify a Named PropertyBundle.

  Parameters:
    `tag` - the tag to use
    `name` - the Named PropertyBundle name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showNamedPropertyBundle

    public void showNamedPropertyBundle(java.lang.String name)
                                 throws IfsException

  Description copied from class: `ScriptOperations`
  Show details about a Named PropertyBundle.

  Parameters:
    `name` - the Named PropertyBundle name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### freeNamedPropertyBundle

    public void freeNamedPropertyBundle(java.lang.String name)
                                 throws IfsException

  Description copied from class: `ScriptOperations`
  Frees a Named PropertyBundle.

  Parameters:
    `name` - the Named PropertyBundle name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### freeNamedPropertyBundle

    public void freeNamedPropertyBundle(AttributeValueTable avt)
                                 throws IfsException

  Description copied from class: `ScriptOperations`
  Frees a Named PropertyBundle.

  The keys supported by this operation:

  - NAME: the Named PropertyBundle name
  - SKIPIFNOTEXISTS: whether to skip free if an object with a matching name does not exist (boolean)

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createPropertyBundle

    public void createPropertyBundle(AttributeValueTable avt)
                              throws IfsException

  Description copied from class: `ScriptOperations`
  Creates a regular PropertyBundle. The keys supported by this operation:
  - TAG: the tag that identifies the newly created PropertyBundle
  - NAME: the PropertyBundle name
  - DESCRIPTION: the description
  - ACL: the ACL to use for the PropertyBundle

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setProperty

    public void setProperty(AttributeValueTable avt)
                     throws IfsException

  Description copied from class: `ScriptOperations`
  Sets a Property on an identified PropertyBundle.

  The keys supported by this operation:

  - TAG: the tag that identifies the PropertyBundle
  - PROPERTYNAME (or KEY or NAME): the Property name
  The property value is specified using one of the keys listed in `getAttributeValue`.

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  See Also:
    `ScriptOperations.getAttributeValue(AttributeValueTable, String[])`
  (Published)

### removeProperties

    public void removeProperties(AttributeValueTable avt)
                          throws IfsException

  Description copied from class: `ScriptOperations`
  Removes a Property or a set of Properties from a PropertyBundle.

  The keys supported by this operation:

  - TAG: the tag that identifies the PropertyBundle
  - KEY: the Property key
  - KEYARRAY: the array of Property keys to remove
  - REMOVEALL: whether to remove all of the existing properties (boolean)

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyObjectProperty

    public void identifyObjectProperty(AttributeValueTable avt)
                                throws IfsException

  Description copied from class: `ScriptOperations`
  Identifies an object Property on an identified PropertyBundle.

  The keys supported by this operation:

  - TAG: the tag that will identify the object property
  - BUNDLETAG: the PropertyBundle
  - PROPERTYNAME (or KEY): the Property name

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showPropertyBundle

    public void showPropertyBundle(java.lang.String pbTag)
                            throws IfsException

  Description copied from class: `ScriptOperations`
  Shows the properties of a PropertyBundle.

  Parameters:
    `pbTag` - the tag that identifies the PropertyBundle
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showProperty

    public void showProperty(java.lang.String pbTag,
                             java.lang.String key)
                      throws IfsException

  Description copied from class: `ScriptOperations`
  Shows a property of a PropertyBundle.

  Parameters:
    `pbTag` - the tag that identifies the PropertyBundle
    `key` - the property key
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setClassProperty

    public void setClassProperty(AttributeValueTable avt)
                          throws IfsException

  Description copied from class: `ScriptOperations`
  Sets a class-level Property on the specified ClassObject PropertyBundle.

  The keys supported by this operation:

  - CLASSNAME: the name of the ClassObject whose PropertyBundle will be updated
  - PROPERTYNAME (or KEY or NAME): the Property name
  The property value is specified using one of the keys listed in `getAttributeValue`.

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  See Also:
    `ScriptOperations.getAttributeValue(AttributeValueTable, String[])`
  (Published)

### showSessionState

    public void showSessionState(java.lang.String stateKey)
                          throws IfsException

  Description copied from class: `ScriptOperations`
  Show the session state value in the current session for the specified session state key.

  Parameters:
    `stateKey` - the session state key
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setStringSessionState

    public void setStringSessionState(java.lang.String stateKey,
                                      java.lang.String value)
                               throws IfsException

  Description copied from class: `ScriptOperations`
  Set String session state for the specified session state key.

  Parameters:
    `stateKey` - the session state key
    `value` - the session state key value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setLongSessionState

    public void setLongSessionState(java.lang.String stateKey,
                                    java.lang.String value)
                             throws IfsException

  Description copied from class: `ScriptOperations`
  Set Long session state for the specified session state key.

  Parameters:
    `stateKey` - the session state key
    `value` - the session state key value (numeric)
  Throws:
    `IfsException` - if the operation fails
  (Published)

### removeSessionState

    public void removeSessionState(java.lang.String stateKey)
                            throws IfsException

  Description copied from class: `ScriptOperations`
  Remove session state for the specified session state key.

  Parameters:
    `stateKey` - the session state key
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createApplicationToken

    public void createApplicationToken(java.lang.String tokenTag,
                                       java.lang.String tokenDefTag)
                                throws IfsException

  Description copied from class: `ScriptOperations`
  Create a ApplicationToken.

  Parameters:
    `tokenTag` - the ApplicationToken tag
    `tokenDefTag` - the ApplicationToken definition tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyApplicationToken

    public void identifyApplicationToken(java.lang.String tokenTag,
                                         java.lang.String tokenValue)
                                  throws IfsException

  Description copied from class: `ScriptOperations`
  Lookup and identify a ApplicationToken by the object's token value.

  Parameters:
    `tokenTag` - the tag to be used for the ApplicationToken
    `tokenValue` - the ApplicationToken token value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showApplicationToken

    public void showApplicationToken(java.lang.String tkTag)
                              throws IfsException

  Description copied from class: `ScriptOperations`
  Show details about a ApplicationToken.

  Parameters:
    `tkTag` - the ApplicationToken tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showApplicationTokens

    public void showApplicationTokens()
                               throws IfsException

  Description copied from class: `ScriptOperations`
  Show details about all ApplicationTokens in an Instance.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### createRetentionPolicy

    public void createRetentionPolicy(java.lang.String rpTag,
                                      java.lang.String defTag)
                               throws IfsException

  Description copied from class: `ScriptOperations`
  Create a RetentionPolicy.

  Parameters:
    `rpTag` - the RetentionPolicy tag
    `defTag` - the tag identifying the Definition describing the RetentionPolicy to create
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyRetentionPolicy

    public void identifyRetentionPolicy(java.lang.String rpTag,
                                        java.lang.String rpName)
                                 throws IfsException

  Description copied from class: `ScriptOperations`
  Identify a RetentionPolicy by its unique name.

  Parameters:
    `rpTag` - the RetentionPolicy tag
    `rpName` - the RetentionPolicy name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showRetentionPolicy

    public void showRetentionPolicy(java.lang.String rpTag)
                             throws IfsException

  Description copied from class: `ScriptOperations`
  Show details about a RetentionPolicy.

  Parameters:
    `rpTag` - the RetentionPolicy tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAllRetentionPolicies

    public void showAllRetentionPolicies()
                                  throws IfsException

  Description copied from class: `ScriptOperations`
  Shows all of the RetentionPolicy instances.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAllExternalRetentionPolicies

    public void showAllExternalRetentionPolicies()
                                          throws IfsException

  Description copied from class: `ScriptOperations`
  Shows all of the ExternalRetentionPolicy instances.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### createLifecyclePolicy

    public void createLifecyclePolicy(java.lang.String lpTag,
                                      java.lang.String defTag)
                               throws IfsException

  Description copied from class: `ScriptOperations`
  Create a LifecyclePolicy.

  Parameters:
    `lpTag` - the LifecyclePolicy tag
    `defTag` - the tag identifying the Definition describing the LifecyclePolicy to create
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyLifecyclePolicy

    public void identifyLifecyclePolicy(java.lang.String lpTag,
                                        java.lang.String lpName)
                                 throws IfsException

  Description copied from class: `ScriptOperations`
  Identify a LifecyclePolicy by its unique name.

  Parameters:
    `lpTag` - the LifecyclePolicy tag
    `lpName` - the LifecyclePolicy name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showLifecyclePolicy

    public void showLifecyclePolicy(java.lang.String lpTag)
                             throws IfsException

  Description copied from class: `ScriptOperations`
  Show details about a LifecyclePolicy.

  Parameters:
    `lpTag` - the LifecyclePolicy tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showLifecyclePolicyEntry

    public void showLifecyclePolicyEntry(java.lang.String lpeTag)
                                  throws IfsException

  Description copied from class: `ScriptOperations`
  Show details about a LifecyclePolicyEntry.

  Parameters:
    `lpeTag` - the LifecyclePolicyEntry tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAllLifecyclePolicies

    public void showAllLifecyclePolicies()
                                  throws IfsException

  Description copied from class: `ScriptOperations`
  Shows all of the LifecyclePolicy instances.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### createLifecyclePolicyEntryDefinition

    public void createLifecyclePolicyEntryDefinition(java.lang.String defTag,
                                                     java.lang.String lpeName,
                                                     java.lang.String lpeDesc,
                                                     java.lang.String actionTag,
                                                     java.lang.String timePeriod,
                                                     java.lang.String execPeriod,
                                                     java.lang.String execBaseTime)
                                              throws IfsException

  Description copied from class: `ScriptOperations`
  Create and register a LifecyclePolicyEntry definition.

  Parameters:
    `defTag` - the LifecyclePolicyEntry definition tag
    `lpeName` - the LifecyclePolicyEntry instance name
    `lpeDesc` - the LifecyclePolicyEntry instance description
    `actionTag` - the tag for the LifecyclePolicyActionSpecification
    `timePeriod` - the time period for the lifecycle action (e.g. "60D")
    `execPeriod` - the frequency of execution for the action (e.g. "8H")
    `execBaseTime` - the base time-of-day for execution (e.g. "22:30:00")
  Throws:
    `IfsException` - if the operation fails
  (Published)

### addLifecyclePolicyEntryDefinition

    public void addLifecyclePolicyEntryDefinition(java.lang.String lpDefTag,
                                                  java.lang.String lpeDefTag)
                                           throws IfsException

  Description copied from class: `ScriptOperations`
  Add a LifecyclePolicyEntry definition to a LifecyclePolicy definition.

  Parameters:
    `lpDefTag` - the LifecyclePolicy definition tag
    `lpeDefTag` - the LifecyclePolicyEntry definition tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### addLifecyclePolicyEntryDefinition

    public void addLifecyclePolicyEntryDefinition(java.lang.String defTag,
                                                  java.lang.String lpeName,
                                                  java.lang.String lpeDesc,
                                                  java.lang.String actionTag,
                                                  java.lang.String timePeriod,
                                                  java.lang.String execPeriod,
                                                  java.lang.String execBaseTime)
                                           throws IfsException

  Description copied from class: `ScriptOperations`
  Add a LifecyclePolicyEntry definition to a LifecyclePolicy definition.

  Parameters:
    `defTag` - the LifecyclePolicy definition tag
    `lpeName` - the LifecyclePolicyEntry instance name
    `lpeDesc` - the LifecyclePolicyEntry instance description
    `actionTag` - the tag for the LifecyclePolicyActionSpecification
    `timePeriod` - the time period for the lifecycle action (e.g. "60D")
    `execPeriod` - the frequency of execution for the action (e.g. "8H")
    `execBaseTime` - the base time-of-day for execution (e.g. "22:30:00")
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyLifecyclePolicyEntry

    public void identifyLifecyclePolicyEntry(java.lang.String lpeTag,
                                             java.lang.String lpTag,
                                             java.lang.String lpeSeq)
                                      throws IfsException

  Description copied from class: `ScriptOperations`
  Identify a LifecyclePolicyEntry by its parent LifecyclePolicy and its sequence within that LifecyclePolicy.

  Parameters:
    `lpeTag` - the LifecyclePolicyEntry tag to use for the newly identified object
    `lpTag` - the LifecyclePolicy tag
    `lpeSeq` - the LifecyclePolicyEntry sequence value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createLifecycleDateRuleSpecification

    public void createLifecycleDateRuleSpecification(java.lang.String specTag,
                                                     java.lang.String defTag)
                                              throws IfsException

  Description copied from class: `ScriptOperations`
  Create a LifecycleDateRuleSpecification.

  Parameters:
    `specTag` - the LifecycleDateRuleSpecification tag
    `defTag` - the tag identifying the Definition describing the LifecycleDateRuleSpecification to create
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyLifecycleDateRuleSpecification

    public void identifyLifecycleDateRuleSpecification(java.lang.String specTag,
                                                       java.lang.String specName)
                                                throws IfsException

  Description copied from class: `ScriptOperations`
  Identify a LifecycleDateRuleSpecification by its unique name.

  Parameters:
    `specTag` - the LifecycleDateRuleSpecification tag
    `specName` - the LifecycleDateRuleSpecification name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showLifecycleDateRuleSpecification

    public void showLifecycleDateRuleSpecification(java.lang.String specTag)
                                            throws IfsException

  Description copied from class: `ScriptOperations`
  Show details about a LifecycleDateRuleSpecification.

  Parameters:
    `specTag` - the LifecycleDateRuleSpecification tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAllLifecycleDateRuleSpecifications

    public void showAllLifecycleDateRuleSpecifications()
                                                throws IfsException

  Description copied from class: `ScriptOperations`
  Shows all of the LifecycleDateRuleSpecifications.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### createLifecyclePolicyActionSpecification

    public void createLifecyclePolicyActionSpecification(java.lang.String specTag,
                                                         java.lang.String defTag)
                                                  throws IfsException

  Description copied from class: `ScriptOperations`
  Create a LifecyclePolicyActionSpecification.

  Parameters:
    `specTag` - the LifecyclePolicyActionSpecification tag
    `defTag` - the tag identifying the Definition describing the LifecyclePolicyActionSpecification to create
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyLifecyclePolicyActionSpecification

    public void identifyLifecyclePolicyActionSpecification(java.lang.String specTag,
                                                           java.lang.String specName)
                                                    throws IfsException

  Description copied from class: `ScriptOperations`
  Identify a LifecyclePolicyActionSpecification by its unique name.

  Parameters:
    `specTag` - the LifecyclePolicyActionSpecification tag
    `specName` - the LifecyclePolicyActionSpecification name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showLifecyclePolicyActionSpecification

    public void showLifecyclePolicyActionSpecification(java.lang.String specTag)
                                                throws IfsException

  Description copied from class: `ScriptOperations`
  Show details about a LifecyclePolicyActionSpecification.

  Parameters:
    `specTag` - the LifecyclePolicyActionSpecification tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAllLifecyclePolicyActionSpecifications

    public void showAllLifecyclePolicyActionSpecifications()
                                                    throws IfsException

  Description copied from class: `ScriptOperations`
  Shows all of the LifecyclePolicyActionSpecifications.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### showDocumentsWithLifecyclePolicy

    public void showDocumentsWithLifecyclePolicy(java.lang.String lpTag,
                                                 java.lang.String batchValue)
                                          throws IfsException

  Description copied from class: `ScriptOperations`
  Show documents that are referencing the specified LifecyclePolicy.

  sort by name, ID

  Parameters:
    `lpTag` - the LifecyclePolicy tag
    `batchValue` - the maximum number of items to show
  Throws:
    `IfsException` - if the operation fails
  (Published)

### assignLifecyclePolicyByCategory

    public void assignLifecyclePolicyByCategory(java.lang.String lpTag,
                                                java.lang.String className)
                                         throws IfsException

  Description copied from class: `ScriptOperations`
  Assign the specified LifecyclePolicy to all documents not yet assigned to a LifecyclePolicy and that have at least one instance of the category specified.

  Performs a best-effort assignment of LifecyclePolicy for each document that qualifies. Shows all failures in the log.

  Parameters:
    `lpTag` - the LifecyclePolicy tag
    `className` - the Category class name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### deleteAllCategories

    public void deleteAllCategories(java.lang.String className)
                             throws IfsException

  Description copied from class: `ScriptOperations`
  Deletes all Category instances for the specified Category.

  Parameters:
    `className` - the Category class name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createMedia

    public void createMedia(AttributeValueTable avt)
                     throws IfsException

  Description copied from class: `ScriptOperations`
  Creates a Media.

  The keys supported by this operation:

  - TAG: the tag that identifies the newly created Media
  - DEFTAG: the definition tag to use as the base definition
  - TYPE: the Media type, one of {Blob, Bfile, Custom}; must specify even if DEFTAG used
  - NAME: the Media name; must specify even if DEFTAG used
  - TABLENAME: the table name
  - COLUMNNAME: the column name
  - READONLY: whether the Media is readonly (boolean)
  - STORAGETYPE: for TYPE=Blob, one of DEFAULT, SECUREFILE, or BASICFILE
  - TABLESPACE: for TYPE=Blob, the tablespace to use for storage
  - STORAGECLAUSE: for TYPE=Blob, the SQL clause to append to: " LOB (columnname) [STORE AS storagetype] "
  - BASEBFILEPATH: for TYPE=Bfile, the absolute path to the base directory where the content is stored
  - CUSTOMDRIVERNAME: for TYPE=Custom, the name of the CustomMediaDriverSpecification that defines driver
  - SKIPIFEXISTS: whether to skip creation if an object with a matching name already exists (boolean)

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createMedia

    public void createMedia(java.lang.String mediaTag,
                            java.lang.String defTag)
                     throws IfsException

  Description copied from class: `ScriptOperations`
  Creates a Media.

  Parameters:
    `mediaTag` - the Media tag
    `defTag` - the tag identifying the Definition describing the Media to create
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyMedia

    public void identifyMedia(java.lang.String mediaTag,
                              java.lang.String mediaName)
                       throws IfsException

  Description copied from class: `ScriptOperations`
  Identifies a Media by its unique name.

  Parameters:
    `mediaTag` - the Media tag
    `mediaName` - the Media name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showMedia

    public void showMedia(java.lang.String mediaTag)
                   throws IfsException

  Description copied from class: `ScriptOperations`
  Shows details about a Media.

  Parameters:
    `mediaTag` - the Media tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAllMedias

    public void showAllMedias()
                       throws IfsException

  Description copied from class: `ScriptOperations`
  Shows all of the Media instances.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### showDefaultMedia

    public void showDefaultMedia()
                          throws IfsException

  Description copied from class: `ScriptOperations`
  Shows the default Media.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### setDefaultMedia

    public void setDefaultMedia(java.lang.String mediaTag)
                         throws IfsException

  Description copied from class: `ScriptOperations`
  Sets the default Media.

  Parameters:
    `mediaTag` - the Media tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### syncContentIndex

    public void syncContentIndex()
                          throws IfsException

  Description copied from class: `ScriptOperations`
  Trigger a sync of the content index.

  Throws:
    `IfsException` - if the operation fails

### showMediaLookupByFormatMappings

    public void showMediaLookupByFormatMappings()
                                         throws IfsException

  Description copied from class: `ScriptOperations`
  Shows the MediaLookUpByFormat property bundle, which holds the mappings of Format to Media.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### setMediaLookupByFormat

    public void setMediaLookupByFormat(java.lang.String formatName,
                                       java.lang.String mediaTag)
                                throws IfsException

  Description copied from class: `ScriptOperations`
  Adds a mapping to the MediaLookUpByFormat property bundle, which holds the mappings of Format to Media.

  Parameters:
    `formatName` - the Format name
    `mediaTag` - the Media tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### replaceMediaLookupsByFormat

    public void replaceMediaLookupsByFormat(java.lang.String currMediaTag,
                                            java.lang.String newMediaTag)
                                     throws IfsException

  Description copied from class: `ScriptOperations`
  Replaces the Format/Media mappings so that a new Media instance is mapped.

  Parameters:
    `currMediaTag` - the current Media (to be replaced)
    `newMediaTag` - the new Media that replaces to current Media
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createCustomMediaDriverSpecification

    public void createCustomMediaDriverSpecification(java.lang.String cmdsTag,
                                                     java.lang.String defTag)
                                              throws IfsException

  Description copied from class: `ScriptOperations`
  Creates a CustomMediaDriverSpecification.

  Parameters:
    `cmdsTag` - the CustomMediaDriverSpecification tag
    `defTag` - the tag identifying the Definition describing the CustomMediaDriverSpecification to create
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyCustomMediaDriverSpecification

    public void identifyCustomMediaDriverSpecification(java.lang.String cmdsTag,
                                                       java.lang.String cmdsName)
                                                throws IfsException

  Description copied from class: `ScriptOperations`
  Identifies a CustomMediaDriverSpecification by its unique name.

  Parameters:
    `cmdsTag` - the CustomMediaDriverSpecification tag
    `cmdsName` - the CustomMediaDriverSpecification name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showCustomMediaDriverSpecification

    public void showCustomMediaDriverSpecification(java.lang.String cmdsTag)
                                            throws IfsException

  Description copied from class: `ScriptOperations`
  Shows details about a CustomMediaDriverSpecification.

  Parameters:
    `cmdsTag` - the CustomMediaDriverSpecification tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAllCustomMediaDriverSpecifications

    public void showAllCustomMediaDriverSpecifications()
                                                throws IfsException

  Description copied from class: `ScriptOperations`
  Shows all of the CustomMediaDriverSpecification instances.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### createStorageGroup

    public void createStorageGroup(AttributeValueTable avt)
                            throws IfsException

  Description copied from class: `ScriptOperations`
  Creates a StorageGroup.

  The keys supported by this operation:

  - TAG: the tag that identifies the newly created StorageGroup
  - DEFTAG: the definition tag to use as the base definition
  - NAME: the StorageGroup name; must specify even if DEFTAG used
  - PARTITIONVALUE: the partition value
  - SKIPIFEXISTS: whether to skip creation if an object with a matching name already exists (boolean)

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createStorageGroup

    public void createStorageGroup(java.lang.String sgTag,
                                   java.lang.String defTag)
                            throws IfsException

  Description copied from class: `ScriptOperations`
  Creates a StorageGroup.

  Parameters:
    `sgTag` - the StorageGroup tag
    `defTag` - the tag identifying the Definition describing the StorageGroup to create
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyStorageGroup

    public void identifyStorageGroup(java.lang.String sgTag,
                                     java.lang.String sgName)
                              throws IfsException

  Description copied from class: `ScriptOperations`
  Identifies a StorageGroup by its unique name.

  Parameters:
    `sgTag` - the StorageGroup tag
    `sgName` - the StorageGroup name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showStorageGroup

    public void showStorageGroup(java.lang.String sgTag)
                          throws IfsException

  Description copied from class: `ScriptOperations`
  Shows details about a StorageGroup.

  Parameters:
    `sgTag` - the StorageGroup tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAllStorageGroups

    public void showAllStorageGroups()
                              throws IfsException

  Description copied from class: `ScriptOperations`
  Shows all of the StorageGroups.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### showDefaultStorageGroup

    public void showDefaultStorageGroup()
                                 throws IfsException

  Description copied from class: `ScriptOperations`
  Shows the default StorageGroup.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### setDefaultStorageGroup

    public void setDefaultStorageGroup(java.lang.String sgTag)
                                throws IfsException

  Description copied from class: `ScriptOperations`
  Sets the default StorageGroup.

  Parameters:
    `sgTag` - the StorageGroup tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createSystemLockObject

    public void createSystemLockObject(AttributeValueTable avt)
                                throws IfsException

  Description copied from class: `ScriptOperations`
  Creates a SystemLockObject. The keys supported by this operation:
  - TAG: the tag that identifies the newly created SystemLockObject
  - NAME: the SystemLockObject name
  - LOCKSTATE: the lock state (integer)
  - SKIPIFEXISTS: whether to skip creation if an object with a matching name already exists (boolean)

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifySystemLockObject

    public void identifySystemLockObject(java.lang.String sloTag,
                                         java.lang.String sloName)
                                  throws IfsException

  Description copied from class: `ScriptOperations`
  Identify a SystemLockObject by name.

  Parameters:
    `sloTag` - the SystemLockObject tag
    `sloName` - the SystemLockObject name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createQueue

    public void createQueue(AttributeValueTable avt)
                     throws IfsException

  Description copied from class: `ScriptOperations`
  Creates a Queue. The keys supported by this operation:
  - TAG: the tag that identifies the newly created Queue
  - NAME: the Queue name
  - DESCRIPTION: the Queue description
  - ACL: the ACL to use (defaults to Published)
  - PAYLOADTYPE: the Payload type
  - MESSAGEPROCESSORCLASS: the Message Processor class
  - TYPEMAPBUNDLE: the PropertyBundle to use as the type map
  - SKIPIFEXISTS: whether to skip creation if an object with a matching name already exists (boolean)

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyQueue

    public void identifyQueue(java.lang.String quTag,
                              java.lang.String quName)
                       throws IfsException

  Description copied from class: `ScriptOperations`
  Identify a Queue by name.

  Parameters:
    `quTag` - the Queue tag
    `quName` - the Queue name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyQueueTypeMapBundle

    public void identifyQueueTypeMapBundle(java.lang.String pbTag,
                                           java.lang.String quName)
                                    throws IfsException

  Description copied from class: `ScriptOperations`
  Identify the PropertyBundle used by a Queue to map message types.

  Parameters:
    `pbTag` - the PropertyBundle tag
    `quName` - the Queue name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createAutoFolderingActionSpecification

    public void createAutoFolderingActionSpecification(java.lang.String specTag,
                                                       java.lang.String defTag)
                                                throws IfsException

  Description copied from class: `ScriptOperations`
  Create a AutoFolderingActionSpecification.

  Parameters:
    `specTag` - the AutoFolderingActionSpecification tag
    `defTag` - the tag identifying the Definition describing the AutoFolderingActionSpecification to create
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyAutoFolderingActionSpecification

    public void identifyAutoFolderingActionSpecification(java.lang.String specTag,
                                                         java.lang.String specName)
                                                  throws IfsException

  Description copied from class: `ScriptOperations`
  Identify a AutoFolderingActionSpecification by its unique name.

  Parameters:
    `specTag` - the AutoFolderingActionSpecification tag
    `specName` - the AutoFolderingActionSpecification name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAutoFolderingActionSpecification

    public void showAutoFolderingActionSpecification(java.lang.String specTag)
                                              throws IfsException

  Description copied from class: `ScriptOperations`
  Show details about a AutoFolderingActionSpecification.

  Parameters:
    `specTag` - the AutoFolderingActionSpecification tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAllAutoFolderingActionSpecifications

    public void showAllAutoFolderingActionSpecifications()
                                                  throws IfsException

  Description copied from class: `ScriptOperations`
  Shows all of the AutoFolderingActionSpecifications.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### createOperationActionSpecification

    public void createOperationActionSpecification(java.lang.String specTag,
                                                   java.lang.String defTag)
                                            throws IfsException

  Description copied from class: `ScriptOperations`
  Create a OperationActionSpecification.

  Parameters:
    `specTag` - the OperationActionSpecification tag
    `defTag` - the tag identifying the Definition describing the OperationActionSpecification to create
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyOperationActionSpecification

    public void identifyOperationActionSpecification(java.lang.String specTag,
                                                     java.lang.String specName)
                                              throws IfsException

  Description copied from class: `ScriptOperations`
  Identify a OperationActionSpecification by its unique name.

  Parameters:
    `specTag` - the OperationActionSpecification tag
    `specName` - the OperationActionSpecification name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### activateOperationActionSpecification

    public void activateOperationActionSpecification(java.lang.String tagOrName)
                                              throws IfsException

  Description copied from class: `ScriptOperations`
  Activate a OperationActionSpecification.

  Parameters:
    `tagOrName` - the OperationActionSpecification tag or name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### deactivateOperationActionSpecification

    public void deactivateOperationActionSpecification(java.lang.String tagOrName)
                                                throws IfsException

  Description copied from class: `ScriptOperations`
  Deactivate a OperationActionSpecification.

  Parameters:
    `tagOrName` - the OperationActionSpecification tag or name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showOperationActionSpecification

    public void showOperationActionSpecification(java.lang.String tagOrName)
                                          throws IfsException

  Description copied from class: `ScriptOperations`
  Show details about a OperationActionSpecification.

  Parameters:
    `tagOrName` - the OperationActionSpecification tag or name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAllOperationActionSpecifications

    public void showAllOperationActionSpecifications()
                                              throws IfsException

  Description copied from class: `ScriptOperations`
  Shows all of the OperationActionSpecifications.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### setGlobalOperationActionSpecifications

    public void setGlobalOperationActionSpecifications(java.lang.String oasArrayToken)
                                                throws IfsException

  Description copied from class: `ScriptOperations`
  Sets the list of global OperationActionSpecifications as a domain property.

  Parameters:
    `oasArrayToken` - the array of OperationActionSpecification names
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createDefinitionObject

    public void createDefinitionObject(java.lang.String defobjTag,
                                       java.lang.String defTag)
                                throws IfsException

  Description copied from class: `ScriptOperations`
  Create a DefinitionObject.

  Parameters:
    `defobjTag` - the DefinitionObject tag
    `defTag` - the tag identifying the Definition to save
  Throws:
    `IfsException` - if the operation fails
  (Published)

### updateDefinitionObject

    public void updateDefinitionObject(java.lang.String defobjTag,
                                       java.lang.String defTag)
                                throws IfsException

  Description copied from class: `ScriptOperations`
  Update a DefinitionObject.

  Parameters:
    `defobjTag` - the DefinitionObject tag, identifying an existing DefinitionObject
    `defTag` - the tag identifying the Definition to save
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showDefinitionObject

    public void showDefinitionObject(java.lang.String defobjTag)
                              throws IfsException

  Description copied from class: `ScriptOperations`
  Show details about a DefinitionObject.

  Parameters:
    `defobjTag` - the DefinitionObject tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createDefinitionFromDefinitionObject

    public void createDefinitionFromDefinitionObject(java.lang.String defTag,
                                                     java.lang.String defobjTag)
                                              throws IfsException

  Description copied from class: `ScriptOperations`
  Create a LibraryObjectDefinition from a DefinitionObject.

  Parameters:
    `defTag` - the tag identifying the converted Definition
    `defobjTag` - the DefinitionObject tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createFormat

    public void createFormat(AttributeValueTable avt)
                      throws IfsException

  Description copied from class: `ScriptOperations`
  Creates a Format.

  The keys supported by this operation:

  - TAG: the tag that identifies the newly created Format
  - DEFTAG: the definition tag to use as the base definition
  - NAME: the Format name
  - MIMETYPE: the MIME type
  - EXTENSION: the file extension
  - BINARY: whether the Format is a binary format (boolean)
  - INDEXED: whether the Format is text indexed (boolean)
  - SKIPIFEXISTS: whether to skip creation if an object with a matching name already exists (boolean)

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyFormat

    public void identifyFormat(java.lang.String formatTag,
                               java.lang.String formatName)
                        throws IfsException

  Description copied from class: `ScriptOperations`
  Identifies a Format by its unique name.

  Parameters:
    `formatTag` - the Format tag
    `formatName` - the Format name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showFormat

    public void showFormat(java.lang.String formatName)
                    throws IfsException

  Description copied from class: `ScriptOperations`
  Show details about a Format.

  Parameters:
    `formatName` - the Format name or tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAllFormats

    public void showAllFormats()
                        throws IfsException

  Description copied from class: `ScriptOperations`
  Shows all of the Formats.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### freeFormat

    public void freeFormat(AttributeValueTable avt)
                    throws IfsException

  Description copied from class: `ScriptOperations`
  Frees a Format.

  The keys supported by this operation:

  - NAME: the Format name
  - SKIPIFNOTEXISTS: whether to skip free if an object with a matching name does not exist (boolean)

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createPermissionBundle

    public void createPermissionBundle(AttributeValueTable avt)
                                throws IfsException

  Description copied from class: `ScriptOperations`
  Creates a PermissionBundle.

  The keys supported by this operation:

  - TAG: the tag that identifies the newly created PermissionBundle
  - DEFTAG: the definition tag to use as the base definition
  - NAME: the PermissionBundle name
  - DESCRIPTION: the PermissionBundle description
  - ACCESSLEVEL: the set of permissions; e.g. "{Discover, Delete}"
  - SKIPIFEXISTS: whether to skip creation if an object with a matching name already exists (boolean)

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyPermissionBundle

    public void identifyPermissionBundle(java.lang.String tag,
                                         java.lang.String name)
                                  throws IfsException

  Description copied from class: `ScriptOperations`
  Identify a PermissionBundle.

  Parameters:
    `tag` - the tag to use
    `name` - the PermissionBundle name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showPermissionBundle

    public void showPermissionBundle(java.lang.String name)
                              throws IfsException

  Description copied from class: `ScriptOperations`
  Show details about a PermissionBundle.

  Parameters:
    `name` - the PermissionBundle name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAllPermissionBundles

    public void showAllPermissionBundles()
                                  throws IfsException

  Description copied from class: `ScriptOperations`
  Shows all of the PermissionBundles.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### freePermissionBundle

    public void freePermissionBundle(AttributeValueTable avt)
                              throws IfsException

  Description copied from class: `ScriptOperations`
  Frees a PermissionBundle.

  The keys supported by this operation:

  - NAME: the PermissionBundle name
  - SKIPIFNOTEXISTS: whether to skip free if an object with a matching name does not exist (boolean)

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createExtendedPermission

    public void createExtendedPermission(AttributeValueTable avt)
                                  throws IfsException

  Description copied from class: `ScriptOperations`
  Creates an ExtendedPermission.

  The keys supported by this operation:

  - TAG: the tag that identifies the newly created ExtendedPermission
  - DEFTAG: the definition tag to use as the base definition
  - NAME: the ExtendedPermission name
  - DESCRIPTION: the ExtendedPermission description
  - SKIPIFEXISTS: whether to skip creation if an object with a matching name already exists (boolean)

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyExtendedPermission

    public void identifyExtendedPermission(java.lang.String tag,
                                           java.lang.String name)
                                    throws IfsException

  Description copied from class: `ScriptOperations`
  Identify a ExtendedPermission.

  Parameters:
    `tag` - the tag to use
    `name` - the ExtendedPermission name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showExtendedPermission

    public void showExtendedPermission(java.lang.String name)
                                throws IfsException

  Description copied from class: `ScriptOperations`
  Show details about a ExtendedPermission.

  Parameters:
    `name` - the ExtendedPermission name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAllExtendedPermissions

    public void showAllExtendedPermissions()
                                    throws IfsException

  Description copied from class: `ScriptOperations`
  Shows all of the ExtendedPermissions.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### freeExtendedPermission

    public void freeExtendedPermission(AttributeValueTable avt)
                                throws IfsException

  Description copied from class: `ScriptOperations`
  Frees a ExtendedPermission.

  The keys supported by this operation:

  - NAME: the ExtendedPermission name
  - SKIPIFNOTEXISTS: whether to skip free if an object with a matching name does not exist (boolean)

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createPolicy

    public void createPolicy(AttributeValueTable avt)
                      throws IfsException

  Description copied from class: `ScriptOperations`
  Creates a Policy.

  The keys supported by this operation:

  - TAG: the tag that identifies the newly created Policy
  - DEFTAG: the definition tag to use as the base definition
  - NAME: the Policy name
  - POLICYACTION: the Policy action
  - SKIPIFEXISTS: whether to skip creation if an object with a matching name already exists (boolean)

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyPolicy

    public void identifyPolicy(java.lang.String tag,
                               java.lang.String name)
                        throws IfsException

  Description copied from class: `ScriptOperations`
  Identify a Policy.

  Parameters:
    `tag` - the tag to use
    `name` - the Policy name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showPolicy

    public void showPolicy(java.lang.String name)
                    throws IfsException

  Description copied from class: `ScriptOperations`
  Show details about a Policy.

  Parameters:
    `name` - the Policy name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAllPolicies

    public void showAllPolicies()
                         throws IfsException

  Description copied from class: `ScriptOperations`
  Shows all of the Policies.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### freePolicy

    public void freePolicy(AttributeValueTable avt)
                    throws IfsException

  Description copied from class: `ScriptOperations`
  Frees a Policy.

  The keys supported by this operation:

  - NAME: the Policy name
  - SKIPIFNOTEXISTS: whether to skip free if an object with a matching name does not exist (boolean)

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createClassObject

    public void createClassObject(AttributeValueTable avt)
                           throws IfsException

  Description copied from class: `ScriptOperations`
  Creates a ClassObject.

  The keys supported by this operation:

  - TAG: the tag that identifies the newly created ClassObject
  - NAME: the name of the newly created ClassObject
  - CLASSDEFINITIONFILE: the path to the class definition (.typ) file
  - CREATEPROPERTYBUNDLES: whether to create PropertyBundles (boolean)
  - SKIPIFEXISTS: whether to skip creation if an object with a matching name already exists (boolean)

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### addAttribute

    public void addAttribute(AttributeValueTable avt)
                      throws IfsException

  Description copied from class: `ScriptOperations`
  Create a new Attribute for an existing ClassObject.

  The keys supported by this operation:

  - CLASSNAME: the ClassObject name
  - ATTRIBUTENAME: the new Attribute's name
  - DESCRIPTION: the new Attribute's description
  - DATATYPE: the data type for the new attribute; one of: String, Date, Boolean, Integer, Long, Double, PublicObject, DirectoryObject, SchemaObject, SystemObject, StringArray, DateArray, BooleanArray, IntegerArray, LongArray, DoubleArray, PublicObjectArray, DirectoryObjectArray, SchemaObjectArray, SystemObjectArray.
  - COLUMNNAME: the name to use for the database column; defaults to the attribute name
  - DATALENGTH: the maximum data length (relevant for String data type)
  - REQUIRED: whether the attribute is required (boolean)
  - UNIQUE: whether the attribute values are unique (boolean)
  - INDEXED: whether the attribute is indexed (boolean)
  - SETTABLE: whether the attribute is settable (boolean)
  - UPDATEABLE: whether the attribute is updateable (boolean)
  - VALUEDEFAULTNAME: the ClassDomain to associate with the attribute
  - CLASSDOMAINNAME: the ClassDomain to associate with the attribute
  - VALUEDOMAINNAME: the ClassDomain to associate with the attribute
  - ISVALUEDOMAINVALIDATED: only relevant when VALUEDOMAINNAME is specified; indicates whether the associated ValueDomain performs strict validation (boolean)
  - CREATEPROPERTYBUNDLE: whether a PropertyBundle should be created for the new Attribute (boolean)

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails

### identifyClassObject

    public void identifyClassObject(java.lang.String tag,
                                    java.lang.String name)
                             throws IfsException

  Description copied from class: `ScriptOperations`
  Identify a ClassObject.

  Parameters:
    `tag` - the tag to use
    `name` - the ClassObject name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showClassObject

    public void showClassObject(AttributeValueTable avt)
                         throws IfsException

  Description copied from class: `ScriptOperations`
  Show a ClassObject.

  The keys supported by this operation:

  - TAG: the tag that identifies the ClassObject
  - NAME: the name of the ClassObject
  - VERBOSE: boolean indication as to whether the output should be detailed

  Either TAG or NAME must be specified.

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAllClassObjects

    public void showAllClassObjects()
                             throws IfsException

  Description copied from class: `ScriptOperations`
  Shows all of the ClassObjects.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### freeClassObject

    public void freeClassObject(AttributeValueTable avt)
                         throws IfsException

  Description copied from class: `ScriptOperations`
  Frees a ClassObject.

  The keys supported by this operation:

  - NAME: the ClassObject name
  - TAG: the tag that identifies the ClassObject
  - SKIPIFNOTEXISTS: whether to skip free if an object with a matching name does not exist (boolean)

  Either TAG or NAME must be specified.

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyClassPropertyBundle

    public void identifyClassPropertyBundle(java.lang.String tag,
                                            java.lang.String className)
                                     throws IfsException

  Description copied from class: `ScriptOperations`
  Identify a ClassObject's property bundle.

  Parameters:
    `tag` - the tag to use
    `name` - the ClassObject name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyClassPolicyBundle

    public void identifyClassPolicyBundle(java.lang.String tag,
                                          java.lang.String className)
                                   throws IfsException

  Description copied from class: `ScriptOperations`
  Identify a ClassObject's Policy bundle.

  Parameters:
    `tag` - the tag to use
    `name` - the ClassObject name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyAttribute

    public void identifyAttribute(java.lang.String tag,
                                  java.lang.String className,
                                  java.lang.String attrName)
                           throws IfsException

  Description copied from class: `ScriptOperations`
  Identify an Attribute of a ClassObject.

  Parameters:
    `tag` - the tag to use for the Attribute
    `className` - the ClassObject name
    `attrName` - the Attribute name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyAttributePropertyBundle

    public void identifyAttributePropertyBundle(java.lang.String tag,
                                                java.lang.String className,
                                                java.lang.String attrName)
                                         throws IfsException

  Description copied from class: `ScriptOperations`
  Identify an Attribute' Property Bundle.

  Parameters:
    `tag` - the tag to use for the Attribute
    `className` - the ClassObject name
    `attrName` - the Attribute name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAttribute

    public void showAttribute(java.lang.String tag)
                       throws IfsException

  Description copied from class: `ScriptOperations`
  Show details about an Attribute.

  Parameters:
    `tag` - the Attribute tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createValueDefault

    public void createValueDefault(AttributeValueTable avt)
                            throws IfsException

  Description copied from class: `ScriptOperations`
  Creates a ValueDefault.

  The keys supported by this operation:

  - TAG: the tag that identifies the newly created ValueDefault
  - DEFTAG: the definition tag to use as the base definition
  - NAME: the ValueDefault name
  - DESCRIPTION: the ValueDefault description
  - ACL: the ACL to use for the embedded ValueDefaultPropertyBundle
  - SKIPIFEXISTS: whether to skip creation if an object with a matching name already exists (boolean)
  The property value is specified using one of the keys listed in `getAttributeValue`.

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  See Also:
    `ScriptOperations.getAttributeValue(AttributeValueTable, String[])`
  (Published)

### identifyValueDefault

    public void identifyValueDefault(java.lang.String tag,
                                     java.lang.String name)
                              throws IfsException

  Description copied from class: `ScriptOperations`
  Identify a ValueDefault.

  Parameters:
    `tag` - the tag to use
    `name` - the ValueDefault name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### assignValueDefault

    public void assignValueDefault(AttributeValueTable avt)
                            throws IfsException

  Description copied from class: `ScriptOperations`
  Assigns a ValueDefault to an Attribute.

  The keys supported by this operation:

  - CLASSOBJECT: the name of the ClassObject whose Attribute will be updated
  - ATTRIBUTE: the Attribute name
  - VALUEDEFAULT: the name of the ValueDefault to assign

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showValueDefault

    public void showValueDefault(java.lang.String name)
                          throws IfsException

  Description copied from class: `ScriptOperations`
  Show details about a ValueDefault.

  Parameters:
    `name` - the ValueDefault name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showValueDefault

    public void showValueDefault(AttributeValueTable avt)
                          throws IfsException

  Description copied from class: `ScriptOperations`
  Shows a ValueDefault.

  The keys supported by this operation:

  - TAG: the tag that identifies the ValueDefault
  - NAME: the name of the ValueDefault

  Either TAG or NAME must be specified.

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAllValueDefaults

    public void showAllValueDefaults()
                              throws IfsException

  Description copied from class: `ScriptOperations`
  Shows all of the ValueDefaults.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### updateValueDefault

    public void updateValueDefault(AttributeValueTable avt)
                            throws IfsException

  Description copied from class: `ScriptOperations`
  Updates a ValueDefault.

  The keys supported by this operation:

  - TAG: the tag that identifies the ValueDefault to update
  - NAME: the ValueDefault name that identifies the ValueDefault to update

  Either TAG or NAME must be specified to identify the ValueDefault to update.

  To update a ValueDefault's value, specify value using one of the keys listed in `getAttributeValue`.

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  See Also:
    `ScriptOperations.getAttributeValue(AttributeValueTable, String[])`
  (Published)

### freeValueDefault

    public void freeValueDefault(AttributeValueTable avt)
                          throws IfsException

  Description copied from class: `ScriptOperations`
  Frees a ValueDefault.

  The keys supported by this operation:

  - NAME: the ValueDefault name
  - TAG: the tag that identifies the ValueDefault
  - SKIPIFNOTEXISTS: whether to skip free if an object with a matching name does not exist (boolean)

  Either TAG or NAME must be specified.

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createValueDomain

    public void createValueDomain(AttributeValueTable avt)
                           throws IfsException

  Description copied from class: `ScriptOperations`
  Creates a ValueDomain.

  The keys supported by this operation:

  - TAG: the tag that identifies the newly created ValueDomain
  - DEFTAG: the definition tag to use as the base definition
  - NAME: the ValueDomain name
  - DESCRIPTION: the ValueDomain description
  - ACL: the ACL to use for the embedded ValueDomainPropertyBundle
  - SKIPIFEXISTS: whether to skip creation if an object with a matching name already exists (boolean)
  The property value is specified using one of the keys listed in `getAttributeValue`.

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  See Also:
    `ScriptOperations.getAttributeValue(AttributeValueTable, String[])`
  (Published)

### assignValueDomain

    public void assignValueDomain(AttributeValueTable avt)
                           throws IfsException

  Description copied from class: `ScriptOperations`
  Assigns a ValueDomain to an Attribute.

  The keys supported by this operation:

  - CLASSOBJECT: the name of the ClassObject whose Attribute will be updated
  - ATTRIBUTE: the Attribute name
  - VALUEDOMAIN: the name of the ValueDomain to assign
  - VALIDATED: whether the ValueDomain should be validated

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyValueDomain

    public void identifyValueDomain(java.lang.String tag,
                                    java.lang.String name)
                             throws IfsException

  Description copied from class: `ScriptOperations`
  Identify a ValueDomain.

  Parameters:
    `tag` - the tag to use
    `name` - the ValueDomain name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showValueDomain

    public void showValueDomain(java.lang.String name)
                         throws IfsException

  Description copied from class: `ScriptOperations`
  Show details about a ValueDomain.

  Parameters:
    `name` - the ValueDomain name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showValueDomain

    public void showValueDomain(AttributeValueTable avt)
                         throws IfsException

  Description copied from class: `ScriptOperations`
  Shows a ValueDomain.

  The keys supported by this operation:

  - TAG: the tag that identifies the ValueDomain
  - NAME: the name of the ValueDomain

  Either TAG or NAME must be specified.

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAllValueDomains

    public void showAllValueDomains()
                             throws IfsException

  Description copied from class: `ScriptOperations`
  Shows all of the ValueDomains.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### updateValueDomain

    public void updateValueDomain(AttributeValueTable avt)
                           throws IfsException

  Description copied from class: `ScriptOperations`
  Updates a ValueDomain.

  The keys supported by this operation:

  - TAG: the tag that identifies the ValueDomain to update
  - NAME: the ValueDomain name that identifies the ValueDomain to update

  Either TAG or NAME must be specified to identify the ValueDomain to update.

  To update a ValueDomain's set of enumerated values, specify values with an AttributeValue of an array type, using one of the array type keys listed in `getAttributeValue`.

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  See Also:
    `ScriptOperations.getAttributeValue(AttributeValueTable, String[])`
  (Published)

### freeValueDomain

    public void freeValueDomain(AttributeValueTable avt)
                         throws IfsException

  Description copied from class: `ScriptOperations`
  Frees a ValueDomain.

  The keys supported by this operation:

  - NAME: the ValueDomain name
  - TAG: the tag that identifies the ValueDomain
  - SKIPIFNOTEXISTS: whether to skip free if an object with a matching name does not exist (boolean)

  Either TAG or NAME must be specified.

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createClassDomain

    public void createClassDomain(AttributeValueTable avt)
                           throws IfsException

  Description copied from class: `ScriptOperations`
  Creates a ClassDomain.

  The keys supported by this operation:

  - TAG: the tag that identifies the newly created ClassDomain
  - DEFTAG: the definition tag to use as the base definition (optional)
  - NAME: the ClassDomain name
  - DESCRIPTION: the ClassDomain description
  - CLASSNAMES: the array of ClassObject names
  - INCLUDESUBCLASSES: whether or not subclasses should be included
  - SKIPIFEXISTS: whether to skip creation if an object with a matching name already exists (boolean)

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### assignClassDomain

    public void assignClassDomain(AttributeValueTable avt)
                           throws IfsException

  Description copied from class: `ScriptOperations`
  Assigns a ClassDomain to an Attribute.

  The keys supported by this operation:

  - CLASSOBJECT: the name of the ClassObject whose Attribute will be updated
  - ATTRIBUTE: the Attribute name
  - CLASSDOMAIN: the name of the ClassDomain to assign
  - SKIPIFNOTEXISTS: whether to skip if the ClassDomain or Attribute do not exist (boolean)

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyClassDomain

    public void identifyClassDomain(java.lang.String tag,
                                    java.lang.String name)
                             throws IfsException

  Description copied from class: `ScriptOperations`
  Identify a ClassDomain.

  Parameters:
    `tag` - the tag to use
    `name` - the ClassDomain name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showClassDomain

    public void showClassDomain(java.lang.String name)
                         throws IfsException

  Description copied from class: `ScriptOperations`
  Show details about a ClassDomain.

  Parameters:
    `name` - the ClassDomain name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showClassDomain

    public void showClassDomain(AttributeValueTable avt)
                         throws IfsException

  Description copied from class: `ScriptOperations`
  Shows a ClassDomain.

  The keys supported by this operation:

  - TAG: the tag that identifies the ClassDomain
  - NAME: the name of the ClassDomain

  Either TAG or NAME must be specified.

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAllClassDomains

    public void showAllClassDomains()
                             throws IfsException

  Description copied from class: `ScriptOperations`
  Shows all of the ClassDomains.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### updateClassDomain

    public void updateClassDomain(AttributeValueTable avt)
                           throws IfsException

  Description copied from class: `ScriptOperations`
  Updates a ClassDomain.

  The keys supported by this operation:

  - TAG: the tag that identifies the ClassDomain to update
  - NAME: the ClassDomain name that identifies the ClassDomain to update
  - DEFTAG: the definition tag to use as the base definition (optional)
  - CLASSNAMES: the array of ClassObject names (optional)
  - INCLUDESUBCLASSES: whether or not subclasses should be included (optional)

  Either TAG or NAME must be specified to identify the ClassDomain to update.

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### freeClassDomain

    public void freeClassDomain(AttributeValueTable avt)
                         throws IfsException

  Description copied from class: `ScriptOperations`
  Frees a ClassDomain.

  The keys supported by this operation:

  - NAME: the ClassDomain name
  - TAG: the tag that identifies the ClassDomain
  - SKIPIFNOTEXISTS: whether to skip free if an object with a matching name does not exist (boolean)

  Either TAG or NAME must be specified.

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createFolder

    public void createFolder(java.lang.String folderTag,
                             java.lang.String parentTag,
                             java.lang.String folderName)
                      throws IfsException

  Description copied from class: `ScriptOperations`
  Create a new folder. The parent tag must refer to either another regular folder or to a workspace.

  Parameters:
    `folderTag` - the folder tag
    `parentTag` - the tag of the parent folder under which the new folder will be created
    `folderName` - the folder name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createFolder

    public void createFolder(java.lang.String folderTag,
                             java.lang.String parentTag,
                             java.lang.String folderName,
                             java.lang.String defTag)
                      throws IfsException

  Description copied from class: `ScriptOperations`
  Create a new folder. The parent tag must refer to a folder.

  Parameters:
    `folderTag` - the folder tag
    `parentTag` - the tag of the parent folder under which the new folder will be created
    `folderName` - the folder name
    `defTag` - the folder def
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createFolder

    public void createFolder(AttributeValueTable avt)
                      throws IfsException

  Description copied from class: `ScriptOperations`
  Creates a Folder.

  The keys supported by this operation:

  - TAG: the tag that will identify the new object
  - NAME: the Folder name
  - DESCRIPTION: the Folder description
  - ACL: the ACL to use for the new Folder
  - PARENTFOLDER: the tag of the parent folder
  - CATEGORYNAME: the Name to use for a Category instance
  - CATEGORYCLASS: the Class to use for a Category instance
  - AUTOFOLDERINGACTIONSPECIFICATION: the auto foldering spec
  - DEFTAG: a FolderDefinition containing additional options

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### freeFolder

    public void freeFolder(AttributeValueTable avt)
                    throws IfsException

  Description copied from class: `ScriptOperations`
  Frees a Folder.

  The keys supported by this operation:

  - TAG: the tag that will identify the object to be freed
  - FREEALLITEMS: boolean option indicating that all contained items will also be freed. This cascades down the hierarchy
  - FOLDERMUSTBEEMPTY: boolean option indicating that the folder must be empty

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createDocument

    public void createDocument(java.lang.String docTag,
                               java.lang.String parentTag,
                               java.lang.String docName,
                               java.lang.String defTag)
                        throws IfsException

  Description copied from class: `ScriptOperations`
  Create a document. If there is already a document with the specified name in the target folder, add the new Document as a version to the target, based on the VersioningConfiguration of the folder.

  Parameters:
    `docTag` - the document tag
    `parentTag` - the tag of the parent folder upon which the new document will be created
    `docName` - the document name
    `defTag` - the document def
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createDocument

    public void createDocument(java.lang.String docTag,
                               java.lang.String parentTag,
                               java.lang.String docDefTag)
                        throws IfsException

  Description copied from class: `ScriptOperations`
  Create a document, using a DocumentDefintion.

  The name must already be set in the definition.

  Parameters:
    `docTag` - the document tag
    `parentTag` - the tag of the parent folder upon which the new document will be created
    `docDefTag` - the tag identifying the DocumentDefinition
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createDocument

    public void createDocument(AttributeValueTable avt)
                        throws IfsException

  Description copied from class: `ScriptOperations`
  Creates a Document.

  The keys supported by this operation:

  - TAG: the tag that will identify the new object
  - NAME: the Document name
  - DESCRIPTION: the Document description
  - ACL: the ACL to use for the new Document
  - PARENTFOLDER: the tag of the parent folder
  - AUTOFOLDERINGACTIONSPECIFICATION: the auto foldering spec
  - FILE: the file name for the content, relative to IFSROOT
  - LITERALCONTENT: the actual content of the document, as a String
  - BFILENAME: the name of the BFILE, if BFILE content ref is specified
  - BFILEFOLDER: the absolute path to the BFILE folder, if BFILE content ref is specified
  - BFILELENGTH: the file length of the BFILE (optional)
  - EMPTYCONTENT: if the Document should have no content
  - FORMAT: the Format for the content
  - MEDIA: the Media for the content
  - CATEGORYNAME: the Name to use for a Category instance
  - CATEGORYCLASS: the Class to use for a Category instance
  - CATEGORYDEFTAG: a CategoryDefinition that completely defines a Category to be added to the Document
  - DEFTAG: a DocumentDefinition containing additional options

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createCategorizedDocument

    public void createCategorizedDocument(java.lang.String docTag,
                                          java.lang.String parentTag,
                                          java.lang.String docName,
                                          java.lang.String contentFileName,
                                          java.lang.String catDefTag)
                                   throws IfsException

  Description copied from class: `ScriptOperations`
  Create a document with a category, as specified by a category defintiion tag.

  If there is already a document with the specified name in the target folder, add the new Document as a version to the target, based on the VersioningConfiguration of the folder.

  Parameters:
    `docTag` - the document tag
    `parentTag` - the tag of the parent folder upon which the new document will be created
    `docName` - the document name
    `contentFileName` - the name of the file to be used for content
    `catDefTag` - the category definition
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createLink

    public void createLink(java.lang.String linkTag,
                           java.lang.String parentTag,
                           java.lang.String defTag)
                    throws IfsException

  Description copied from class: `ScriptOperations`
  Creates a link using a LinkDefinition.

  Parameters:
    `linkTag` - the link tag
    `parentTag` - the tag of the parent folder in which the new link will be created
    `defTag` - the link definition tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createLink

    public void createLink(java.lang.String linkTag,
                           java.lang.String parentTag,
                           java.lang.String name,
                           java.lang.String assocTag)
                    throws IfsException

  Description copied from class: `ScriptOperations`
  Creates a link.

  Parameters:
    `linkTag` - the link tag
    `parentTag` - the tag of the parent folder in which the new link will be created
    `name` - the link name
    `assocTag` - the tag of the document or folder the new link will point to
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showDocument

    public void showDocument(java.lang.String docTag)
                      throws IfsException

  Description copied from class: `ScriptOperations`
  Show details about a document.

  Parameters:
    `docTag` - the document tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showDocumentContentInfo

    public void showDocumentContentInfo(java.lang.String docTag)
                                 throws IfsException

  Description copied from class: `ScriptOperations`
  Show details about a document's content.

  Parameters:
    `docTag` - the document tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showDocumentLanguage

    public void showDocumentLanguage(java.lang.String docTag)
                              throws IfsException

  Deprecated. 9.0.4.6: use `showDocumentContentInfo`

  Description copied from class: `ScriptOperations`
  Show language of document.

  Parameters:
    `docTag` - the document tag
  Throws:
    `IfsException` - if the operation fails

### showDocumentCharacterSet

    public void showDocumentCharacterSet(java.lang.String docTag)
                                  throws IfsException

  Deprecated. 9.0.4.6: use `showDocumentContentInfo`

  Description copied from class: `ScriptOperations`
  Show character set of document.

  Parameters:
    `docTag` - the document tag
  Throws:
    `IfsException` - if the operation fails

### showLink

    public void showLink(java.lang.String linkTag)
                  throws IfsException

  Description copied from class: `ScriptOperations`
  Show details about a link.

  Parameters:
    `linkTag` - the target link tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showFolder

    public void showFolder(java.lang.String folderTag)
                    throws IfsException

  Description copied from class: `ScriptOperations`
  Show details about a folder.

  Parameters:
    `folderTag` - the target folder tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showFolderCountInfo

    public void showFolderCountInfo(java.lang.String folderTag)
                             throws IfsException

  Description copied from class: `ScriptOperations`
  Show count information about a folder.

  Parameters:
    `folderTag` - the target folder tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### resetFolderCountInfo

    public void resetFolderCountInfo(java.lang.String folderTag)
                              throws IfsException

  Description copied from class: `ScriptOperations`
  Forces an invalidation of count information about a folder.

  The folder count information is cached on behalf of a Folder instance, within a specific LibrarySession. This information is cached, and is not refreshed for all possible actions that can affect the set of folder items that are seen by a particular user. This operation will clear the cached folder count information for the Folder instance, and only for the specific LibrarySession's copy of that instance.

  Parameters:
    `folderTag` - the target folder tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showCapabilities

    public void showCapabilities(java.lang.String objTag)
                          throws IfsException

  Description copied from class: `ScriptOperations`
  Show Capabilities for a PublicObject.

  Parameters:
    `objTag` - the object tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyByPath

    public void identifyByPath(java.lang.String objectTag,
                               java.lang.String path)
                        throws IfsException

  Description copied from class: `ScriptOperations`
  Lookup an object by the specified path, and allow it to be subsequently identified by the specified object tag.

  Parameters:
    `objectTag` - the tag to be used for the object found at that path
    `path` - the absolute folder path; for example "/public/foo.doc"
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyByRelativePath

    public void identifyByRelativePath(java.lang.String objectTag,
                                       java.lang.String parentTag,
                                       java.lang.String relativePath)
                                throws IfsException

  Description copied from class: `ScriptOperations`
  Lookup an object found under the specified parent folder and relative path, and allow it to be subsequently identified by the specified object tag.

  Parameters:
    `objectTag` - the tag to be used for the object found at that path
    `parentTag` - the tag of the parent folder under which the relative path resolution will take place
    `relativePath` - the relative folder path; for example "folder/foo.doc"
  Throws:
    `IfsException` - if the operation fails
  (Published)

### exists

    public void exists(java.lang.String path)
                throws IfsException

  Description copied from class: `ScriptOperations`
  Shows whether or not an absolute path refers to an object.

  Parameters:
    `path` - the absolute path to check.
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### existsRelative

    public void existsRelative(java.lang.String folderTag,
                               java.lang.String path)
                        throws IfsException

  Description copied from class: `ScriptOperations`
  Shows whether or not a relative path refers to an object.

  Parameters:
    `folderTag` - the Folder to use as the root of the path.
    `path` - the relative path to check.
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### identifyCategory

    public void identifyCategory(java.lang.String catTag,
                                 java.lang.String poTag,
                                 java.lang.String catClass,
                                 java.lang.String catName)
                          throws IfsException

  Description copied from class: `ScriptOperations`
  Identify a Category for a specified PublicObject.

  Identifies the Category by class and/or name. If both are specified as null, the oldest Category will be used.

  Parameters:
    `catTag` - the tag that will identify the Category
    `poTag` - the PublicObject tag
    `catClass` - the Category class name (can be null)
    `catName` - the Category name (can be null)
  Throws:
    `IfsException` - if the operation fails
  (Published)

### readDocumentContent

    public void readDocumentContent(java.lang.String docTag)
                             throws IfsException

  Description copied from class: `ScriptOperations`
  Read a Document content.

  Parameters:
    `docTag` - the document tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### writeDocumentContentToFile

    public void writeDocumentContentToFile(java.lang.String docTag,
                                           java.lang.String fileName)
                                    throws IfsException

  Description copied from class: `ScriptOperations`
  Write a Document's content to a local file

  Parameters:
    `docTag` - the document tag
    `fileName` - the file name, relative to IFSROOT
  Throws:
    `IfsException` - if the operation fails
  (Published)

### transferContent

    protected void transferContent(java.io.InputStream iss,
                                   java.io.OutputStream os)
                            throws java.io.IOException

  Description copied from class: `ScriptOperations`
  Transfer content from an InputStream to an OutputStream.

  Parameters:
    `iss` - Input stream
    `os` - Output stream
  Throws:
    `java.io.IOException` - if operation fails
  (Published)

### showObject

    public void showObject(java.lang.String objTag)
                    throws IfsException

  Description copied from class: `ScriptOperations`
  Show details about a LibraryObject.

  Parameters:
    `objTag` - the object tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### compareObjects

    public void compareObjects(java.lang.String obj1Tag,
                               java.lang.String obj2Tag)
                        throws IfsException

  Description copied from class: `ScriptOperations`
  Compare two objects, reporting whether or not they are the same.

  Parameters:
    `obj1Tag` - the first object tag
    `obj2Tag` - the second object tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### create

    public void create(java.lang.String objectTag,
                       java.lang.String defTag)
                throws IfsException

  Description copied from class: `ScriptOperations`
  Create a LibraryObject from the specified definition.

  Parameters:
    `objectTag` - the tag that will identify the created object
    `defTag` - the definition for the new object
  Throws:
    `IfsException` - if the operation fails
  (Published)

### update

    public void update(java.lang.String objectTag,
                       java.lang.String defTag)
                throws IfsException

  Description copied from class: `ScriptOperations`
  Update a LibraryObject, using `update`.

  Parameters:
    `objectTag` - the tag that identifes the object to be updated
    `defTag` - the definition containing the updates
  Throws:
    `IfsException` - if the operation fails
  (Published)

### rename

    public void rename(java.lang.String objectTag,
                       java.lang.String newName)
                throws IfsException

  Description copied from class: `ScriptOperations`
  Rename a LibraryObject.

  Parameters:
    `objectTag` - the tag that identifes the object to be updated
    `newName` - the new name for the specified object
  Throws:
    `IfsException` - if the operation fails
  (Published)

### freeObject

    public void freeObject(java.lang.String objectTag)
                    throws IfsException

  Description copied from class: `ScriptOperations`
  Free an object.

  Parameters:
    `objectTag` - the tag that identifes the object to be freed
  Throws:
    `IfsException` - if the operation fails
  (Published)

### activateSystemObject

    public void activateSystemObject(java.lang.String objectTag)
                              throws IfsException

  Description copied from class: `ScriptOperations`
  Activate a SystemObject.

  Parameters:
    `objectTag` - tag identifying the SystemObject to be activated
  Throws:
    `IfsException` - if the operation fails
  (Published)

### deactivateSystemObject

    public void deactivateSystemObject(java.lang.String objectTag)
                                throws IfsException

  Description copied from class: `ScriptOperations`
  Deactivate a SystemObject.

  Parameters:
    `objectTag` - tag identifying the SystemObject to be deactivated
  Throws:
    `IfsException` - if the operation fails
  (Published)

### freeUnreferencedContent

    public void freeUnreferencedContent(java.lang.String batchValue)
                                 throws IfsException

  Description copied from class: `ScriptOperations`
  Free unreferenced ContentObjects.

  Simulates the content garbage collection performed by the ContentGarbageCollectionAgent.

  Parameters:
    `batchValue` - the size to use for batching
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### removeAcesForFreedGrantees

    public void removeAcesForFreedGrantees(java.lang.String batchValue)
                                    throws IfsException

  Description copied from class: `ScriptOperations`
  Cleanup ACLs that have ACEs for grantees that have been freed.

  Simulates the operation performed by GarbageCollectionAgent.removeAcesForFreedGrantees().

  Parameters:
    `batchValue` - the size to use for batching
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### createLockTypeLookupTables

    public void createLockTypeLookupTables()
                                    throws IfsException

  Description copied from class: `ScriptOperations`
  Creates the lock type lookup tables in the instance-wide Domain PropertyBundle.

  Note: this method should only be called at schema initialization time.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### showLockTypeLookupTables

    public void showLockTypeLookupTables()
                                  throws IfsException

  Description copied from class: `ScriptOperations`
  Shows the lock type lookup tables in the instance-wide Domain PropertyBundle.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### acquireManualLock

    public void acquireManualLock(java.lang.String leTag,
                                  java.lang.String poTag)
                           throws IfsException

  Description copied from class: `ScriptOperations`
  Acquire a manual lock.

  Parameters:
    `leTag` - the tag for the resulting LockEntry tag
    `poTag` - the target object tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### releaseManualLock

    public void releaseManualLock(java.lang.String poTag)
                           throws IfsException

  Description copied from class: `ScriptOperations`
  Release a manual lock.

  Parameters:
    `poTag` - the target object tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### acquireLock

    public void acquireLock(java.lang.String poTag,
                            java.lang.String sleTag)
                     throws IfsException

  Description copied from class: `ScriptOperations`
  Acquire the specified SystemLockEntry lock.

  Parameters:
    `poTag` - the target object tag
    `sleTag` - the tag for the SystemLockEntry to acquire
  Throws:
    `IfsException` - if the operation fails
  (Published)

### releaseLock

    public void releaseLock(java.lang.String poTag,
                            java.lang.String leTag)
                     throws IfsException

  Description copied from class: `ScriptOperations`
  Release a specified lock.

  Parameters:
    `poTag` - the target object tag
    `leTag` - the tag for the LockEntry to release
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createNamedFreezeLock

    public void createNamedFreezeLock(java.lang.String domainTag,
                                      java.lang.String lockName)
                               throws IfsException

  Description copied from class: `ScriptOperations`
  Create a named freeze (also known as legal hold) lock.

  Parameters:
    `domainTag` - the Domain or Folder tag
    `lockName` - the name used to identify the named freeze (must be unique within the domain)
  Throws:
    `IfsException` - if the operation fails
  (Published)

### deleteNamedFreezeLock

    public void deleteNamedFreezeLock(java.lang.String domainTag,
                                      java.lang.String lockName)
                               throws IfsException

  Description copied from class: `ScriptOperations`
  Delete a named freeze (also known as legal hold) lock.

  Parameters:
    `domainTag` - the Domain or Folder tag
    `lockName` - the name used to identify the named freeze (must be unique within the domain)
  Throws:
    `IfsException` - if the operation fails
  (Published)

### applyNamedFreezeLock

    public void applyNamedFreezeLock(java.lang.String docTag,
                                     java.lang.String domainTag,
                                     java.lang.String lockName)
                              throws IfsException

  Description copied from class: `ScriptOperations`
  Apply a named freeze (also known as legal hold) lock to a document.

  Parameters:
    `docTag` - tag for the document to lock
    `domainTag` - the Domain or Folder tag
    `lockName` - the name used to identify the named freeze (must be unique within the domain)
  Throws:
    `IfsException` - if the operation fails
  (Published)

### removeNamedFreezeLock

    public void removeNamedFreezeLock(java.lang.String docTag,
                                      java.lang.String domainTag,
                                      java.lang.String lockName)
                               throws IfsException

  Description copied from class: `ScriptOperations`
  Remove a named freeze (also known as legal hold) lock from a document.

  Parameters:
    `docTag` - tag for the document to unlock
    `domainTag` - the Domain or Folder tag
    `lockName` - the name used to identify the named freeze (must be unique within the domain)
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyNamedFreezeLock

    public void identifyNamedFreezeLock(java.lang.String sleTag,
                                        java.lang.String domainTag,
                                        java.lang.String lockName)
                                 throws IfsException

  Description copied from class: `ScriptOperations`
  Identify a named freeze (also known as legal hold) lock from its name.

  Parameters:
    `sleTag` - tag used to identify the SystemLockEntry
    `domainTag` - the Domain or Folder tag
    `lockName` - the name used to identify the named freeze (must be unique within the domain)
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showLockEntry

    public void showLockEntry(java.lang.String leTag)
                       throws IfsException

  Description copied from class: `ScriptOperations`
  Show a lock entry.

  Parameters:
    `leTag` - the LockEntry tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showLockEntryInfo

    public void showLockEntryInfo(java.lang.String poTag)
                           throws IfsException

  Description copied from class: `ScriptOperations`
  Show the lock entry info for a specified PublicObject

  Parameters:
    `poTag` - the PublicObject tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifySystemAcl

    public void identifySystemAcl(java.lang.String aclTag,
                                  java.lang.String aclName)
                           throws IfsException

  Description copied from class: `ScriptOperations`
  Identify a System ACL by name.

  Parameters:
    `aclTag` - the ACL tag
    `aclName` - the SystemACL name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyClassAcl

    public void identifyClassAcl(java.lang.String aclTag,
                                 java.lang.String aclName)
                          throws IfsException

  Description copied from class: `ScriptOperations`
  Identify a Class ACL by name.

  Parameters:
    `aclTag` - the ACL tag
    `aclName` - the ClassACL name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### identifyAcl

    public void identifyAcl(java.lang.String aclTag,
                            java.lang.String objectTag)
                     throws IfsException

  Description copied from class: `ScriptOperations`
  Identify an ACL using another PublicObject. The PublicObject's ACL will be subsequently addressable by the specified ACL tag.

  Parameters:
    `aclTag` - the ACL tag
    `objectTag` - the object tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showAcl

    public void showAcl(java.lang.String aclTag)
                 throws IfsException

  Description copied from class: `ScriptOperations`
  Show details about an ACL.

  Parameters:
    `aclTag` - the target ACL tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setAdminMode

    public void setAdminMode()
                      throws IfsException

  Description copied from class: `ScriptOperations`
  Enable admin mode for the current session.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### setAdminMode

    public void setAdminMode(java.lang.String boolValue)
                      throws IfsException

  Description copied from class: `ScriptOperations`
  Sets Admin mode setting to the value indicated for the current session.

  Parameters:
    `boolValue` - indication of whether to be in admin mode; value of true indicates enabling admin mode
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setSystemAdminMode

    public void setSystemAdminMode()
                            throws IfsException

  Description copied from class: `ScriptOperations`
  Enable system admin mode for the current session.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### setSystemAdminMode

    public void setSystemAdminMode(java.lang.String boolValue)
                            throws IfsException

  Description copied from class: `ScriptOperations`
  Sets System Admin mode setting to the value indicated for the current session.

  Parameters:
    `boolValue` - indication of whether to be in system admin mode; value of true indicates enabling system admin mode
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setInstallationMode

    public void setInstallationMode()
                             throws IfsException

  Description copied from class: `ScriptOperations`
  Enable installation mode for the current session.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### setInstallationMode

    public void setInstallationMode(java.lang.String boolValue)
                             throws IfsException

  Description copied from class: `ScriptOperations`
  Sets installation mode setting to the value indicated for the current session.

  Parameters:
    `boolValue` - indication of whether to be in installation mode; value of true indicates enabling installation mode
  Throws:
    `IfsException` - if the operation fails
  (Published)

### clearImpersonateUser

    public void clearImpersonateUser()
                              throws IfsException

  Description copied from class: `ScriptOperations`
  Clears impersonation for the current session.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### impersonateUser

    public void impersonateUser()
                         throws IfsException

  Description copied from class: `ScriptOperations`
  Clears impersonation for the current session.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### impersonateUser

    public void impersonateUser(java.lang.String userName)
                         throws IfsException

  Description copied from class: `ScriptOperations`
  Impersonates another user for the current session.

  Parameters:
    `userName` - user to impersonate, or null to cancel any impersonation in progress
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setPreventSessionTimeouts

    public void setPreventSessionTimeouts()
                                   throws IfsException

  Description copied from class: `ScriptOperations`
  Prevent session timeouts from occuring for the current session.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### setPreventSessionTimeouts

    public void setPreventSessionTimeouts(java.lang.String boolValue)
                                   throws IfsException

  Description copied from class: `ScriptOperations`
  Sets indication as to whether session timeouts are prevented for the current session.

  Parameters:
    `boolValue` - boolean indication of whether session timeouts are prevented (true = no timeouts will occur)
  Throws:
    `IfsException` - if the operation fails
  (Published)

### executePreparedSelect

    public void executePreparedSelect(java.lang.String priTargetTag,
                                      java.lang.String auxTargetsTag,
                                      java.lang.String condition,
                                      java.lang.String sortCondition,
                                      java.lang.String maxCountValue)
                               throws IfsException

  Description copied from class: `ScriptOperations`
  Execute a PreparedSelector, using a search condition that may leverage convenience functions used to generate the correct SQL.

  The max number of items returned can be specified, and if 0 or null, the results will be unlimited. No other options are used, such as statement key, distinct selecting, etc.

  Parameters:
    `priTargetTag` - the primary search target
    `auxTargetsTag` - the auxiliary search targets (can be null)
    `condition` - the selector condition; may include functions
    `sortCondition` - the sort condition; may include functions
    `maxCountValue` - the maximum number of items to show (can be null)
  Throws:
    `IfsException` - if the operation fails
  (Published)

### executePreparedSelect

    public void executePreparedSelect(java.lang.String priTargetTag,
                                      java.lang.String auxTargetsTag,
                                      java.lang.String condition,
                                      java.lang.String sortCondition,
                                      java.lang.String maxCountValue,
                                      java.lang.String startAtValue,
                                      java.lang.String distinctValue,
                                      java.lang.String stmtKey)
                               throws IfsException

  Description copied from class: `ScriptOperations`
  Execute a PreparedSelector, using a search condition that may leverage convenience functions used to generate the correct SQL.

  A number of options can be specified along with the primary search condition:

  - The max number of items that will be returned. If 0 or null, the results will be unlimited.
  - The result number to start with. If specified and greater than 1, the first N-1 results will be skipped.
  - Whether or not a "select distinct" clause should be used to filter out duplicate results. If not specified, defaults to false.
  - A statement key that identifies this statement for internal caching purposes.

  Parameters:
    `priTargetTag` - the primary search target
    `auxTargetsTag` - the auxiliary search targets (can be null)
    `condition` - the selector condition; may include functions
    `sortCondition` - the sort condition; may include functions
    `maxCountValue` - the maximum number of items to show (can be null)
    `startAtValue` - the row number to start with (can be null)
    `distinctValue` - whether to use "select distinct" (can be null)
    `stmtKey` - the Statement key (can be null)
  Throws:
    `IfsException` - if the operation fails
  (Published)

### executePreparedSelect

    public void executePreparedSelect(java.lang.String priTargetTag,
                                      java.lang.String auxTargetsTag,
                                      java.lang.String condition,
                                      java.lang.String sortCondition,
                                      java.lang.String maxCountValue,
                                      java.lang.String startAtValue,
                                      java.lang.String distinctValue,
                                      java.lang.String stmtKey,
                                      java.lang.String verbose)
                               throws IfsException

  Description copied from class: `ScriptOperations`
  Execute a PreparedSelector, using a search condition that may leverage convenience functions used to generate the correct SQL.

  A number of options can be specified along with the primary search condition:

  - The max number of items that will be returned. If 0 or null, the results will be unlimited.
  - The result number to start with. If specified and greater than 1, the first N-1 results will be skipped.
  - Whether or not a "select distinct" clause should be used to filter out duplicate results. If not specified, defaults to false.
  - A statement key that identifies this statement for internal caching purposes.
  - Whether or not the search results shouldbe should in "verbose" mode. If not specified, defaults to false.

  Parameters:
    `priTargetTag` - the primary search target
    `auxTargetsTag` - the auxiliary search targets (can be null)
    `condition` - the selector condition; may include functions
    `sortCondition` - the sort condition; may include functions
    `maxCountValue` - the maximum number of items to show (can be null)
    `startAtValue` - the row number to start with (can be null)
    `distinctValue` - whether to use "select distinct" (can be null)
    `stmtKey` - the Statement key (can be null)
    `verbose` - whether output should be verbose (can be null)
  Throws:
    `IfsException` - if the operation fails
  (Published)

### executePreparedSelect

    public void executePreparedSelect(AttributeValueTable avt)
                               throws IfsException

  Description copied from class: `ScriptOperations`
  Execute a PreparedSelector, using a search condition that may leverage convenience functions used to generate the correct SQL.

  The keys supported by this operation:

  - PRIMARYTARGETTAG: the primary search target
  - AUXILIARYTARGETSTAG: the auxiliary search targets (comma separated)
  - HINT: the SQL hint to use on the primary select
  - SEARCHCONDITION: the selector condition; may include functions
  - SORTCONDITION: the sort condition; may include functions
  - MAXIMUMRESULTCOUNT: the maximum number of items to show
  - STARTINGROWNUMBER: the row number to start with
  - DISTINCT: whether to use "select distinct"
  - STATEMENTKEY: the Statement key, for frequently issued queries
  - VERBOSE: whether output should be verbose
  - SHOWSQL: whether SQL details shouldbe shown in the output

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### addPreparedSelectorBindValue

    public void addPreparedSelectorBindValue(AttributeValueTable avt)
                                      throws IfsException

  Description copied from class: `ScriptOperations`
  Add an bind value to an internal list, to be used as the bind values in the next executeRawPreparedSelect operation.

  The only keys supported by this operation are the ones that are listed in `getAttributeValue`.

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  See Also:
    `ScriptOperations.getAttributeValue(AttributeValueTable, String[])`
  (Published)

### addPreparedSelectorStringBindValue

    public void addPreparedSelectorStringBindValue(java.lang.String bindValue)
                                            throws IfsException

  Deprecated. 9.0.4.6: use `addPreparedSelectorBindValue`

  Description copied from class: `ScriptOperations`
  Add a string value to an internal list, to be used as the bind values in the next executeRawPreparedSelect operation.

  Parameters:
    `bindValue` - Bind value
  Throws:
    `IfsException` - if the operation fails

### addPreparedSelectorIntegerBindValue

    public void addPreparedSelectorIntegerBindValue(java.lang.String bindValue)
                                             throws IfsException

  Deprecated. 9.0.4.6: use `addPreparedSelectorBindValue`

  Description copied from class: `ScriptOperations`
  Add a integer value to an internal list, to be used as the bind values in the next executeRawPreparedSelect operation.

  Parameters:
    `bindValue` - Bind value
  Throws:
    `IfsException` - if the operation fails

### addPreparedSelectorLongBindValue

    public void addPreparedSelectorLongBindValue(java.lang.String bindValue)
                                          throws IfsException

  Deprecated. 9.0.4.6: use `addPreparedSelectorBindValue`

  Description copied from class: `ScriptOperations`
  Add a Long value to an internal list, to be used as the bind values in the next executeRawPreparedSelect operation.

  Parameters:
    `bindValue` - Bind value
  Throws:
    `IfsException` - if the operation fails

### addPreparedSelectorBooleanBindValue

    public void addPreparedSelectorBooleanBindValue(java.lang.String bindValue)
                                             throws IfsException

  Deprecated. 9.0.4.6: use `addPreparedSelectorBindValue`

  Description copied from class: `ScriptOperations`
  Add a Boolean value to an internal list, to be used as the bind values in the next executeRawPreparedSelect operation.

  Parameters:
    `bindValue` - Bind value
  Throws:
    `IfsException` - if the operation fails

### addPreparedSelectorLibraryObjectBindValue

    public void addPreparedSelectorLibraryObjectBindValue(java.lang.String objTag)
                                                   throws IfsException

  Deprecated. 9.0.4.6: use `addPreparedSelectorBindValue`

  Description copied from class: `ScriptOperations`
  Add a LibraryObject value (tag) to an internal list, to be used as the bind values in the next executeRawPreparedSelect operation.

  Parameters:
    `objTag` - Bind value (a LibaryObject tag)
  Throws:
    `IfsException` - if the operation fails

### executePreparedSelectCount

    public void executePreparedSelectCount(java.lang.String priTargetTag,
                                           java.lang.String auxTargetsTag,
                                           java.lang.String condition)
                                    throws IfsException

  Description copied from class: `ScriptOperations`
  Execute a PreparedSelector to get a search count, using a search condition that may leverage convenience functions used to generate the correct SQL.

  Parameters:
    `priTargetTag` - the primary search target
    `auxTargetsTag` - the auxiliary search targets (can be null)
    `condition` - the selector condition; may include functions
  Throws:
    `IfsException` - if the operation fails
  (Published)

### executePreparedSelectCount

    public void executePreparedSelectCount(java.lang.String priTargetTag,
                                           java.lang.String auxTargetsTag,
                                           java.lang.String condition,
                                           java.lang.String distinctValue,
                                           java.lang.String stmtKey)
                                    throws IfsException

  Description copied from class: `ScriptOperations`
  Execute a PreparedSelector to get a search count, using a search condition that may leverage convenience functions used to generate the correct SQL.

  A number of options can be specified along with the primary search condition:

  - Whether or not a "select distinct" clause should be used to filter out duplicate results. If not specified, defaults to false.
  - A statement key that identifies this statement for internal caching purposes

  Parameters:
    `priTargetTag` - the primary search target
    `auxTargetsTag` - the auxiliary search targets (can be null)
    `condition` - the selector condition; may include functions
    `distinctValue` - whether to use "select distinct" (can be null)
    `stmtKey` - the Statement key (can be null)
  Throws:
    `IfsException` - if the operation fails
  (Published)

### executePreparedSelectCount

    public void executePreparedSelectCount(AttributeValueTable avt)
                                    throws IfsException

  Description copied from class: `ScriptOperations`
  Execute a PreparedSelector to get a search count, using a search condition that may leverage convenience functions used to generate the correct SQL.

  A number of options can be specified along with the primary search condition:

  - Whether or not a "select distinct" clause should be used to filter out duplicate results. If not specified, defaults to false.
  - A statement key that identifies this statement for internal caching purposes

  The keys supported by this operation:

  - PRIMARYTARGETTAG: the primary search target
  - AUXILIARYTARGETSTAG: the auxiliary search targets (comma separated)
  - HINT: the SQL hint to use on the primary select
  - SEARCHCONDITION: the selector condition; may include functions
  - DISTINCT: whether to use "select distinct"
  - STATEMENTKEY: the Statement key, for frequently issued queries

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createDefinition

    public LibraryObjectDefinition createDefinition(java.lang.String defTag,
                                                    java.lang.String className)
                                             throws IfsException

  Description copied from class: `ScriptOperations`
  Create a definition object, and identify it for subsequent use.

  Parameters:
    `defTag` - the definition tag
    `className` - the class name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### cloneDefinition

    public void cloneDefinition(java.lang.String cloneDefTag,
                                java.lang.String sourceDefTag)
                         throws IfsException

  Description copied from class: `ScriptOperations`
  Clone a definition object, useful when the source is readonly and further mutations are necessary.

  Parameters:
    `cloneDefTag` - the definition tag to be used for the clone
    `sourceDefTag` - the source definition tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### makeDefinitionReadOnly

    public void makeDefinitionReadOnly(java.lang.String defTag)
                                throws IfsException

  Description copied from class: `ScriptOperations`
  Make a definition readonly, so that it can be used in multiple operations.

  Parameters:
    `defTag` - the definition tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setDefinitionAttribute

    public void setDefinitionAttribute(AttributeValueTable avt)
                                throws IfsException

  Description copied from class: `ScriptOperations`
  Add an attribute setting to a definition.

  The keys supported by this operation:

  - TAG or DEFTAG: the definition tag
  - ATTRIBUTENAME (or KEY or NAME): the Attribute name
  The attribute value is specified using one of the keys listed in `getAttributeValue`.

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  See Also:
    `ScriptOperations.getAttributeValue(AttributeValueTable, String[])`
  (Published)

### setDefinitionStringAttribute

    public void setDefinitionStringAttribute(java.lang.String defTag,
                                             java.lang.String attrName,
                                             java.lang.String attrValue)
                                      throws IfsException

  Deprecated. 9.0.4.6: use `setDefinitionAttribute`

  Description copied from class: `ScriptOperations`
  Add an attribute setting for a String attribute onto an existing definition.

  Parameters:
    `defTag` - the definition tag
    `attrName` - the attribute name
    `attrValue` - the attribute value
  Throws:
    `IfsException` - if the operation fails

### setDefinitionStringArrayAttribute

    public void setDefinitionStringArrayAttribute(java.lang.String defTag,
                                                  java.lang.String attrName,
                                                  java.lang.String attrValue)
                                           throws IfsException

  Deprecated. 9.0.4.6: use `setDefinitionAttribute`

  Description copied from class: `ScriptOperations`
  Add an attribute setting for a String array attribute onto an existing definition.

  Parameters:
    `defTag` - the definition tag
    `attrName` - the attribute name
    `attrValue` - the value that represents an array
  Throws:
    `IfsException` - if the operation fails

### setDefinitionNullStringAttribute

    public void setDefinitionNullStringAttribute(java.lang.String defTag,
                                                 java.lang.String attrName)
                                          throws IfsException

  Deprecated. 9.0.4.6: use `setDefinitionAttribute`, value = ""

  Description copied from class: `ScriptOperations`
  Add an attribute setting for a String attribute with a null value onto an existing definition.

  Parameters:
    `defTag` - the definition tag
    `attrName` - the attribute name
  Throws:
    `IfsException` - if the operation fails

### setDefinitionBooleanAttribute

    public void setDefinitionBooleanAttribute(java.lang.String defTag,
                                              java.lang.String attrName,
                                              java.lang.String attrValue)
                                       throws IfsException

  Deprecated. 9.0.4.6: use `setDefinitionAttribute`

  Description copied from class: `ScriptOperations`
  Add an attribute setting for a boolean attribute onto an existing definition.

  Parameters:
    `defTag` - the definition tag
    `attrName` - the attribute name
    `attrValue` - the attribute value
  Throws:
    `IfsException` - if the operation fails

### setDefinitionDateAttribute

    public void setDefinitionDateAttribute(java.lang.String defTag,
                                           java.lang.String attrName,
                                           java.lang.String dateString)
                                    throws IfsException

  Deprecated. 9.0.4.6: use `setDefinitionAttribute`

  Description copied from class: `ScriptOperations`
  Adds a date type attribute to the chosen definition. The date is expressed as a string that will be parsed to create a real date.
  This uses the date formatter inside session's localizer to parse the string. Since that uses DateFormat.MEDIUM as the the date format. you should use date string format as shown in the example string "Dec 31, 2003 11:30:00 PM".

  Parameters:
    `defTag` - tag for the definition
    `attrName` - name of the attribute to be set
    `dateString` - string that represents the date
  Throws:
    `IfsException` - if the operation fails

### setDefinitionIntegerAttribute

    public void setDefinitionIntegerAttribute(java.lang.String defTag,
                                              java.lang.String attrName,
                                              java.lang.String attrValue)
                                       throws IfsException

  Deprecated. 9.0.4.6: use `setDefinitionAttribute`

  Description copied from class: `ScriptOperations`
  Add an attribute setting for a integer attribute onto an existing definition. Also works for the long datatype when the values are less than Integer.MAX_VALUE

  Parameters:
    `defTag` - the definition tag
    `attrName` - the attribute name
    `attrValue` - the attribute value
  Throws:
    `IfsException` - if the operation fails

### setDefinitionLongAttribute

    public void setDefinitionLongAttribute(java.lang.String defTag,
                                           java.lang.String attrName,
                                           java.lang.String attrValue)
                                    throws IfsException

  Deprecated. 9.0.4.6: use `setDefinitionAttribute`

  Description copied from class: `ScriptOperations`
  Add an attribute setting for a long attribute onto an existing definition.

  Parameters:
    `defTag` - the definition tag
    `attrName` - the attribute name
    `attrValue` - the attribute value
  Throws:
    `IfsException` - if the operation fails

### setDefinitionDoubleAttribute

    public void setDefinitionDoubleAttribute(java.lang.String defTag,
                                             java.lang.String attrName,
                                             java.lang.String attrValue)
                                      throws IfsException

  Deprecated. 9.0.4.6: use `setDefinitionAttribute`

  Description copied from class: `ScriptOperations`
  Add an attribute setting for a double attribute onto an existing definition.

  Parameters:
    `defTag` - the definition tag
    `attrName` - the attribute name
    `attrValue` - the attribute value
  Throws:
    `IfsException` - if the operation fails

### setDefinitionObjectAttribute

    public void setDefinitionObjectAttribute(java.lang.String defTag,
                                             java.lang.String attrName,
                                             java.lang.String objTag)
                                      throws IfsException

  Deprecated. 9.0.4.6: use `setDefinitionAttribute`

  Description copied from class: `ScriptOperations`
  Add an attribute setting for a object (PublicObject, SystemObject, SchemaObject) attribute onto an existing definition. The value must be a previously identified object, and is referenced by its object tag.

  Parameters:
    `defTag` - the definition tag
    `attrName` - the attribute name
    `objTag` - the object tag
  Throws:
    `IfsException` - if the operation fails

### setDefinitionDirectoryObjectAttribute

    public void setDefinitionDirectoryObjectAttribute(java.lang.String defTag,
                                                      java.lang.String attrName,
                                                      java.lang.String objTag)
                                               throws IfsException

  Deprecated. 9.0.4.6: use `setDefinitionAttribute`

  Description copied from class: `ScriptOperations`
  Add an attribute setting for a directory object attribute onto an existing definition. The value must be a previously identified object, and is referenced by its object tag.

  Parameters:
    `defTag` - the definition tag
    `attrName` - the attribute name
    `objTag` - the object tag
  Throws:
    `IfsException` - if the operation fails

### setDefinitionSystemObjectAttribute

    public void setDefinitionSystemObjectAttribute(java.lang.String defTag,
                                                   java.lang.String attrName,
                                                   java.lang.String objTag)
                                            throws IfsException

  Deprecated. 9.0.4.6: use `setDefinitionAttribute`

  Description copied from class: `ScriptOperations`
  Add an attribute setting for a system object attribute onto an existing definition. The value must be a previously identified object, and is referenced by its object tag.

  Parameters:
    `defTag` - the definition tag
    `attrName` - the attribute name
    `objTag` - the object tag
  Throws:
    `IfsException` - if the operation fails

### setDefinitionSchemaObjectAttribute

    public void setDefinitionSchemaObjectAttribute(java.lang.String defTag,
                                                   java.lang.String attrName,
                                                   java.lang.String objTag)
                                            throws IfsException

  Deprecated. 9.0.4.6: use `setDefinitionAttribute`

  Description copied from class: `ScriptOperations`
  Add an attribute setting for a schema object attribute onto an existing definition. The value must be a previously identified object, and is referenced by its object tag.

  Parameters:
    `defTag` - the definition tag
    `attrName` - the attribute name
    `objTag` - the object tag
  Throws:
    `IfsException` - if the operation fails

### setDefinitionSchemaObjectArrayAttribute

    public void setDefinitionSchemaObjectArrayAttribute(java.lang.String defTag,
                                                        java.lang.String attrName,
                                                        java.lang.String koTagNames)
                                                 throws IfsException

  Deprecated. 9.0.4.6: use `setDefinitionAttribute`

  Description copied from class: `ScriptOperations`
  Add an attribute setting for a schema object attribute array onto an existing definition. Each value must be a previously identified object, and is referenced by its object tag.

  Parameters:
    `defTag` - the definition tag
    `attrName` - the attribute name
    `koTagNames` - the SchemaObject tag names
  Throws:
    `IfsException` - if the operation fails

### setDefinitionDirectoryObjectArrayAttribute

    public void setDefinitionDirectoryObjectArrayAttribute(java.lang.String defTag,
                                                           java.lang.String attrName,
                                                           java.lang.String doTagNames)
                                                    throws IfsException

  Deprecated. 9.0.4.6: use `setDefinitionAttribute`

  Description copied from class: `ScriptOperations`
  Add an attribute setting for a directory object attribute array onto an existing definition. Each value must be a previously identified object, and is referenced by its object tag.

  Parameters:
    `defTag` - the definition tag
    `attrName` - the attribute name
    `doTagNames` - the DirectoryObject tag names
  Throws:
    `IfsException` - if the operation fails

### setDefinitionClassObjectAttribute

    public void setDefinitionClassObjectAttribute(java.lang.String defTag,
                                                  java.lang.String attrName,
                                                  java.lang.String classTag)
                                           throws IfsException

  Deprecated. 9.0.4.6: use `setDefinitionAttribute` and the LIBRARYOBJECTVALUE option

  Description copied from class: `ScriptOperations`
  Add an attribute setting for a ClassObject attribute onto an existing definition.

  Parameters:
    `defTag` - the definition tag
    `attrName` - the attribute name
    `classTag` - the class name
  Throws:
    `IfsException` - if the operation fails

### setCreateCategoriesServerSideOption

    public void setCreateCategoriesServerSideOption(java.lang.String defTag,
                                                    java.lang.String attrValue)
                                             throws IfsException

  Description copied from class: `ScriptOperations`
  Sets the create categories server side option on the public object definition.

  Parameters:
    `defTag` - the definition tag that points to po def
    `attrValue` - the option value (a boolean)
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setTimeoutPeriodOption

    public void setTimeoutPeriodOption(java.lang.String defTag,
                                       java.lang.String attrValue)
                                throws IfsException

  Description copied from class: `ScriptOperations`
  Sets the "timeout period" option onto a ApplicationTokenDefinition.

  Parameters:
    `defTag` - the definition tag
    `attrValue` - the option value (a long)
  Throws:
    `IfsException` - if the operation fails
  (Published)

### showDefinition

    public void showDefinition(java.lang.String defTag)
                        throws IfsException

  Description copied from class: `ScriptOperations`
  Show details about a definition.

  Parameters:
    `defTag` - the definition tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### addDefinitionAuditEntryType

    public void addDefinitionAuditEntryType(java.lang.String defTag,
                                            java.lang.String opTypeKey,
                                            java.lang.String opModeString)
                                     throws IfsException

  Description copied from class: `ScriptOperations`
  Add an AuditEntryType to an AuditTypeList definition.

  Parameters:
    `defTag` - the definition tag
    `opTypeKey` - the audit operation type key
    `opModeString` - the audit operation type success mode
  Throws:
    `IfsException` - if the operation fails
  (Published)

### addDefinitionAuditEntryTypesForClass

    public void addDefinitionAuditEntryTypesForClass(java.lang.String defTag,
                                                     java.lang.String className,
                                                     java.lang.String opMode)
                                              throws IfsException

  Description copied from class: `ScriptOperations`
  Add AuditEntryTypes to an AuditTypeList definition for the events that are applicable to the class specified.

  Parameters:
    `defTag` - the definition tag
    `className` - the class name for which to select applicable events
    `opMode` - the audit operation type success mode
  Throws:
    `IfsException` - if the operation fails
  (Published)

### addDefinitionAuditEntryTypesUnderClass

    public void addDefinitionAuditEntryTypesUnderClass(java.lang.String defTag,
                                                       java.lang.String className,
                                                       java.lang.String opMode)
                                                throws IfsException

  Description copied from class: `ScriptOperations`
  Add AuditEntryTypes to an AuditTypeList definition for the events that are applicable to the class specified, and any classes that are considered descendents of that class.

  Parameters:
    `defTag` - the definition tag
    `className` - the class name for which to select applicable events
    `opMode` - the audit operation type success mode
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setAuditSpecificationAuditTypeListDefinition

    public void setAuditSpecificationAuditTypeListDefinition(java.lang.String defTag,
                                                             java.lang.String atlDefTag)
                                                      throws IfsException

  Description copied from class: `ScriptOperations`
  Sets an AuditTypeList definition on an AuditSpecification definition.

  Parameters:
    `defTag` - the AuditSpecification definition tag
    `atlDefTag` - the AuditTypeList definition tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setAuditSpecificationAuditTargetSpecificationDefinition

    public void setAuditSpecificationAuditTargetSpecificationDefinition(java.lang.String defTag,
                                                                        java.lang.String atsDefTag)
                                                                 throws IfsException

  Description copied from class: `ScriptOperations`
  Sets an AuditTargetSpecification definition on an AuditSpecification definition.

  Parameters:
    `defTag` - the AuditSpecification definition tag
    `atsDefTag` - the AuditTargetSpecification definition tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setAuditSpecificationAuditHandlerSpecificationDefinition

    public void setAuditSpecificationAuditHandlerSpecificationDefinition(java.lang.String defTag,
                                                                         java.lang.String ahsDefTag)
                                                                  throws IfsException

  Description copied from class: `ScriptOperations`
  Sets an AuditHandlerSpecification definition on an AuditSpecification definition.

  Parameters:
    `defTag` - the AuditSpecification definition tag
    `ahsDefTag` - the AuditHandlerSpecification definition tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setAuditTargetSpecificationDefinitionTarget

    public void setAuditTargetSpecificationDefinitionTarget(java.lang.String defTag,
                                                            java.lang.String targetTag)
                                                     throws IfsException

  Description copied from class: `ScriptOperations`
  Sets a target on a AuditTargetSpecificationDefinition.

  Parameters:
    `defTag` - the AuditTargetSpecification definition tag
    `targetTag` - the target object tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### addPublicObjectDefinitionCategory

    public void addPublicObjectDefinitionCategory(java.lang.String defTag,
                                                  java.lang.String catdefTag)
                                           throws IfsException

  Description copied from class: `ScriptOperations`
  Add a category definition to a PublicObject definition.

  Parameters:
    `defTag` - the definition tag
    `catdefTag` - the category definition tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### addSystemObjectDefinitionCategory

    public void addSystemObjectDefinitionCategory(java.lang.String defTag,
                                                  java.lang.String catdefTag)
                                           throws IfsException

  Description copied from class: `ScriptOperations`
  Add a system category definition to a SystemObject definition.

  Parameters:
    `defTag` - the definition tag
    `catdefTag` - the category definition tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### addSchemaObjectDefinitionCategory

    public void addSchemaObjectDefinitionCategory(java.lang.String defTag,
                                                  java.lang.String catdefTag)
                                           throws IfsException

  Description copied from class: `ScriptOperations`
  Add a schema category definition to a SchemaObject definition.

  Parameters:
    `defTag` - the definition tag
    `catdefTag` - the category definition tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### addDefinitionProperty

    public void addDefinitionProperty(AttributeValueTable avt)
                               throws IfsException

  Description copied from class: `ScriptOperations`
  Adds a property to a definition.

  The keys supported by this operation:

  - TAG or DEFTAG: the definition tag
  - PROPERTYNAME (or KEY or NAME): the Property name
  The property value is specified using one of the keys listed in `getAttributeValue`.

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  See Also:
    `ScriptOperations.getAttributeValue(AttributeValueTable, String[])`
  (Published)

### addDefinitionStringProperty

    public void addDefinitionStringProperty(java.lang.String defTag,
                                            java.lang.String key,
                                            java.lang.String value)
                                     throws IfsException

  Deprecated. 9.0.4.6: use `addDefinitionProperty`

  Description copied from class: `ScriptOperations`
  Add a string property to a definition.

  Parameters:
    `defTag` - the definition tag
    `key` - the property key
    `value` - the property value (representing a String)
  Throws:
    `IfsException` - if the operation fails

### addDefinitionBooleanProperty

    public void addDefinitionBooleanProperty(java.lang.String defTag,
                                             java.lang.String key,
                                             java.lang.String value)
                                      throws IfsException

  Deprecated. 9.0.4.6: use `addDefinitionProperty`

  Description copied from class: `ScriptOperations`
  Add a boolean property to a definition.

  Parameters:
    `defTag` - the definition tag
    `key` - the property key
    `value` - the property value (representing a boolean)
  Throws:
    `IfsException` - if the operation fails

### addDefinitionIntegerProperty

    public void addDefinitionIntegerProperty(java.lang.String defTag,
                                             java.lang.String key,
                                             java.lang.String value)
                                      throws IfsException

  Deprecated. 9.0.4.6: use `addDefinitionProperty`

  Description copied from class: `ScriptOperations`
  Add an integer property to a definition.

  Parameters:
    `defTag` - the definition tag
    `key` - the property key
    `value` - the property value (representing a integer)
  Throws:
    `IfsException` - if the operation fails

### addDefinitionLongProperty

    public void addDefinitionLongProperty(java.lang.String defTag,
                                          java.lang.String key,
                                          java.lang.String value)
                                   throws IfsException

  Deprecated. 9.0.4.6: use `addDefinitionProperty`

  Description copied from class: `ScriptOperations`
  Add a long property to a definition.

  Parameters:
    `defTag` - the definition tag
    `key` - the property key
    `value` - the property value (representing a long)
  Throws:
    `IfsException` - if the operation fails

### addDefinitionDoubleProperty

    public void addDefinitionDoubleProperty(java.lang.String defTag,
                                            java.lang.String key,
                                            java.lang.String value)
                                     throws IfsException

  Deprecated. 9.0.4.6: use `addDefinitionProperty`

  Description copied from class: `ScriptOperations`
  Add a double property to a definition.

  Parameters:
    `defTag` - the definition tag
    `key` - the property key
    `value` - the property value (representing a double)
  Throws:
    `IfsException` - if the operation fails

### addDefinitionStringArrayProperty

    public void addDefinitionStringArrayProperty(java.lang.String defTag,
                                                 java.lang.String key,
                                                 java.lang.String value)
                                          throws IfsException

  Deprecated. 9.0.4.6: use `addDefinitionProperty`

  Description copied from class: `ScriptOperations`
  Add a string array property to a definition.

  Parameters:
    `defTag` - the definition tag
    `key` - the property key
    `value` - the property value (representing a String[])
  Throws:
    `IfsException` - if the operation fails

### addDefinitionProperties

    public void addDefinitionProperties(AttributeValueTable avt)
                                 throws IfsException

  Description copied from class: `ScriptOperations`
  Add definition properties, using a reference object or definition as the source of the property settings.

  The keys supported by this operation:

  - TAG or DEFTAG: the target definition tag
  - SOURCETAG: the tag that identifies the LibraryObject whose properties will be copied to the target definition

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### addSystemObjectDefinitionStringProperty

    public void addSystemObjectDefinitionStringProperty(java.lang.String defTag,
                                                        java.lang.String key,
                                                        java.lang.String value)
                                                 throws IfsException

  Deprecated. 9.0.4.6: use `addDefinitionProperty`

  Description copied from class: `ScriptOperations`
  Add a string property to an SystemObject definition.

  Parameters:
    `defTag` - the SystemObject definition tag
    `key` - the property key
    `value` - the property value (representing a String)
  Throws:
    `IfsException` - if the operation fails

### addSystemObjectDefinitionBooleanProperty

    public void addSystemObjectDefinitionBooleanProperty(java.lang.String defTag,
                                                         java.lang.String key,
                                                         java.lang.String value)
                                                  throws IfsException

  Deprecated. 9.0.4.6: use `addDefinitionProperty`

  Description copied from class: `ScriptOperations`
  Add a boolean property to an SystemObject definition.

  Parameters:
    `defTag` - the SystemObject definition tag
    `key` - the property key
    `value` - the property value (representing a boolean)
  Throws:
    `IfsException` - if the operation fails

### addSystemObjectDefinitionIntegerProperty

    public void addSystemObjectDefinitionIntegerProperty(java.lang.String defTag,
                                                         java.lang.String key,
                                                         java.lang.String value)
                                                  throws IfsException

  Deprecated. 9.0.4.6: use `addDefinitionProperty`

  Description copied from class: `ScriptOperations`
  Add an integer property to an SystemObject definition.

  Parameters:
    `defTag` - the SystemObject definition tag
    `key` - the property key
    `value` - the property value (representing a integer)
  Throws:
    `IfsException` - if the operation fails

### addSystemObjectDefinitionLongProperty

    public void addSystemObjectDefinitionLongProperty(java.lang.String defTag,
                                                      java.lang.String key,
                                                      java.lang.String value)
                                               throws IfsException

  Deprecated. 9.0.4.6: use `addDefinitionProperty`

  Description copied from class: `ScriptOperations`
  Add a long property to an SystemObject definition.

  Parameters:
    `defTag` - the SystemObject definition tag
    `key` - the property key
    `value` - the property value (representing a long)
  Throws:
    `IfsException` - if the operation fails

### addSystemObjectDefinitionStringArrayProperty

    public void addSystemObjectDefinitionStringArrayProperty(java.lang.String defTag,
                                                             java.lang.String key,
                                                             java.lang.String value)
                                                      throws IfsException

  Deprecated. 9.0.4.6: use `addDefinitionProperty`

  Description copied from class: `ScriptOperations`
  Add a string array property to a SystemObject definition.

  Parameters:
    `defTag` - the SystemObject definition tag
    `key` - the property key
    `value` - the property value (representing a String[])
  Throws:
    `IfsException` - if the operation fails

### addToPublicObjectDefinition

    public void addToPublicObjectDefinition(AttributeValueTable avt)
                                     throws IfsException

  Description copied from class: `ScriptOperations`
  Add options to a PublicObject definition.

  The keys supported by this operation:

  - DEFTAG: the PublicObjectDefinition to update (and create if necessary)
  - PARENTFOLDER: the tag of the parent folder
  - ACL: the ACL to use for the Document
  - OWNER: the OWNER to use for the Document
  - AUTOFOLDERINGACTIONSPECIFICATION: the auto foldering spec

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### addToDocumentDefinition

    public void addToDocumentDefinition(AttributeValueTable avt)
                                 throws IfsException

  Description copied from class: `ScriptOperations`
  Add options to a Document definition.

  The keys supported by this operation:

  - DEFTAG: the DocumentDefinition to update (and create if necessary)
  - CONTENTOBJECTDEFTAG: the ContentObjectDefinition to add
  - FILE: the file name for the content, relative to IFSROOT
  - LITERALCONTENT: the actual content of the document, as a String
  - FORMAT: the Format for the content
  - MEDIA: the Media for the content
  - CHARACTERSET: the Document's character set
  - LANGUAGE: the Document's language
  - BFILENAME: the name of the BFILE, if BFILE content ref is specified
  - BFILEFOLDER: the absolute path to the BFILE folder, if BFILE content ref is specified
  - BFILELENGTH: the file length of the BFILE (optional)
  - EMPTYCONTENT: if the Document should have no content
  - PARENTFOLDER: the tag of the parent folder
  - ACL: the ACL to use for the Document
  - OWNER: the OWNER to use for the Document
  - AUTOFOLDERINGACTIONSPECIFICATION: the auto foldering spec

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setDocumentDefinitionContentObjectDefinition

    public void setDocumentDefinitionContentObjectDefinition(java.lang.String defTag,
                                                             java.lang.String coDefTag)
                                                      throws IfsException

  Deprecated. 9.0.4.6: use `addToDocumentDefinition`

  Description copied from class: `ScriptOperations`
  Sets the ContentObject definition of a Document definition.

  Parameters:
    `defTag` - the Document definition tag
    `coDefTag` - the ContentObject definition tag
  Throws:
    `IfsException` - if the operation fails

### addDocumentDefinitionCharacterSet

    public void addDocumentDefinitionCharacterSet(java.lang.String defTag,
                                                  java.lang.String charSet)
                                           throws IfsException

  Deprecated. 9.0.4.6: use `addToDocumentDefinition`

  Description copied from class: `ScriptOperations`
  Add a characterset to a Document definition.

  Parameters:
    `defTag` - the definition tag
    `charSet` - character set for the document
  Throws:
    `IfsException` - if the operation fails

### addDocumentDefinitionLanguage

    public void addDocumentDefinitionLanguage(java.lang.String defTag,
                                              java.lang.String lang)
                                       throws IfsException

  Deprecated. 9.0.4.6: use `addToDocumentDefinition`

  Description copied from class: `ScriptOperations`
  Add a language to a Document definition.

  Parameters:
    `defTag` - the definition tag
    `lang` - language for the document
  Throws:
    `IfsException` - if the operation fails

### addDocumentDefinitionContent

    public void addDocumentDefinitionContent(java.lang.String defTag,
                                             java.lang.String contentFileName)
                                      throws IfsException

  Deprecated. 9.0.4.6: use `addToDocumentDefinition`

  Description copied from class: `ScriptOperations`
  Add a content to a Document definition.

  Parameters:
    `defTag` - the definition tag
    `contentFileName` - a local path to the content
  Throws:
    `IfsException` - if the operation fails

### addDocumentDefinitionContentBfileReference

    public void addDocumentDefinitionContentBfileReference(java.lang.String defTag,
                                                           java.lang.String osParentFolderPath,
                                                           java.lang.String bfileName,
                                                           java.lang.String lengthStr)
                                                    throws IfsException

  Deprecated. 9.0.4.6: use `addToDocumentDefinition`

  Description copied from class: `ScriptOperations`
  Sets up an external file as a bfile reference on the document definition. Use this to create documents that are storing their content in BFILEs.

  Parameters:
    `defTag` - tag for the definition
    `osParentFolderPath` - folder path of the parent folder of file MUST be on database host filesystem.
    `bfileName` - name of the file
    `lengthStr` - length of the file; if length unknown, pass the string NULL.
  Throws:
    `IfsException` - if the operation fails

### getContentPath

    public java.lang.String getContentPath(java.lang.String path)
                                    throws IfsException

  Description copied from class: `ScriptOperations`
  Get the absolute path for the specified path that is relative to IFSROOT.

  Uses the ifsroot parameter to prefix the specified path.

  Parameters:
    `path` - the specified path
  Returns:
    the absolute path
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getAbsolutePath

    public java.lang.String getAbsolutePath(java.lang.String paramName,
                                            java.lang.String relativePath)
                                     throws IfsException

  Description copied from class: `ScriptOperations`
  Get the absolute path for the specified subpath relative to the directory mapped by the specified parameter name.

  Parameters:
    `paramName` - the parameter name mapped to the parent directory
    `relativePath` - the relative subpath
  Returns:
    the absolute path
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setLifecyclePolicyDefinitionDeleteEntriesOption

    public void setLifecyclePolicyDefinitionDeleteEntriesOption(java.lang.String defTag,
                                                                java.lang.String boolVal)
                                                         throws IfsException

  Description copied from class: `ScriptOperations`
  Sets the "DeleteAllLifecyclePolicyEntries" option on a LifecyclePolicyDefinition.

  Parameters:
    `defTag` - the LifecyclePolicyDefinition tag
    `boolVal` - a Boolean value for the option
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setDefinitionAttribute

    protected void setDefinitionAttribute(LibraryObjectDefinition def,
                                          java.lang.String attrName,
                                          AttributeValue value)
                                   throws IfsException

  Description copied from class: `ScriptOperations`
  Sets an attribute on the specified definition.

  Parameters:
    `def` - the definition
    `attrName` - the attribute name; must be in uppercase
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### comment

    public void comment()

  Description copied from class: `ScriptOperations`
  Show a comment in the output. This takes no action, but shows up in the list of operations, so that it helps document both the input file and the output file.

  (Published)

### comment

    public void comment(java.lang.String message)

  Description copied from class: `ScriptOperations`
  Show a comment in the output. This takes no action, but shows up in the list of operations, so that it helps document both the input file and the output file.

  Parameters:
    `message` - the comment
  (Published)

### sleep

    public void sleep(java.lang.String sleepLength)
               throws java.lang.Exception

  Description copied from class: `ScriptOperations`
  Sleep for the specified number of milliseconds.

  Parameters:
    `sleepLength` - the number of milliseconds to delay
  Throws:
    `java.lang.Exception` - if the operation fails
  (Published)

### concatenateStrings

    public void concatenateStrings(java.lang.String varName,
                                   java.lang.String s1)
                            throws java.lang.Exception

  Description copied from class: `ScriptOperations`
  Concatenate strings, and store the result for use as a substitution variable

  Parameters:
    `varName` - the ParaemterTable variable name
    `s1` - the 1st string
  Throws:
    `java.lang.Exception` - if the operation fails
  (Published)

### concatenateStrings

    public void concatenateStrings(java.lang.String varName,
                                   java.lang.String s1,
                                   java.lang.String s2)
                            throws java.lang.Exception

  Description copied from class: `ScriptOperations`
  Concatenate strings, and store the result for use as a substitution variable

  Parameters:
    `varName` - the ParaemterTable variable name
    `s1` - the 1st string
    `s2` - the 2nd string
  Throws:
    `java.lang.Exception` - if the operation fails
  (Published)

### concatenateStrings

    public void concatenateStrings(java.lang.String varName,
                                   java.lang.String s1,
                                   java.lang.String s2,
                                   java.lang.String s3)
                            throws java.lang.Exception

  Description copied from class: `ScriptOperations`
  Concatenate strings, and store the result for use as a substitution variable

  Parameters:
    `varName` - the ParaemterTable variable name
    `s1` - the 1st string
    `s2` - the 2nd string
    `s3` - the 3rd string
  Throws:
    `java.lang.Exception` - if the operation fails
  (Published)

### concatenateStrings

    public void concatenateStrings(java.lang.String varName,
                                   java.lang.String s1,
                                   java.lang.String s2,
                                   java.lang.String s3,
                                   java.lang.String s4)
                            throws java.lang.Exception

  Description copied from class: `ScriptOperations`
  Concatenate strings, and store the result for use as a substitution variable

  Parameters:
    `varName` - the ParaemterTable variable name
    `s1` - the 1st string
    `s2` - the 2nd string
    `s3` - the 3rd string
    `s4` - the 4th string
  Throws:
    `java.lang.Exception` - if the operation fails
  (Published)

### concatenateStrings

    public void concatenateStrings(java.lang.String varName,
                                   java.lang.String s1,
                                   java.lang.String s2,
                                   java.lang.String s3,
                                   java.lang.String s4,
                                   java.lang.String s5)
                            throws java.lang.Exception

  Description copied from class: `ScriptOperations`
  Concatenate strings, and store the result for use as a substitution variable

  Parameters:
    `varName` - the ParaemterTable variable name
    `s1` - the 1st string
    `s2` - the 2nd string
    `s3` - the 3rd string
    `s4` - the 4th string
    `s5` - the 5th string
  Throws:
    `java.lang.Exception` - if the operation fails
  (Published)

### concatenateStrings

    public void concatenateStrings(java.lang.String varName,
                                   java.lang.String s1,
                                   java.lang.String s2,
                                   java.lang.String s3,
                                   java.lang.String s4,
                                   java.lang.String s5,
                                   java.lang.String s6)
                            throws java.lang.Exception

  Description copied from class: `ScriptOperations`
  Concatenate strings, and store the result for use as a substitution variable

  Parameters:
    `varName` - the ParaemterTable variable name
    `s1` - the 1st string
    `s2` - the 2nd string
    `s3` - the 3rd string
    `s4` - the 4th string
    `s5` - the 5th string
    `s6` - the 6th string
  Throws:
    `java.lang.Exception` - if the operation fails
  (Published)

### concatenateStrings

    public void concatenateStrings(java.lang.String varName,
                                   java.lang.String s1,
                                   java.lang.String s2,
                                   java.lang.String s3,
                                   java.lang.String s4,
                                   java.lang.String s5,
                                   java.lang.String s6,
                                   java.lang.String s7)
                            throws java.lang.Exception

  Description copied from class: `ScriptOperations`
  Concatenate strings, and store the result for use as a substitution variable

  Parameters:
    `varName` - the ParaemterTable variable name
    `s1` - the 1st string
    `s2` - the 2nd string
    `s3` - the 3rd string
    `s4` - the 4th string
    `s5` - the 5th string
    `s6` - the 6th string
    `s7` - the 7th string
  Throws:
    `java.lang.Exception` - if the operation fails
  (Published)

### concatenateToUpperStrings

    public void concatenateToUpperStrings(java.lang.String varName,
                                          java.lang.String s1)
                                   throws java.lang.Exception

  Description copied from class: `ScriptOperations`
  Concatenate strings, forced to upper case, and store the result for use as a substitution variable

  Parameters:
    `varName` - the ParaemterTable variable name
    `s1` - the 1st string
  Throws:
    `java.lang.Exception` - if the operation fails
  (Published)

### concatenateToUpperStrings

    public void concatenateToUpperStrings(java.lang.String varName,
                                          java.lang.String s1,
                                          java.lang.String s2)
                                   throws java.lang.Exception

  Description copied from class: `ScriptOperations`
  Concatenate strings, forced to upper case, and store the result for use as a substitution variable

  Parameters:
    `varName` - the ParaemterTable variable name
    `s1` - the 1st string
    `s2` - the 2nd string
  Throws:
    `java.lang.Exception` - if the operation fails
  (Published)

### concatenateToUpperStrings

    public void concatenateToUpperStrings(java.lang.String varName,
                                          java.lang.String s1,
                                          java.lang.String s2,
                                          java.lang.String s3)
                                   throws java.lang.Exception

  Description copied from class: `ScriptOperations`
  Concatenate strings, forced to upper case, and store the result for use as a substitution variable

  Parameters:
    `varName` - the ParaemterTable variable name
    `s1` - the 1st string
    `s2` - the 2nd string
    `s3` - the 3rd string
  Throws:
    `java.lang.Exception` - if the operation fails
  (Published)

### concatenateToLowerStrings

    public void concatenateToLowerStrings(java.lang.String varName,
                                          java.lang.String s1)
                                   throws java.lang.Exception

  Description copied from class: `ScriptOperations`
  Concatenate strings, forced to lower case, and store the result for use as a substitution variable

  Parameters:
    `varName` - the ParaemterTable variable name
    `s1` - the 1st string
  Throws:
    `java.lang.Exception` - if the operation fails
  (Published)

### concatenateToLowerStrings

    public void concatenateToLowerStrings(java.lang.String varName,
                                          java.lang.String s1,
                                          java.lang.String s2)
                                   throws java.lang.Exception

  Description copied from class: `ScriptOperations`
  Concatenate strings, forced to lower case, and store the result for use as a substitution variable

  Parameters:
    `varName` - the ParaemterTable variable name
    `s1` - the 1st string
    `s2` - the 2nd string
  Throws:
    `java.lang.Exception` - if the operation fails
  (Published)

### concatenateToLowerStrings

    public void concatenateToLowerStrings(java.lang.String varName,
                                          java.lang.String s1,
                                          java.lang.String s2,
                                          java.lang.String s3)
                                   throws java.lang.Exception

  Description copied from class: `ScriptOperations`
  Concatenate strings, forced to lower case, and store the result for use as a substitution variable

  Parameters:
    `varName` - the ParaemterTable variable name
    `s1` - the 1st string
    `s2` - the 2nd string
    `s3` - the 3rd string
  Throws:
    `java.lang.Exception` - if the operation fails
  (Published)

### getIncludedFileSettings

    public void getIncludedFileSettings(java.lang.String inclFileName)
                                 throws java.lang.Exception

  Description copied from class: `ScriptOperations`
  Include settings in the specified file into the current ParameterTable.

  Parameters:
    `inclFileName` - the variable name
  Throws:
    `java.lang.Exception` - if the operation fails
  (Published)

### getConsoleInputString

    public java.lang.String getConsoleInputString(java.lang.String varName,
                                                  java.lang.String prompt,
                                                  java.lang.String defValue,
                                                  java.lang.String skipIfSetVal,
                                                  java.lang.String requiredVal)
                                           throws java.lang.Exception

  Description copied from class: `ScriptOperations`
  Get input string from the console, and store the result back into the ParameterTable.

  The user's input is echoed normally to System.out.

  Parameters:
    `varName` - the variable name
    `prompt` - the prompt
    `defValue` - the value to use if no input is specified
    `skipIfSetVal` - boolean indication as to whether to skip prompt if value is already set
    `requiredVal` - boolean indication as to whether a value is required
  Returns:
    the string value that is stored in the variable
  Throws:
    `java.lang.Exception` - if the operation fails
  (Published)

### getConsoleSecureInputString

    public java.lang.String getConsoleSecureInputString(java.lang.String varName,
                                                        java.lang.String prompt,
                                                        java.lang.String defValue,
                                                        java.lang.String skipIfSetVal,
                                                        java.lang.String requiredVal)
                                                 throws java.lang.Exception

  Description copied from class: `ScriptOperations`
  Get input string from the console, and store the result back into the ParameterTable.

  The user's input is not echoed to System.out.

  Parameters:
    `varName` - the variable name
    `prompt` - the prompt
    `defValue` - the value to use if no input is specified
    `skipIfSetVal` - boolean indication as to whether to skip prompt if value is already set
    `requiredVal` - boolean indication as to whether a value is required
  Returns:
    the string value that is stored in the variable
  Throws:
    `java.lang.Exception` - if the operation fails
  (Published)

### getConsoleInputString

    public java.lang.String getConsoleInputString(java.lang.String varName,
                                                  java.lang.String prompt,
                                                  java.lang.String defValue,
                                                  java.lang.String skipIfSet,
                                                  java.lang.String required,
                                                  java.lang.String entrySecure)
                                           throws java.lang.Exception

  Description copied from class: `ScriptOperations`
  Get input string from the console, and store the result back into the ParameterTable.

  Parameters:
    `varName` - the variable name
    `prompt` - the prompt
    `defValue` - the value to use if no input is specified
    `skipIfSet` - boolean indication as to whether to skip prompt if value is already set
    `required` - boolean indication as to whether a value is required
    `entrySecure` - boolean indication as to whether the user input is secure (meaning it will not be echoed when typed)
  Returns:
    the string value that is stored in the variable
  Throws:
    `java.lang.Exception` - if the operation fails
  (Published)

### getConsoleInputString

    public java.lang.String getConsoleInputString(AttributeValueTable avt)
                                           throws java.lang.Exception

  Description copied from class: `ScriptOperations`
  Get input string from the console, and store the result back into the ParameterTable.

  The keys supported by this operation:

  - RESULTVARIABLE: the variable name that will be set to the input value
  - PROMPT: the prompt
  - DEFAULTVALUE: the value to use if no input is specified
  - SKIPIFRESULTVARIABLESET: indication as to whether to skip prompt if value is already set (boolean)
  - REQUIRED: indication as to whether a value is required (boolean)
  - ENTRYSECURE: boolean indication as to whether the user input is secure (meaning it will not be echoed when typed)
  - BOOLEANRESULT: whether a boolean result is expected; the result will be normalized to "true" or "false"

  Parameters:
    `avt` - the named arguments
  Returns:
    the string value that is stored in the variable
  Throws:
    `java.lang.Exception` - if the operation fails
  (Published)

### getConsoleInputBoolean

    public java.lang.String getConsoleInputBoolean(java.lang.String varName,
                                                   java.lang.String prompt,
                                                   java.lang.String defValue,
                                                   java.lang.String skipIfSet,
                                                   java.lang.String required)
                                            throws java.lang.Exception

  Description copied from class: `ScriptOperations`
  Get a boolean input string from the console, and store the result back into the ParameterTable.

  Same as `getConsoleInputString` except that the values are normalized to "true", "false", or null. A false value is indicated by any string begining with N, n, F, f, or 0. A true value is indicated by any other string.

  Parameters:
    `varName` - the variable name to store the boolean result
    `prompt` - the prompt
    `defValue` - the value to use if not currently set
    `skipIfSet` - boolean indication as to whether to skip prompt if value is already set
    `required` - boolean indication as to whether a value is required
  Returns:
    the string value that is stored in the variable
  Throws:
    `java.lang.Exception` - if the operation fails
  (Published)

### normalizeBooleanString

    protected java.lang.String normalizeBooleanString(java.lang.String rawValue)

  Description copied from class: `ScriptOperations`
  Convert the specified string to "true", "false", or null.

  A false value is indicated by any string begining with N, n, F, f, or 0. A true value is indicated by any other non-null, non-empty string. A null is returned if the specified string is null or is the empty string.

  Parameters:
    `rawValue` - the the input value
  Returns:
    the normalized value - true, false, or null
  (Published)

### writeConsoleOutputString

    public void writeConsoleOutputString()
                                  throws java.lang.Exception

  Description copied from class: `ScriptOperations`
  Force newline write to the console.

  Throws:
    `java.lang.Exception` - if the operation fails
  (Published)

### writeConsoleOutputString

    public void writeConsoleOutputString(java.lang.String prompt)
                                  throws java.lang.Exception

  Description copied from class: `ScriptOperations`
  Write string to the console.

  Parameters:
    `prompt` - the prompt
  Throws:
    `java.lang.Exception` - if the operation fails
  (Published)

### runSchemaCreator

    public void runSchemaCreator(java.lang.String xmlFile)
                          throws java.lang.Exception

  Description copied from class: `ScriptOperations`
  Run a SchemaCreator for the specified XML file.

  Parameters:
    `xmlFile` - the XML file
  Throws:
    `java.lang.Exception` - if the operation fails
  (Published)

### lookupGroup

    protected DirectoryGroup lookupGroup(LibrarySession sess,
                                         java.lang.String tag)
                                  throws IfsException

  Description copied from class: `ScriptOperations`
  Lookup a DirectoryGroup by the specified tag.

  A RuntimeException is thrown if there is no object registered with the specified tag, or if the object registered is not a DirectoryGroup.

  Parameters:
    `sess` - the session
    `tag` - the object tag
  Returns:
    the object
  Throws:
    `IfsException` - if the operation fails
  (Published)

### lookupFolder

    protected Folder lookupFolder(LibrarySession sess,
                                  java.lang.String tag)
                           throws IfsException

  Description copied from class: `ScriptOperations`
  Lookup a Folder by the specified tag.

  A RuntimeException is thrown if there is no object registered with the specified tag, or if the object registered is not a Folder.

  Parameters:
    `sess` - the session
    `tag` - the object tag
  Returns:
    the object
  Throws:
    `IfsException` - if the operation fails
  (Published)

### lookupDocument

    protected Document lookupDocument(LibrarySession sess,
                                      java.lang.String tag)
                               throws IfsException

  Description copied from class: `ScriptOperations`
  Lookup a Document by the specified tag.

  A RuntimeException is thrown if there is no object registered with the specified tag, or if the object registered is not a Document.

  Parameters:
    `sess` - handle to the current session
    `tag` - document tag
  Returns:
    returns the Document identified by the tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### lookupAcl

    protected AccessControlList lookupAcl(LibrarySession sess,
                                          java.lang.String tagOrName)
                                   throws IfsException

  Description copied from class: `ScriptOperations`
  Lookup an ACL by the specified tag or name.

  A RuntimeException is thrown if the object registered is not a AccessControlList. If no object is registered with the specified tag, a SystemAccessControlList will be returned if one exists with the specified name. Otherwise, an IfsException is thrown indicating that no SystemAccessControlList exists with the specified name.

  Parameters:
    `sess` - the session
    `tag` - the object tag
  Returns:
    the object
  Throws:
    `IfsException` - if the operation fails
  (Published)

### lookupSystemAcl

    protected SystemAccessControlList lookupSystemAcl(LibrarySession sess,
                                                      java.lang.String aclName)
                                               throws IfsException

  Description copied from class: `ScriptOperations`
  Lookup a System ACL by name.

  Parameters:
    `sess` - the session
    `aclName` - the ACL name
  Returns:
    the System ACL, or null if not found
  Throws:
    `IfsException` - if the operation fails
  (Published)

### lookupClassAcl

    protected ClassAccessControlList lookupClassAcl(LibrarySession sess,
                                                    java.lang.String aclName)
                                             throws IfsException

  Description copied from class: `ScriptOperations`
  Lookup a Class ACL by name.

  Parameters:
    `sess` - the session
    `aclName` - the ACL name
  Returns:
    the Class ACL, or null if not found
  Throws:
    `IfsException` - if the operation fails
  (Published)

### lookupSystemLockObject

    protected SystemLockObject lookupSystemLockObject(LibrarySession sess,
                                                      java.lang.String sloName)
                                               throws IfsException

  Description copied from class: `ScriptOperations`
  Lookup a SystemLockObject by name.

  Parameters:
    `sess` - the session
    `sloName` - the SystemLockObject name
  Returns:
    the SystemLockObject, or null if not found
  Throws:
    `IfsException` - if the operation fails
  (Published)

### lookupQueue

    protected Queue lookupQueue(LibrarySession sess,
                                java.lang.String quName)
                         throws IfsException

  Description copied from class: `ScriptOperations`
  Lookup a Queue by name.

  Parameters:
    `sess` - the session
    `quName` - the Queue name
  Returns:
    the Queue, or null if not found
  Throws:
    `IfsException` - if the operation fails
  (Published)

### lookupMedia

    protected Media lookupMedia(LibrarySession sess,
                                java.lang.String tagOrName)
                         throws IfsException

  Description copied from class: `ScriptOperations`
  Lookup a Media by the specified tag or Media name.

  If the specified tag is not registered, attempt to implicitly register it. A RuntimeException is thrown if there is no object registered with the specified tag, or if the object registered is not a Role.

  Parameters:
    `sess` - handle to the current session
    `tagOrName` - media tag or name
  Returns:
    the Media
  Throws:
    `IfsException` - if the operation fails
  (Published)

### lookupFormat

    protected Format lookupFormat(LibrarySession sess,
                                  java.lang.String tagOrName)
                           throws IfsException

  Description copied from class: `ScriptOperations`
  Lookup a Format by the specified name.

  Try to lookup the object using the specified string as the object tag, and if that fails attempt a collection lookup.

  Parameters:
    `sess` - handle to the current session
    `tagOrName` - Format tag or name
  Returns:
    the Format
  Throws:
    `IfsException` - if the operation fails
  (Published)

### lookupFormatFromCollection

    protected Format lookupFormatFromCollection(LibrarySession sess,
                                                java.lang.String name)
                                         throws IfsException

  Description copied from class: `ScriptOperations`
  Lookup a Format by the specified name, using the Format Collection.

  Parameters:
    `sess` - handle to the current session
    `name` - Format name
  Returns:
    the Format
  Throws:
    `IfsException` - if the operation fails
  (Published)

### lookupOperationActionSpecification

    protected OperationActionSpecification lookupOperationActionSpecification(java.lang.String tagOrName)
                                                                       throws IfsException

  Description copied from class: `ScriptOperations`
  Lookup an OperationActionSpecification by tag or name.

  Parameters:
    `tagOrName` - the OperationActionSpecification tag or name
  Returns:
    the OperationActionSpecification
  Throws:
    `IfsException` - if the operation fails
  (Published)

### lookupAutoFolderingActionSpecification

    protected AutoFolderingActionSpecification lookupAutoFolderingActionSpecification(java.lang.String tagOrName)
                                                                               throws IfsException

  Description copied from class: `ScriptOperations`
  Lookup an AutoFolderingActionSpecification by tag or name.

  Parameters:
    `tagOrName` - the AutoFolderingActionSpecification tag or name
  Returns:
    the AutoFolderingActionSpecification
  Throws:
    `IfsException` - if the operation fails
  (Published)

### lookupApplicationToken

    protected ApplicationToken lookupApplicationToken(LibrarySession sess,
                                                      java.lang.String tkValue)
                                               throws IfsException

  Description copied from class: `ScriptOperations`
  Lookup a ApplicationToken by the specified token value.

  Parameters:
    `sess` - the session context
    `tkValue` - the ApplicationToken token value
  Returns:
    the ApplicationToken
  Throws:
    `java.lang.RuntimeException` - if the ApplicationToken cannot be found with that token value
    `IfsException` - if the operation fails
  (Published)

### lookupUser

    protected DirectoryUser lookupUser(LibrarySession sess,
                                       java.lang.String tagOrName)
                                throws IfsException

  Description copied from class: `ScriptOperations`
  Lookup a DirectoryUser by the specified name or tag.

  Try to lookup the object using the specified string as the object tag, and if that fails attempt a collection lookup.

  Parameters:
    `sess` - the session
    `tagOrName` - the user name or tag
  Returns:
    the user
  Throws:
    `IfsException` - if the operation fails
  (Published)

### lookupUserFromCollection

    protected DirectoryUser lookupUserFromCollection(LibrarySession sess,
                                                     java.lang.String userName)
                                              throws IfsException

  Description copied from class: `ScriptOperations`
  Lookup a user by the specified name.

  The session's DirectoryUserCollection is used.

  Parameters:
    `sess` - the session
    `userName` - the object tag
  Returns:
    the user
  Throws:
    `IfsException` - if the operation fails
  (Published)

### lookupDirectoryObject

    protected DirectoryObject lookupDirectoryObject(LibrarySession sess,
                                                    java.lang.String tagOrName)
                                             throws IfsException

  Description copied from class: `ScriptOperations`
  Lookup a DirectoryObject (user or group) by the specified name.

  This attempts to find the name as a user, and if unsuccessful, attempt to find the object as a tagged object.

  Parameters:
    `sess` - the session
    `tagOrName` - a user name or group tag
  Returns:
    the user or group
  Throws:
    `IfsException` - if the operation fails
  (Published)

### tokenToDirectoryObjectArray

    protected DirectoryObject[] tokenToDirectoryObjectArray(LibrarySession sess,
                                                            java.lang.String doTagNames)
                                                     throws IfsException

  Description copied from class: `ScriptOperations`
  Convert a token representing an array of DirectoryObjects into the array of DirectoryObjects.

  Parameters:
    `sess` - the session
    `doTagNames` - the domain tag
  Returns:
    the object array
  Throws:
    `IfsException` - if the operation fails
  (Published)

### tokenToDirectoryUserArray

    protected DirectoryUser[] tokenToDirectoryUserArray(LibrarySession sess,
                                                        java.lang.String userTagNames)
                                                 throws IfsException

  Description copied from class: `ScriptOperations`
  Convert a token representing an array of DirectoryUsers into the array of DirectoryUsers.

  Parameters:
    `sess` - the session
    `userTagNames` - the users tag
  Returns:
    the object array
  Throws:
    `IfsException` - if the operation fails
  (Published)

### lookupBusinessObjectList

    protected java.util.List lookupBusinessObjectList(java.lang.String key)
                                               throws IfsException

  Description copied from class: `ScriptOperations`
  Find or add a List as a business object.

  Parameters:
    `key` - the business object key
  Returns:
    the list
  Throws:
    `IfsException` - if the operation fails
  (Published)

### lookupBusinessObjectHashtable

    protected java.util.Hashtable lookupBusinessObjectHashtable(java.lang.String key)
                                                         throws IfsException

  Description copied from class: `ScriptOperations`
  Find or add a Hashtable as a business object.

  Parameters:
    `key` - the business object key
  Returns:
    the Hashtable
  Throws:
    `IfsException` - if the operation fails
  (Published)

### ensureFreed

    protected void ensureFreed(LibraryObject obj)
                        throws IfsException

  Description copied from class: `ScriptOperations`
  Ensure that the specified object is freed.

  Attempts a free operation, but consumes the exception if the free fails because the object no longer exists.

  Parameters:
    `obj` - the object that should be freed
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getAttributeValue

    public AttributeValue getAttributeValue(AttributeValueTable avt,
                                            java.lang.String[] keyArgNames)
                                     throws IfsException

  Description copied from class: `ScriptOperations`
  Derives an AttributeValue from entries in the specified AttributeValueTable.

  The keys that identify values of various data types are:

  - STRINGVALUE: the String value, if type is String
  - INTEGERVALUE: the Integer value, if type is Integer
  - LONGVALUE: the Long value, if type is Long
  - DOUBLEVALUE: the Double value, if type is Double
  - BOOLEANVALUE: the Boolean value, if type is Boolean
  - DATEVALUE: the Date value, if type is Date
  - LIBRARYOBJECTVALUE: the LibraryObject tag, if type is a one of the object types
  - PUBLICOBJECTVALUE: the PublicObject tag, if type is PublicObject
  - DIRECTORYOBJECTVALUE: the DirectoryObject tag, if type is DirectoryObject
  - SYSTEMOBJECTVALUE: the SystemObject tag, if type is SystemObject
  - SCHEMAOBJECTVALUE: the SchemaObject tag, if type is SchemaObject
  - NULLPUBLICOBJECTVALUE: if true, the value is a null PublicObject
  - NULLDIRECTORYOBJECTVALUE: if true, the value is a null DirectoryObject
  - NULLSYSTEMOBJECTVALUE: if true, the value is a null SystemObject
  - NULLSCHEMAOBJECTVALUE: if true, the value is a null SchemaObject
  - STRINGARRAYVALUE: the array of Strings, if type is String[]
  - INTEGERARRAYVALUE: the array of integers, if type is Integer[]
  - LONGARRAYVALUE: the array of long integers, if type is Long[]
  - DOUBLEARRAYVALUE: array of decimal values, if type is Double[]
  - BOOLEANARRAYVALUE: the array of boolean values, if type is Boolean[]
  - DATEARRAYVALUE: the array of date strings, if type is Date[]
  - PUBLICOBJECTARRAYVALUE: the array of PublicObject tags, if type is PublicObject[]
  - DIRECTORYOBJECTARRAYVALUE: the array of DirectoryObject tags, if type is DirectoryObject[]
  - SYSTEMOBJECTARRAYVALUE: the array of SystemObject tags, if type is SystemObject[]
  - SCHEMAOBJECTARRAYVALUE: the array of SchemaObject tags, if type is SchemaObject[]

  Parameters:
    `avt` - the named arguments
    `keyArgNames` - the possible names for the key
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getAttributeValue

    public AttributeValue getAttributeValue(AttributeValueTable avt,
                                            java.lang.String keyArgName)
                                     throws IfsException

  Description copied from class: `ScriptOperations`
  Derives an AttributeValue from entries in the specified AttributeValueTable.

  The keys that identify values of various data types are:

  - STRINGVALUE: the String value, if type is String
  - INTEGERVALUE: the Integer value, if type is Integer
  - LONGVALUE: the Long value, if type is Long
  - DOUBLEVALUE: the Double value, if type is Double
  - BOOLEANVALUE: the Boolean value, if type is Boolean
  - DATEVALUE: the Date value, if type is Date
  - LIBRARYOBJECTVALUE: the LibraryObject tag, if type is a one of the object types
  - PUBLICOBJECTVALUE: the PublicObject tag, if type is PublicObject
  - DIRECTORYOBJECTVALUE: the DirectoryObject tag, if type is DirectoryObject
  - SYSTEMOBJECTVALUE: the SystemObject tag, if type is SystemObject
  - SCHEMAOBJECTVALUE: the SchemaObject tag, if type is SchemaObject
  - NULLPUBLICOBJECTVALUE: if true, the value is a null PublicObject
  - NULLDIRECTORYOBJECTVALUE: if true, the value is a null DirectoryObject
  - NULLSYSTEMOBJECTVALUE: if true, the value is a null SystemObject
  - NULLSCHEMAOBJECTVALUE: if true, the value is a null SchemaObject
  - STRINGARRAYVALUE: the array of Strings, if type is String[]
  - INTEGERARRAYVALUE: the array of integers, if type is Integer[]
  - LONGARRAYVALUE: the array of long integers, if type is Long[]
  - DOUBLEARRAYVALUE: array of decimal values, if type is Double[]
  - BOOLEANARRAYVALUE: the array of boolean values, if type is Boolean[]
  - DATEARRAYVALUE: the array of date strings, if type is Date[]
  - PUBLICOBJECTARRAYVALUE: the array of PublicObject tags, if type is PublicObject[]
  - DIRECTORYOBJECTARRAYVALUE: the array of DirectoryObject tags, if type is DirectoryObject[]
  - SYSTEMOBJECTARRAYVALUE: the array of SystemObject tags, if type is SystemObject[]
  - SCHEMAOBJECTARRAYVALUE: the array of SchemaObject tags, if type is SchemaObject[]

  Parameters:
    `avt` - the named arguments
    `keyArgName` - the name of the key that identifies the value's name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### convertToInteger

    protected java.lang.Integer convertToInteger(LibrarySession sess,
                                                 java.lang.String intVal)
                                          throws IfsException

  Description copied from class: `ScriptOperations`
  Convert a numeric String representation to an integer.

  Returns null if the string is null.

  Parameters:
    `sess` - the session context
    `intVal` - numeric String representation
  Returns:
    the integer value, or null if String is null
  Throws:
    `IfsException` - if the operation fails
  (Published)

### convertToInteger

    protected int convertToInteger(LibrarySession sess,
                                   java.lang.String intVal,
                                   int defVal)
                            throws IfsException

  Description copied from class: `ScriptOperations`
  Convert a numeric String representation to an integer, using the specified default value if the string is null.

  Parameters:
    `sess` - the session context
    `intVal` - numeric String representation
    `defVal` - default to use if the String is null
  Returns:
    the int value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### convertToLong

    protected java.lang.Long convertToLong(LibrarySession sess,
                                           java.lang.String longVal)
                                    throws IfsException

  Description copied from class: `ScriptOperations`
  Convert a numeric String representation to a long.

  Returns null if the string is null.

  Parameters:
    `sess` - the session context
    `longVal` - numeric String representation
  Returns:
    the Long value, or null if String is null
  Throws:
    `IfsException` - if the operation fails
  (Published)

### convertToLong

    protected long convertToLong(LibrarySession sess,
                                 java.lang.String longVal,
                                 long defVal)
                          throws IfsException

  Description copied from class: `ScriptOperations`
  Convert a numeric String representation to a long, using the specified default value if the string is null.

  Parameters:
    `sess` - the session context
    `longVal` - numeric String representation
    `defVal` - default to use if the String is null
  Returns:
    the long value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### convertToDouble

    protected java.lang.Double convertToDouble(LibrarySession sess,
                                               java.lang.String doubleVal)
                                        throws IfsException

  Description copied from class: `ScriptOperations`
  Convert a numeric String representation to a Double.

  Returns null if the string is null.

  Parameters:
    `sess` - the session context
    `doubleVal` - numeric String representation
  Returns:
    the Double value, or null if String is null
  Throws:
    `IfsException` - if the operation fails
  (Published)

### convertToDouble

    protected double convertToDouble(LibrarySession sess,
                                     java.lang.String doubleVal,
                                     double defVal)
                              throws IfsException

  Description copied from class: `ScriptOperations`
  Convert a numeric String representation to a double, using the specified default value if the string is null.

  Parameters:
    `sess` - the session context
    `doubleVal` - numeric String representation
    `defVal` - default to use if the String is null
  Returns:
    the double value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### convertToBoolean

    protected java.lang.Boolean convertToBoolean(LibrarySession sess,
                                                 java.lang.String boolVal)
                                          throws IfsException

  Description copied from class: `ScriptOperations`
  Convert a numeric String representation to a Boolean.

  Returns null if the string is null.

  Parameters:
    `sess` - the session context
    `boolVal` - boolean String representation
  Returns:
    the Boolean value, or null if String is null
  Throws:
    `IfsException` - if the operation fails
  (Published)

### convertToBoolean

    protected boolean convertToBoolean(LibrarySession sess,
                                       java.lang.String boolVal,
                                       boolean defVal)
                                throws IfsException

  Description copied from class: `ScriptOperations`
  Convert a numeric String representation to a boolean, using the specified default value if the string is null.

  Parameters:
    `sess` - the session context
    `boolVal` - numeric String representation
    `defVal` - default to use if the String is null
  Returns:
    the boolean value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### convertToRelativePath

    protected java.lang.String convertToRelativePath(LibrarySession sess,
                                                     java.lang.String absPath)
                                              throws IfsException

  Description copied from class: `ScriptOperations`
  Convert an absolute path to a relative path, by stripping off the leading delimiter.

  Throw a RuntimeException if the specified path does not begin with a delimiter or if it begins with more than one delimiter.

  Parameters:
    `sess` - the session
    `absPath` - an absolute folder path; for example "/domain/container1/container2/workspace1/foo.doc"
  Throws:
    `IfsException` - if the operation fails

### zeroPad

    protected java.lang.String zeroPad(java.lang.String str,
                                       int padLength)

  Description copied from class: `ScriptOperations`
  Pre-pad a string with 0's.

  Parameters:
    `str` - the String to pad
    `padLength` - the length to pad
  (Published)

### lookupDatatype

    protected int lookupDatatype(java.lang.String stype)

  Description copied from class: `ScriptOperations`
  Convert a data type string to an integer data type, as defined in `oracle.ifs.beans.Attribute`.

  Throws a RuntimeException if the data type is not recognized.

  Parameters:
    `stype` - String data type; e.g. "Integer"
  Returns:
    the enumerated integer reflecting the datatype

### getStringsFromArrayToken

    protected java.lang.String[] getStringsFromArrayToken(java.lang.String token)
                                                   throws IfsException

  Description copied from class: `ScriptOperations`
  Get String array from a value of the form "{value1, value2, value3}".

  Parameters:
    `token` - the string token
  Returns:
    the corresponding array
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getCurrentSession

    protected LibrarySession getCurrentSession()
                                        throws IfsException

  Description copied from class: `ScriptOperations`
  Get the current session.

  The current session starts out as a session tagged as "Main", and can be switched to any other connected session. I new session gets connected via the createSession() operation. The current session is the session specified in the last switchSession() or createSession() statement. If the current session is removed, the current session becomes "Main".

  Returns:
    the session
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setCurrentSession

    protected void setCurrentSession(LibrarySession session)
                              throws IfsException

  Description copied from class: `ScriptOperations`
  Make the specified session the default.

  Parameters:
    `session` - the session
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setMainSessionAsCurrentSession

    public void setMainSessionAsCurrentSession()
                                        throws IfsException

  Description copied from class: `ScriptOperations`
  Sets the main session in the script driver as the current session.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### registerNewSession

    protected void registerNewSession(java.lang.String sesstag,
                                      LibrarySession sess)
                               throws IfsException

  Description copied from class: `ScriptOperations`
  Register a session.

  This registers a two-way lookup, enabling finding the session by the specified session tag, and the ability to determine the session tag from the LibrarySession.

  Parameters:
    `sesstag` - the session tag
    `sess` - the session
  Throws:
    `IfsException` - if the operation fails
  (Published)

### deregisterSession

    protected void deregisterSession(java.lang.String tag,
                                     LibrarySession sess)
                              throws IfsException

  Description copied from class: `ScriptOperations`
  De-register a session.

  This is called automatically as part of removeSession(). If the specified tag does not identify a currently registered session, the operation is a no-op (no exception is thrown).

  Parameters:
    `tag` - the session tag
    `sess` - the session context
  Throws:
    `IfsException` - if the operation fails
  (Published)

### replaceSession

    protected LibrarySession replaceSession(java.lang.String tag,
                                            LibrarySession newSess)
                                     throws IfsException

  Description copied from class: `ScriptOperations`
  Replace a previously registered session with a different session.

  Disconnects the previous session (if any).

  Parameters:
    `tag` - the session tag
    `newSess` - the new session context
  Returns:
    the old session
  Throws:
    `IfsException` - if the operation fails
  (Published)

### lookupSessionByTag

    protected LibrarySession lookupSessionByTag(java.lang.String tag)

  Description copied from class: `ScriptOperations`
  Lookup a session by the session tag that was used to register it.

  A RuntimeException is thrown if there is no session registered with the specified tag.

  Parameters:
    `tag` - the session tag
  Returns:
    the session
  (Published)

### sessionExists

    protected boolean sessionExists(java.lang.String tag)

  Description copied from class: `ScriptOperations`
  Check whether a session has been registered for the specified tag.

  Parameters:
    `tag` - the session tag
  Returns:
    true if a session has been registered with the specified tag; false otherwise
  (Published)

### lookupTagBySessionId

    protected java.lang.String lookupTagBySessionId(java.lang.Long sessid)

  Description copied from class: `ScriptOperations`
  Lookup a session tag by the session ID.

  A RuntimeException is thrown if there is no session registered with the specified ID.

  Parameters:
    `sessid` - the session ID
  Returns:
    the session
  (Published)

### registerTransaction

    protected void registerTransaction(java.lang.String trantag,
                                       Transaction tran)

  Description copied from class: `ScriptOperations`
  Register a transaction.

  Parameters:
    `trantag` - the Transaction tag
    `tran` - the Transaction
  Throws:
    `IfsException` - if the operation fails
  (Published)

### deregisterTransaction

    protected Transaction deregisterTransaction(java.lang.String trantag)

  Description copied from class: `ScriptOperations`
  De-register a transaction.

  Parameters:
    `trantag` - the Transaction tag
  Returns:
    the Transaction that was removed, or null if no no Transaction was registered with that tag
  (Published)

### transactionExists

    protected boolean transactionExists(java.lang.String tag)

  Description copied from class: `ScriptOperations`
  Check whether a Transaction has been registered for the specified tag.

  Parameters:
    `tag` - the Transaction tag
  Returns:
    true if a Transaction has been registered with the specified tag; false otherwise
  (Published)

### lookupObject

    protected LibraryObject lookupObject(LibrarySession sess,
                                         java.lang.String tag)
                                  throws IfsException

  Description copied from class: `ScriptOperations`
  Lookup a LibraryObject by the specified tag.

  A RuntimeException is thrown if there is no object registered with the specified tag.

  Parameters:
    `sess` - the session
    `tag` - the object tag
  Returns:
    the object
  Throws:
    `IfsException` - if the operation fails
  (Published)

### lookupObject

    protected LibraryObject lookupObject(LibrarySession sess,
                                         java.lang.String tag,
                                         java.lang.String className)
                                  throws IfsException

  Description copied from class: `ScriptOperations`
  Lookup a LibraryObject by the specified tag and that is an instance of the specified class.

  A RuntimeException is thrown if there is no object registered with the specified tag, or if the registered object is not an instance of the specified class.

  Parameters:
    `sess` - the session
    `tag` - the object tag
    `className` - the desired class
  Returns:
    the object
  Throws:
    `IfsException` - if the operation fails
  (Published)

### lookupObjectId

    protected java.lang.Long lookupObjectId(LibrarySession sess,
                                            java.lang.String tag)
                                     throws IfsException

  Description copied from class: `ScriptOperations`
  Lookup a LibraryObject's ID by the specified tag.

  A RuntimeException is thrown if there is no object registered with the specified tag.

  Parameters:
    `sess` - the session
    `tag` - the object tag
  Returns:
    the object ID
  Throws:
    `IfsException` - if the operation fails
  (Published)

### objectExists

    protected boolean objectExists(java.lang.String tag)

  Description copied from class: `ScriptOperations`
  Check whether an object has been registered for the specified tag.

  Parameters:
    `tag` - the object tag
  Returns:
    true if an object has been registered with the specified tag; false otherwise
  (Published)

### isInArray

    protected boolean isInArray(LibraryObject obj,
                                LibraryObject[] objs)
                         throws IfsException

  Description copied from class: `ScriptOperations`
  Check if the spcified object is in the specified array.

  Parameters:
    `obj` - the object
    `objs` - the array of objects
  Throws:
    `IfsException` - if the operation fails
  (Published)

### verifyObjectTagNotExists

    protected void verifyObjectTagNotExists(java.lang.String objTag)

  Description copied from class: `ScriptOperations`
  Verify that the specified object tag does not already exist. Throws a RuntimeException otherwise

  Parameters:
    `objTag` - the object tag
  (Published)

### registerObject

    protected void registerObject(java.lang.String tag,
                                  LibraryObject obj)
                           throws IfsException

  Description copied from class: `ScriptOperations`
  Register a LibraryObject by name.

  Parameters:
    `tag` - the object tag
    `obj` - the object
  Throws:
    `IfsException` - if the operation fails
  (Published)

### deregisterObject

    protected void deregisterObject(java.lang.String tag)
                             throws IfsException

  Description copied from class: `ScriptOperations`
  De-register a LibraryObject by name.

  Parameters:
    `tag` - the object tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### lookupDefinition

    protected LibraryObjectDefinition lookupDefinition(LibrarySession sess,
                                                       java.lang.String tag)
                                                throws IfsException

  Description copied from class: `ScriptOperations`
  Lookup a LibraryObjectDefinition by the specified tag.

  A RuntimeException is thrown if there is no definition registered with the specified tag.

  Parameters:
    `sess` - the session
    `tag` - the definition tag
  Returns:
    the definition
  Throws:
    `IfsException` - if the operation fails
  (Published)

### verifyDefinitionWriteable

    protected void verifyDefinitionWriteable(LibrarySession sess,
                                             java.lang.String tag)
                                      throws IfsException

  Description copied from class: `ScriptOperations`
  Verify that a LibraryObjectDefinition identified by the specified tag is writeable.

  A RuntimeException is thrown if there is no definition registered with the specified tag, or if it is not writeable.

  Parameters:
    `sess` - the session
    `tag` - the definition tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### lookupDefinition

    protected LibraryObjectDefinition lookupDefinition(LibrarySession sess,
                                                       java.lang.String tag,
                                                       java.lang.String className)
                                                throws IfsException

  Description copied from class: `ScriptOperations`
  Lookup a LibraryObjectDefinition by the specified tag and that is the appropriate instance for the specified classobject name.

  A RuntimeException is thrown if there is no definition registered with the specified tag, or if the registered definition is not compatible with the specified class.

  Parameters:
    `sess` - the session
    `tag` - the definition tag
    `className` - the desired class
  Returns:
    the definition
  Throws:
    `IfsException` - if the operation fails
  (Published)

### cloneDefinition

    protected LibraryObjectDefinition cloneDefinition(LibrarySession sess,
                                                      java.lang.String sourceDefTag,
                                                      java.lang.String cloneDefTag)
                                               throws IfsException

  Description copied from class: `ScriptOperations`
  Clone a LibraryObjectDefinition by the specified source tag.

  A RuntimeException is thrown if there is no definition registered with the specified source tag.

  Parameters:
    `sess` - the session
    `sourceDefTag` - the source definition tag
    `cloneDefTag` - the tag for the cloned definition
  Returns:
    the cloned definition
  Throws:
    `IfsException` - if the operation fails
  (Published)

### definitionExists

    protected boolean definitionExists(java.lang.String tag)

  Description copied from class: `ScriptOperations`
  Check whether a definition has been registered for the specified tag.

  Parameters:
    `tag` - the definition tag
  Returns:
    true if a definition has been registered with the specified tag; false otherwise
  (Published)

### verifyDefinitionTagNotExists

    protected void verifyDefinitionTagNotExists(java.lang.String defTag)

  Description copied from class: `ScriptOperations`
  Verify that the specified definition tag does not already exist. Throws a RuntimeException otherwise

  Parameters:
    `defTag` - the definition tag
  (Published)

### registerDefinition

    protected void registerDefinition(java.lang.String tag,
                                      LibraryObjectDefinition def)
                               throws IfsException

  Description copied from class: `ScriptOperations`
  Register a LibraryObjectDefinition by name.

  Parameters:
    `tag` - the definition tag
    `def` - the definition
  Throws:
    `IfsException` - if the operation fails
  (Published)

### deregisterDefinition

    public void deregisterDefinition(java.lang.String tag)
                              throws IfsException

  Description copied from class: `ScriptOperations`
  De-register a LibraryObjectDefinition by name.

  Parameters:
    `tag` - the definition tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### lookupBusinessObject

    protected java.lang.Object lookupBusinessObject(LibrarySession session,
                                                    java.lang.String tag)
                                             throws IfsException

  Description copied from class: `ScriptOperations`
  Lookup a BusinessObject by the specified tag.

  A RuntimeException is thrown if there is no BusinessObject registered with the specified tag.

  Parameters:
    `session` - the LibrarySession
    `tag` - the BusinessObject tag
  Returns:
    the BusinessObject
  Throws:
    `IfsException` - if the operation fails
  (Published)

### businessObjectExists

    protected boolean businessObjectExists(java.lang.String tag)

  Description copied from class: `ScriptOperations`
  Check whether a BusinessObject has been registered for the specified tag.

  Parameters:
    `tag` - the BusinessObject tag
  Returns:
    true if a BusinessObject has been registered with the specified tag; false otherwise
  (Published)

### verifyBusinessObjectTagNotExists

    protected void verifyBusinessObjectTagNotExists(java.lang.String defTag)

  Description copied from class: `ScriptOperations`
  Verify that the specified BusinessObject tag does not already exist. Throws a RuntimeException otherwise

  Parameters:
    `defTag` - the BusinessObject tag
  (Published)

### registerBusinessObject

    protected void registerBusinessObject(java.lang.String tag,
                                          java.lang.Object obj)
                                   throws IfsException

  Description copied from class: `ScriptOperations`
  Register a BusinessObject by name.

  Parameters:
    `tag` - the BusinessObject tag
    `obj` - the BusinessObject
  Throws:
    `IfsException` - if the operation fails
  (Published)

### deregisterBusinessObject

    protected void deregisterBusinessObject(java.lang.String tag)
                                     throws IfsException

  Description copied from class: `ScriptOperations`
  De-register a BusinessObject by name.

  Parameters:
    `tag` - the BusinessObject tag
  Throws:
    `IfsException` - if the operation fails
  (Published)

### connect

    protected LibrarySession connect(java.lang.String username,
                                     java.lang.String password,
                                     java.lang.String server)
                              throws IfsException

  Description copied from class: `ScriptOperations`
  Create a LibrarySession.

  Parameters:
    `username` - the user name
    `password` - the user password
    `server` - the server name (not used)
  Returns:
    the session
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### connect

    protected LibrarySession connect(Credential credential,
                                     ConnectOptions options)
                              throws IfsException

  Description copied from class: `ScriptOperations`
  Create a LibrarySession.

  Parameters:
    `credential` - the credential
    `options` - the connect options
  Returns:
    the session
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getParameterTable

    public ParameterTable getParameterTable()

  Description copied from class: `ScriptOperations`
  Returns the ParameterTable used by this instance.

  Returns:
    the ParameterTable.
  (Unpublished)

### log

    public void log()

  Description copied from class: `ScriptOperations`
  Writes an empty line to the log.

  Specified by:
    `log` in interface `Logger`
  (Published)

### log

    public void log(java.lang.String message)

  Description copied from class: `ScriptOperations`
  Writes a message to the log file.

  Specified by:
    `log` in interface `Logger`
  Parameters:
    `message` - the message string to be added to the log file.
  (Published)

### printStackTrace

    public void printStackTrace(java.lang.Throwable e)

  Description copied from class: `ScriptOperations`
  Prints an exception stack trace to the log.

  Specified by:
    `printStackTrace` in interface `Logger`
  Parameters:
    `e` - the exception to show in the log
  (Published)

### applyLogLevelOverride

    public void applyLogLevelOverride(java.lang.String logEntry)

  Description copied from class: `ScriptOperations`
  Apply a log level overrides.

  Parameters:
    `logEntry` - the log override entry
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD